"""
The polynomial decoder for exemplary polynomial values of knot and graph.

Pawel Dabrowski-Tumanski
p.dabrowski at cent.uw.edu.pl
27.06.2019

Docs:
https://realpython.com/documenting-python-code/#docstring-types

The type used here: Google


Support in PyCharm:
https://www.jetbrains.com/help/pycharm/settings-tools-python-integrated-tools.html
- change default reStructuredText to Google

Docs will be published in: https://readthedocs.org/

"""


## Alexander
Alexander = {}
# prime knots
Alexander['1'] = '0_1'
Alexander['1 -1 1'] = '3_1'
Alexander['1 -3 1'] = '4_1'
Alexander['1 -1 1 -1 1'] = '5_1'
Alexander['2 -3 2'] = '5_2'
Alexander['2 -5 2'] = '6_1'
Alexander['1 -3 3 -3 1'] = '6_2'
Alexander['1 -3 5 -3 1'] = '6_3'
Alexander['1 -1 1 -1 1 -1 1'] = '7_1'
Alexander['3 -5 3'] = '7_2'
Alexander['2 -3 3 -3 2'] = '7_3'
Alexander['4 -7 4'] = '7_4'
Alexander['2 -4 5 -4 2'] = '7_5'
Alexander['1 -5 7 -5 1'] = '7_6'
Alexander['1 -5 9 -5 1'] = '7_7'
Alexander['3 -7 3'] = '8_1'
Alexander['1 -3 3 -3 3 -3 1'] = '8_2'
Alexander['4 -9 4'] = '8_3'
Alexander['2 -5 5 -5 2'] = '8_4'
Alexander['1 -3 4 -5 4 -3 1'] = '8_5'
Alexander['2 -6 7 -6 2'] = '8_6'
Alexander['1 -3 5 -5 5 -3 1'] = '8_7'
Alexander['2 -6 9 -6 2'] = '8_8'
Alexander['1 -3 5 -7 5 -3 1'] = '8_9'
Alexander['1 -3 6 -7 6 -3 1'] = '8_10'
Alexander['2 -7 9 -7 2'] = '8_11'
Alexander['1 -7 13 -7 1'] = '8_12'
Alexander['2 -7 11 -7 2'] = '8_13'
Alexander['2 -8 11 -8 2'] = '8_14'
Alexander['3 -8 11 -8 3'] = '8_15'
Alexander['1 -4 8 -9 8 -4 1'] = '8_16'
Alexander['1 -4 8 -11 8 -4 1'] = '8_17'
Alexander['1 -5 10 -13 10 -5 1'] = '8_18'
Alexander['1 -1 0 1 0 -1 1'] = '8_19'
Alexander['1 -2 3 -2 1'] = '8_20 | 3_1 # 3_1'
Alexander['1 -4 5 -4 1'] = '8_21 | 3_1 # 4_1'
# composite knots
Alexander['1 -2 3 -3 3 -2 1'] = '3_1 # 5_1'
Alexander['2 -5 7 -5 2'] = '3_1 # 5_2'



## Conway
Conway = {}
# prime knots
Conway['1'] = '0_1'
Conway['1 0 1'] = '3_1'
Conway['1 0 -1'] = '4_1'
Conway['1 0 3 0 1'] = '5_1'
Conway['1 0 2'] = '5_2'
Conway['1 0 -2'] = '6_1'
Conway['1 0 -1 0 -1'] = '6_2'
Conway['1 0 1 0 1'] = '6_3'
Conway['1 0 6 0 5 0 1'] = '7_1'
Conway['1 0 3'] = '7_2'
Conway['1 0 5 0 2'] = '7_3'
Conway['1 0 4'] = '7_4'
Conway['1 0 4 0 2'] = '7_5'
Conway['1 0 1 0 -1'] = '7_6'
Conway['1 0 -1 0 1'] = '7_7'
Conway['1 0 -3'] = '8_1'
Conway['1 0 0 0 -3 0 -1'] = '8_2'
Conway['1 0 -4'] = '8_3'
Conway['1 0 -3 0 -2'] = '8_4'
Conway['1 0 -1 0 -3 0 -1'] = '8_5'
Conway['1 0 -2 0 -2'] = '8_6'
Conway['1 0 2 0 3 0 1'] = '8_7'
Conway['1 0 2 0 2'] = '8_8'
Conway['1 0 -2 0 -3 0 -1'] = '8_9'
Conway['1 0 3 0 3 0 1'] = '8_10'
Conway['1 0 -1 0 -2'] = '8_11'
Conway['1 0 -3 0 1'] = '8_12'
Conway['1 0 1 0 2'] = '8_13'
Conway['1 0 0 0 -2'] = '8_14'
Conway['1 0 4 0 3'] = '8_15'
Conway['1 0 1 0 2 0 1'] = '8_16'
Conway['1 0 -1 0 -2 0 -1'] = '8_17'
Conway['1 0 1 0 -1 0 -1'] = '8_18'
Conway['1 0 5 0 5 0 1'] = '8_19'
Conway['1 0 2 0 1'] = '8_20'
Conway['1 0 0 0 -1'] = '8_21'
# composite knots


## Jones
Jones = {}
# prime knots
Jones['{ 0 } | 1'] = '0_1'
Jones['{ 1 } | 1 0 1 -1'] = '3_1'
Jones['{ -4 } | -1 1 0 1'] = '3_1'
Jones['{ -2 } | 1 -1 1 -1 1'] = '4_1'
Jones['{ -7 } | -1 1 -1 1 0 1'] = '5_1'
Jones['{ 2 } | 1 0 1 -1 1 -1'] = '5_1'
Jones['{ -6 } | -1 1 -1 2 -1 1'] = '5_2'
Jones['{ 1 } | 1 -1 2 -1 1 -1'] = '5_2'
Jones['{ -4 } | 1 -1 1 -2 2 -1 1'] = '6_1'
Jones['{ -2 } | 1 -1 2 -2 1 -1 1'] = '6_1'
Jones['{ -5 } | 1 -2 2 -2 2 -1 1'] = '6_2'
Jones['{ -1 } | 1 -1 2 -2 2 -2 1'] = '6_2'
Jones['{ -3 } | -1 2 -2 3 -2 2 -1'] = '6_3'
Jones['{ -10 } | -1 1 -1 1 -1 1 0 1'] = '7_1'
Jones['{ 3 } | 1 0 1 -1 1 -1 1 -1'] = '7_1'
Jones['{ -8 } | -1 1 -1 2 -2 2 -1 1'] = '7_2'
Jones['{ 1 } | 1 -1 2 -2 2 -1 1 -1'] = '7_2'
Jones['{ 2 } | 1 -1 2 -2 3 -2 1 -1'] = '7_3'
Jones['{ -9 } | -1 1 -2 3 -2 2 -1 1'] = '7_3'
Jones['{ 1 } | 1 -2 3 -2 3 -2 1 -1'] = '7_4'
Jones['{ -8 } | -1 1 -2 3 -2 3 -2 1'] = '7_4'
Jones['{ -9 } | -1 2 -3 3 -3 3 -1 1'] = '7_5'
Jones['{ 2 } | 1 -1 3 -3 3 -3 2 -1'] = '7_5'
Jones['{ -6 } | -1 2 -3 4 -3 3 -2 1'] = '7_6'
Jones['{ -1 } | 1 -2 3 -3 4 -3 2 -1'] = '7_6'
Jones['{ -3 } | -1 3 -3 4 -4 3 -2 1'] = '7_7'
Jones['{ -4 } | 1 -2 3 -4 4 -3 3 -1'] = '7_7'
Jones['{ -6 } | 1 -1 1 -2 2 -2 2 -1 1'] = '8_1'
Jones['{ -2 } | 1 -1 2 -2 2 -2 1 -1 1'] = '8_1'
Jones['{ -8 } | 1 -2 2 -3 3 -2 2 -1 1'] = '8_2'
Jones['{ 0 } | 1 -1 2 -2 3 -3 2 -2 1'] = '8_2'
Jones['{ -4 } | 1 -1 2 -3 3 -3 2 -1 1'] = '8_3'
Jones['{ -5 } | 1 -2 3 -3 3 -3 2 -1 1'] = '8_4'
Jones['{ -3 } | 1 -1 2 -3 3 -3 3 -2 1'] = '8_4'
Jones['{ 0 } | 1 -1 3 -3 3 -4 3 -2 1'] = '8_5'
Jones['{ -8 } | 1 -2 3 -4 3 -3 3 -1 1'] = '8_5'
Jones['{ -7 } | 1 -2 3 -4 4 -4 3 -1 1'] = '8_6'
Jones['{ -1 } | 1 -1 3 -4 4 -4 3 -2 1'] = '8_6'
Jones['{ -2 } | -1 2 -2 4 -4 4 -3 2 -1'] = '8_7'
Jones['{ -6 } | -1 2 -3 4 -4 4 -2 2 -1'] = '8_7'
Jones['{ -3 } | -1 2 -3 5 -4 4 -3 2 -1'] = '8_8'
Jones['{ -5 } | -1 2 -3 4 -4 5 -3 2 -1'] = '8_8'
Jones['{ -4 } | 1 -2 3 -4 5 -4 3 -2 1'] = '8_9'
Jones['{ -4 } | 1 -2 3 -4 5 -4 3 -2 1'] = '8_9'
Jones['{ -2 } | -1 2 -3 5 -4 5 -4 2 -1'] = '8_10'
Jones['{ -6 } | -1 2 -4 5 -4 5 -3 2 -1'] = '8_10'
Jones['{ -7 } | 1 -2 3 -5 5 -4 4 -2 1'] = '8_11'
Jones['{ -1 } | 1 -2 4 -4 5 -5 3 -2 1'] = '8_11'
Jones['{ -4 } | 1 -2 4 -5 5 -5 4 -2 1'] = '8_12'
Jones['{ -3 } | -1 3 -4 5 -5 5 -3 2 -1'] = '8_13'
Jones['{ -7 } | 1 -3 4 -5 6 -5 4 -2 1'] = '8_14'
Jones['{ -1 } | 1 -2 4 -5 6 -5 4 -3 1'] = '8_14'
Jones['{ -10 } | 1 -3 4 -6 6 -5 5 -2 1'] = '8_15'
Jones['{ -6 } | -1 3 -5 6 -6 6 -4 3 -1'] = '8_16'
Jones['{ -2 } | -1 3 -5 8 -8 9 -8 5 -3 1'] = '8_16'
Jones['{ -4 } | 1 -3 5 -6 7 -6 5 -3 1'] = '8_17'
Jones['{ -4 } | 1 -4 6 -7 9 -7 6 -4 1'] = '8_18'
Jones['{ 3 } | 1 0 1 0 0 -1'] = '8_19'
Jones['{ -8 } | -1 0 0 1 0 1'] = '8_19'
Jones['{ -5 } | -1 1 -1 2 -1 2 -1'] = '8_20'
Jones['{ -1 } | -1 2 -1 2 -1 1 -1'] = '8_20'
Jones['{ -7 } | 1 -2 2 -3 3 -2 2'] = '8_21'
Jones['{ 1 } | 2 -2 3 -3 2 -2 1'] = '8_21'

# composite knots
Jones['{ -1 } | 1 -1 2 -3 3 -2 2 -1'] = '3_1 # 4_1'
Jones['{ 3 } | 1 0 2 -2 2 -3 2 -2 1'] = '3_1 # 5_1'
Jones['{ 2 } | 1 -1 3 -3 4 -4 2 -2 1'] = '3_1 # 5_2'

# prime links
Jones['{ 0.5 }| -1 0 0 0 -1'] = '2^2_1'
Jones['{ -3.5 }| 1 0 -2 0 1 0 -2 0 1 0 -1'] = '5^2_1'
Jones['{ -1.5 }| -1 0 1 0 -2 0 1 0 -2 0 1'] = '5^2_1'
Jones['{ 0.5 }| -2 0 1 0 -2 0 1 0 -1 0 1'] = '7^2_8'
Jones['{ -5.5 }| 1 0 -1 0 1 0 -2 0 1 0 -2'] = '7^2_8'

# composite links

# virtual knots
Jones['{ 1.0 }| 1 1 0 -1'] = 'v2_1'
Jones['{ -2.5 }| -1 0 1 1'] = 'v2_1'
Jones['{ -0.5 }| 1 1 -1 -1 0 1'] = 'v3_2'
Jones['{ 1.0 }| 1 1 0 -1'] = 'v3_3'
Jones['{ -0.5 }| 1 1 -1 -1 0 1'] = 'v3_4'
Jones['{ 1.0 }| 1 0 0 0 1 0 -1'] = 'v3_5'

# other


## HOMFLY-PT
HOMFLYPT = {}
# prime knots
HOMFLYPT['[[1]]'] = '0_1'
HOMFLYPT['[-1 0 -2 0 [0]]|[0]|1 0 [0]'] = '3_1'
HOMFLYPT['[[0] 0 -2 0 -1]|[0]|[0] 0 1'] = '3_1'
HOMFLYPT['[-1 0 [-1] 0 -1]|[0]|[1]'] = '4_1'
HOMFLYPT['[2 0 3 0 0 0 [0]]|[0]|-1 0 -4 0 0 0 [0]|[0]|1 0 0 0 [0]'] = '5_1'
HOMFLYPT['[[0] 0 0 0 3 0 2]|[0]|[0] 0 0 0 -4 0 -1|[0]|[0] 0 0 0 1'] = '5_1'
HOMFLYPT['[1 0 1 0 -1 0 [0]]|[0]|-1 0 1 0 [0]'] = '5_2'
HOMFLYPT['[[0] 0 -1 0 1 0 1]|[0]|[0] 0 1 0 -1'] = '5_2'
HOMFLYPT['[1 0 1 0 [0] 0 -1]|[0]|-1 0 [1]'] = '6_1'
HOMFLYPT['[-1 0 [0] 0 1 0 1]|[0]|[1] 0 -1'] = '6_1'
HOMFLYPT['[1 0 2 0 [2]]|[0]|-1 0 -3 0 [-1]|[0]|1 0 [0]'] = '6_2'
HOMFLYPT['[[2] 0 2 0 1]|[0]|[-1] 0 -3 0 -1|[0]|[0] 0 1'] = '6_2'
HOMFLYPT['[1 0 [3] 0 1]|[0]|-1 0 [-3] 0 -1|[0]|[1]'] = '6_3'
HOMFLYPT['[-3 0 -4 0 0 0 0 0 [0]]|[0]|4 0 10 0 0 0 0 0 [0]|[0]|-1 0 -6 0 0 0 0 0 [0]|[0]|1 0 0 0 0 0 [0]'] = '7_1'
HOMFLYPT['[[0] 0 0 0 0 0 -4 0 -3]|[0]|[0] 0 0 0 0 0 10 0 4|[0]|[0] 0 0 0 0 0 -6 0 -1|[0]|[0] 0 0 0 0 0 1'] = '7_1'
HOMFLYPT['[-1 0 -1 0 0 0 -1 0 [0]]|[0]|1 0 -1 0 1 0 [0]'] = '7_2'
HOMFLYPT['[[0] 0 -1 0 0 0 -1 0 -1]|[0]|[0] 0 1 0 -1 0 1'] = '7_2'
HOMFLYPT['[[0] 0 0 0 1 0 -2 0 -2]|[0]|[0] 0 0 0 -3 0 3 0 1|[0]|[0] 0 0 0 1 0 -1'] = '7_3'
HOMFLYPT['[-2 0 -2 0 1 0 0 0 [0]]|[0]|1 0 3 0 -3 0 0 0 [0]|[0]|-1 0 1 0 0 0 [0]'] = '7_3'
HOMFLYPT['[[0] 0 0 0 2 0 0 0 -1]|[0]|[0] 0 1 0 -2 0 1'] = '7_4'
HOMFLYPT['[-1 0 0 0 2 0 0 0 [0]]|[0]|1 0 -2 0 1 0 [0]'] = '7_4'
HOMFLYPT['[-1 0 0 0 2 0 0 0 [0]]|[0]|1 0 2 0 -3 0 0 0 [0]|[0]|-1 0 1 0 0 0 [0]'] = '7_5'
HOMFLYPT['[[0] 0 0 0 2 0 0 0 -1]|[0]|[0] 0 0 0 -3 0 2 0 1|[0]|[0] 0 0 0 1 0 -1'] = '7_5'
HOMFLYPT['[1 0 2 0 1 0 [1]]|[0]|-2 0 -2 0 [-1]|[0]|1 0 [0]'] = '7_6'
HOMFLYPT['[[1] 0 1 0 2 0 1]|[0]|[-1] 0 -2 0 -2|[0]|[0] 0 1'] = '7_6'
HOMFLYPT['[[2] 0 2 0 1]|[0]|-1 0 [-2] 0 -2|[0]|[1]'] = '7_7'
HOMFLYPT['[1 0 2 0 [2]]|[0]|-2 0 [-2] 0 -1|[0]|[1]'] = '7_7'
HOMFLYPT['[-1 0 -1 0 0 0 [0] 0 -1]|[0]|1 0 -1 0 [1]'] = '8_1'
HOMFLYPT['[-1 0 [0] 0 0 0 -1 0 -1]|[0]|[1] 0 -1 0 1'] = '8_1'
HOMFLYPT['[-1 0 -3 0 -3 0 [0]]|[0]|3 0 7 0 4 0 [0]|[0]|-1 0 -5 0 -1 0 [0]|[0]|1 0 0 0 [0]'] = '8_2'
HOMFLYPT['[[0] 0 -3 0 -3 0 -1]|[0]|[0] 0 4 0 7 0 3|[0]|[0] 0 -1 0 -5 0 -1|[0]|[0] 0 0 0 1'] = '8_2'
HOMFLYPT['[1 0 0 0 [-1] 0 0 0 1]|[0]|-1 0 [2] 0 -1'] = '8_3'
HOMFLYPT['[1 0 0 0 [-2] 0 -2]|[0]|-1 0 -2 0 [3] 0 1|[0]|1 0 [-1]'] = '8_4'
HOMFLYPT['[-2 0 [-2] 0 0 0 1]|[0]|1 0 [3] 0 -2 0 -1|[0]|[-1] 0 1'] = '8_4'
HOMFLYPT['[[0] 0 -4 0 -5 0 -2]|[0]|[0] 0 4 0 8 0 3|[0]|[0] 0 -1 0 -5 0 -1|[0]|[0] 0 0 0 1'] = '8_5'
HOMFLYPT['[-2 0 -5 0 -4 0 [0]]|[0]|3 0 8 0 4 0 [0]|[0]|-1 0 -5 0 -1 0 [0]|[0]|1 0 0 0 [0]'] = '8_5'
HOMFLYPT['[-1 0 -1 0 1 0 [2]]|[0]|1 0 2 0 -2 0 [-1]|[0]|-1 0 1 0 [0]'] = '8_6'
HOMFLYPT['[[2] 0 1 0 -1 0 -1]|[0]|[-1] 0 -2 0 2 0 1|[0]|[0] 0 1 0 -1'] = '8_6'
HOMFLYPT['[[-1] 0 -4 0 -2]|[0]|[3] 0 8 0 3|[0]|[-1] 0 -5 0 -1|[0]|[0] 0 1'] = '8_7'
HOMFLYPT['[-2 0 -4 0 [-1]]|[0]|3 0 8 0 [3]|[0]|-1 0 -5 0 [-1]|[0]|1 0 [0]'] = '8_7'
HOMFLYPT['[1 0 [2] 0 -1 0 -1]|[0]|-1 0 [-2] 0 2 0 1|[0]|[1] 0 -1'] = '8_8'
HOMFLYPT['[-1 0 -1 0 [2] 0 1]|[0]|1 0 2 0 [-2] 0 -1|[0]|-1 0 [1]'] = '8_8'
HOMFLYPT['[-2 0 [-3] 0 -2]|[0]|3 0 [8] 0 3|[0]|-1 0 [-5] 0 -1|[0]|[1]'] = '8_9'
HOMFLYPT['[[-2] 0 -6 0 -3]|[0]|[3] 0 9 0 3|[0]|[-1] 0 -5 0 -1|[0]|[0] 0 1'] = '8_10'
HOMFLYPT['[-3 0 -6 0 [-2]]|[0]|3 0 9 0 [3]|[0]|-1 0 -5 0 [-1]|[0]|1 0 [0]'] = '8_10'
HOMFLYPT['[-1 0 -2 0 -1 0 [1]]|[0]|1 0 2 0 -1 0 [-1]|[0]|-1 0 1 0 [0]'] = '8_11'
HOMFLYPT['[[1] 0 -1 0 -2 0 -1]|[0]|[-1] 0 -1 0 2 0 1|[0]|[0] 0 1 0 -1'] = '8_11'
HOMFLYPT['[1 0 1 0 [1] 0 1 0 1]|[0]|-2 0 [-1] 0 -2|[0]|[1]'] = '8_12'
HOMFLYPT['[[0] 0 -2 0 -1]|[0]|-1 0 [-1] 0 2 0 1|[0]|[1] 0 -1'] = '8_13'
HOMFLYPT['[-1 0 -2 0 [0]]|[0]|1 0 2 0 [-1] 0 -1|[0]|-1 0 [1]'] = '8_13'
HOMFLYPT['[[1]]|[0]|1 0 1 0 -1 0 [-1]|[0]|-1 0 1 0 [0]'] = '8_14'
HOMFLYPT['[[1]]|[0]|[-1] 0 -1 0 1 0 1|[0]|[0] 0 1 0 -1'] = '8_14'
HOMFLYPT['[-1 0 -4 0 -3 0 1 0 0 0 [0]]|[0]|3 0 5 0 -2 0 0 0 [0]|[0]|-2 0 1 0 0 0 [0]'] = '8_15'
HOMFLYPT['[[0] 0 0 0 1 0 -3 0 -4 0 -1]|[0]|[0] 0 0 0 -2 0 5 0 3|[0]|[0] 0 0 0 1 0 -2'] = '8_15'
HOMFLYPT['[-1 0 -2 0 [0]]|[0]|2 0 5 0 [2]|[0]|-1 0 -4 0 [-1]|[0]|1 0 [0]'] = '8_16'
HOMFLYPT['[[0] 0 -2 0 -1]|[0]|[2] 0 5 0 2|[0]|[-1] 0 -4 0 -1|[0]|[0] 0 1'] = '8_16'
HOMFLYPT['[-1 0 [-1] 0 -1]|[0]|2 0 [5] 0 2|[0]|-1 0 [-4] 0 -1|[0]|[1]'] = '8_17'
HOMFLYPT['[1 0 [3] 0 1]|[0]|1 0 [1] 0 1|[0]|-1 0 [-3] 0 -1|[0]|[1]'] = '8_18'
HOMFLYPT['[[0] 0 0 0 0 0 -5 0 -5 0 -1]|[0]|[0] 0 0 0 0 0 10 0 5|[0]|[0] 0 0 0 0 0 -6 0 -1|[0]|[0] 0 0 0 0 0 1'] = '8_19'
HOMFLYPT['[-1 0 -5 0 -5 0 0 0 0 0 [0]]|[0]|5 0 10 0 0 0 0 0 [0]|[0]|-1 0 -6 0 0 0 0 0 [0]|[0]|1 0 0 0 0 0 [0]'] = '8_19'
HOMFLYPT['[-2 0 -4 0 [-1]]|[0]|1 0 4 0 [1]|[0]|-1 0 [0]'] = '8_20'
HOMFLYPT['[[-1] 0 -4 0 -2]|[0]|[1] 0 4 0 1|[0]|[0] 0 -1'] = '8_20'
HOMFLYPT['[-1 0 -3 0 -3 0 [0]]|[0]|1 0 3 0 2 0 [0]|[0]|-1 0 0 0 [0]'] = '8_21'
HOMFLYPT['[[0] 0 -3 0 -3 0 -1]|[0]|[0] 0 2 0 3 0 1|[0]|[0] 0 0 0 -1'] = '8_21'

# composite knots
HOMFLYPT['[2 0 [5] 0 2]|[0]|-1 0 [-4] 0 -1|[0]|[1]'] = '3_1 # 3_1'
HOMFLYPT['[1 0 4 0 4 0 0 0 [0]]|[0]|-2 0 -4 0 0 0 [0]|[0]|1 0 0 0 [0]'] = '3_1 # 3_1'
HOMFLYPT['[[0] 0 0 0 4 0 4 0 1]|[0]|[0] 0 0 0 -4 0 -2|[0]|[0] 0 0 0 1'] = '3_1 # 3_1'
HOMFLYPT['[1 0 3 0 3 0 [2]]|[0]|-2 0 -3 0 [-1]|[0]|1 0 [0]'] = '3_1 # 4_1'
HOMFLYPT['[[2] 0 3 0 3 0 1]|[0]|[-1] 0 -3 0 -2|[0]|[0] 0 1'] = '3_1 # 4_1'
HOMFLYPT['[1 0 2 0 [3] 0 2 0 1]|[0]|-2 0 [-2] 0 -2|[0]|[1]'] = '4_1 # 4_1'
HOMFLYPT['[[-3] 0 -8 0 -4]|[0]|[4] 0 12 0 4|[0]|[-1] 0 -6 0 -1|[0]|[0] 0 1'] = '3_1 # 5_1'
HOMFLYPT['[-4 0 -8 0 [-3]]|[0]|4 0 12 0 [4]|[0]|-1 0 -6 0 [-1]|[0]|1 0 [0]'] = '3_1 # 5_1'
HOMFLYPT['[-2 0 -7 0 -6 0 0 0 0 0 [0]]|[0]|1 0 8 0 11 0 0 0 0 0 [0]|[0]|-2 0 -6 0 0 0 0 0 [0]|[0]|1 0 0 0 0 0 [0]'] = '3_1 # 5_1'
HOMFLYPT['[[0] 0 0 0 0 0 -6 0 -7 0 -2]|[0]|[0] 0 0 0 0 0 11 0 8 0 1|[0]|[0] 0 0 0 0 0 -6 0 -2|[0]|[0] 0 0 0 0 0 1'] = '3_1 # 5_1'
HOMFLYPT['[1 0 [1] 0 -3 0 -2]|[0]|-1 0 [-2] 0 3 0 1|[0]|[1] 0 -1'] = '3_1 # 5_2'
HOMFLYPT['[-2 0 -3 0 [1] 0 1]|[0]|1 0 3 0 [-2] 0 -1|[0]|-1 0 [1]'] = '3_1 # 5_2'
HOMFLYPT['[[0] 0 0 0 2 0 -1 0 -3 0 -1]|[0]|[0] 0 0 0 -3 0 2 0 2|[0]|[0] 0 0 0 1 0 -1'] = '3_1 # 5_2'
HOMFLYPT['[-1 0 -3 0 -1 0 2 0 0 0 [0]]|[0]|2 0 2 0 -3 0 0 0 [0]|[0]|-1 0 1 0 0 0 [0]'] = '3_1 # 5_2'

# prime links
HOMFLYPT['-1 [0] -1|[[0]]'] = '0^2_1'
HOMFLYPT['1 0 1 [0]|[[0]]|-1 [0]'] = '2^2_1'
HOMFLYPT['[0] 1 0 1|[[0]]|[0] -1'] = '2^2_1'
HOMFLYPT['[0] 0 0 -1 0 -1|[[0]]|[0] -1 0 1'] = '4^2_1'
HOMFLYPT['-1 0 -1 0 0 [0]|[[0]]|1 0 3 0 0 [0]|[0]|-1 0 0 [0]'] = '4^2_1'
HOMFLYPT['-1 0 -1 0 0 [0]|[[0]]|1 0 -1 [0]'] = '4^2_1'
HOMFLYPT['[0] 0 0 -1 0 -1|[[0]]|[0] 0 0 3 0 1|[0]|[0] 0 0 -1'] = '4^2_1'
HOMFLYPT['-1 [0] -1|[[0]]|1 0 2 [0] 1|[0]|-1 [0]'] = '5^2_1'
HOMFLYPT['-1 [0] -1|[[0]]|1 [0] 2 0 1|[0]|[0] -1'] = '5^2_1'
HOMFLYPT['[0] 0 0 0 0 1 0 1|[[0]]|[0] -1 0 1 0 -1'] = '6^2_1'
HOMFLYPT['1 0 1 0 0 0 0 [0]|[[0]]|-1 0 1 0 -1 [0]'] = '6^2_1'
HOMFLYPT['[0] 0 0 0 0 1 0 1|[[0]]|[0] 0 0 0 0 -6 0 -3|[0]|[0] 0 0 0 0 5 0 1|[0]|[0] 0 0 0 0 -1'] = '6^2_1'
HOMFLYPT['1 0 1 0 0 0 0 [0]|[[0]]|-3 0 -6 0 0 0 0 [0]|[0]|1 0 5 0 0 0 0 [0]|[0]|-1 0 0 0 0 [0]'] = '6^2_1'
HOMFLYPT['1 0 1 0 0 0 0 [0]|[[0]]|-1 0 -2 0 2 0 0 [0]|[0]|1 0 -1 0 0 [0]'] = '6^2_2'
HOMFLYPT['[0] 0 0 0 0 1 0 1|[[0]]|[0] 0 0 2 0 -2 0 -1|[0]|[0] 0 0 -1 0 1'] = '6^2_2'
HOMFLYPT['[0] 0 0 -1 0 -1|[[0]]|1 [0] 1 0 2|[0]|[0] -1'] = '6^2_3'
HOMFLYPT['-1 0 -1 0 0 [0]|[[0]]|2 0 1 [0] 1|[0]|-1 [0]'] = '6^2_3'
HOMFLYPT['-1 0 -1 0 0 [0]|[[0]]|-1 0 -1 0 2 0 0 [0]|[0]|1 0 -1 0 0 [0]'] = '6^2_3'
HOMFLYPT['[0] 0 0 -1 0 -1|[[0]]|[0] 0 0 2 0 -1 0 -1|[0]|[0] 0 0 -1 0 1'] = '6^2_3'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[[2] 0 3 0 1]|[0]|[-1] 0 -3 0 -1|[0]|[0] 0 1'] = '6^3_1'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 3 0 [2]]|[0]|-1 0 -3 0 [-1]|[0]|1 0 [0]'] = '6^3_1'
HOMFLYPT['1 0 [2] 0 1|[0]|[[0]]|[0]|-1 0 [-2] 0 -1|[0]|[1]'] = '6^3_2'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 3 0 [2]]|[0]|-1 0 [0]'] = '6^3_3'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[[2] 0 3 0 1]|[0]|[0] 0 -1'] = '6^3_3'
HOMFLYPT['[0] 0 0 0 -1 0 -2 0 -1|[0]|[[0] 0 0 0 3 0 3]|[0]|[0] 0 0 0 -4 0 -1|[0]|[0] 0 0 0 1'] = '6^3_3'
HOMFLYPT['-1 0 -2 0 -1 0 0 0 [0]|[0]|[3 0 3 0 0 0 [0]]|[0]|-1 0 -4 0 0 0 [0]|[0]|1 0 0 0 [0]'] = '6^3_3'
HOMFLYPT['[0] 1 0 1|[[0]]|1 0 1 [0] -2 0 -1|[0]|-1 [0] 1'] = '7^2_1'
HOMFLYPT['1 0 1 [0]|[[0]]|-1 0 -2 [0] 1 0 1|[0]|1 [0] -1'] = '7^2_1'
HOMFLYPT['1 0 1 [0]|[[0]]|-2 0 -4 0 -3 [0]|[0]|1 0 4 0 1 [0]|[0]|-1 0 0 [0]'] = '7^2_1'
HOMFLYPT['[0] 1 0 1|[[0]]|[0] -3 0 -4 0 -2|[0]|[0] 1 0 4 0 1|[0]|[0] 0 0 -1'] = '7^2_1'
HOMFLYPT['1 0 1 [0]|[[0]]|-1 0 -1 0 0 [0] 1|[0]|1 0 -1 [0]'] = '7^2_2'
HOMFLYPT['[0] 1 0 1|[[0]]|1 [0] 0 0 -1 0 -1|[0]|[0] -1 0 1'] = '7^2_2'
HOMFLYPT['[0] 1 0 1|[[0]]|-2 [0] -5 0 -2|[0]|1 [0] 4 0 1|[0]|[0] -1'] = '7^2_2'
HOMFLYPT['1 0 1 [0]|[[0]]|-2 0 -5 [0] -2|[0]|1 0 4 [0] 1|[0]|-1 [0]'] = '7^2_2'
HOMFLYPT['-1 [0] -1|[[0]]|-1 0 -1 0 1 [0] 1|[0]|1 0 -1 [0]'] = '7^2_3'
HOMFLYPT['-1 [0] -1|[[0]]|1 [0] 1 0 -1 0 -1|[0]|[0] -1 0 1'] = '7^2_3'
HOMFLYPT['[0] 2 0 3 0 1|[[0]]|[0] -3 0 -5 0 -2|[0]|[0] 1 0 4 0 1|[0]|[0] 0 0 -1'] = '7^2_4'
HOMFLYPT['1 0 3 0 2 [0]|[[0]]|-2 0 -5 0 -3 [0]|[0]|1 0 4 0 1 [0]|[0]|-1 0 0 [0]'] = '7^2_4'
HOMFLYPT['1 [0] 3 0 2|[[0]]|-2 [0] -6 0 -2|[0]|1 [0] 4 0 1|[0]|[0] -1'] = '7^2_5'
HOMFLYPT['2 0 3 [0] 1|[[0]]|-2 0 -6 [0] -2|[0]|1 0 4 [0] 1|[0]|-1 [0]'] = '7^2_5'
HOMFLYPT['1 0 3 0 2 0 0 0 0 [0]|[[0]]|-3 0 -4 0 1 0 0 [0]|[0]|2 0 -1 0 0 [0]'] = '7^2_5'
HOMFLYPT['[0] 0 0 0 0 2 0 3 0 1|[[0]]|[0] 0 0 1 0 -4 0 -3|[0]|[0] 0 0 -1 0 2'] = '7^2_5'
HOMFLYPT['-1 [0] -1|[[0]]|-1 0 -2 [0] -1|[0]|1 0 3 [0] 1|[0]|-1 [0]'] = '7^2_6'
HOMFLYPT['-1 [0] -1|[[0]]|-1 [0] -2 0 -1|[0]|1 [0] 3 0 1|[0]|[0] -1'] = '7^2_6'
HOMFLYPT['2 0 3 [0] 1|[[0]]|-1 0 -4 [0] -1|[0]|1 [0]'] = '7^2_7'
HOMFLYPT['1 [0] 3 0 2|[[0]]|-1 [0] -4 0 -1|[0]|[0] 1'] = '7^2_7'
HOMFLYPT['1 0 3 0 2 0 0 0 0 [0]|[[0]]|-4 0 -6 0 0 0 0 [0]|[0]|1 0 5 0 0 0 0 [0]|[0]|-1 0 0 0 0 [0]'] = '7^2_7'
HOMFLYPT['[0] 0 0 0 0 2 0 3 0 1|[[0]]|[0] 0 0 0 0 -6 0 -4|[0]|[0] 0 0 0 0 5 0 1|[0]|[0] 0 0 0 0 -1'] = '7^2_7'
HOMFLYPT['1 0 3 0 2 [0]|[[0]]|-1 0 -3 0 -2 [0]|[0]|1 0 0 [0]'] = '7^2_8'
HOMFLYPT['[0] 2 0 3 0 1|[[0]]|[0] -2 0 -3 0 -1|[0]|[0] 0 0 1'] = '7^2_8'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 3 0 [2]]|[0]|-2 0 [-2] 0 -1|[0]|[1]'] = '7^3_1'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[[2] 0 3 0 1]|[0]|-1 0 [-2] 0 -2|[0]|[1]'] = '7^3_1'
HOMFLYPT['[0] 0 0 0 -1 0 -2 0 -1|[0]|[[0] 0 0 0 3 0 3]|[0]|[0] 0 0 0 -3 0 1 0 1|[0]|[0] 0 0 0 1 0 -1'] = '7^3_1'
HOMFLYPT['-1 0 -2 0 -1 0 0 0 [0]|[0]|[3 0 3 0 0 0 [0]]|[0]|1 0 1 0 -3 0 0 0 [0]|[0]|-1 0 1 0 0 0 [0]'] = '7^3_1'
HOMFLYPT['[0] 0 0 0 0 0 0 -1 0 -1|[[0]]|[0] -1 0 1 0 -1 0 1'] = '8^2_1'
HOMFLYPT['-1 0 -1 0 0 0 0 0 0 [0]|[[0]]|1 0 -1 0 1 0 -1 [0]'] = '8^2_1'
HOMFLYPT['-1 0 -1 0 0 0 0 0 0 [0]|[[0]]|6 0 10 0 0 0 0 0 0 [0]|[0]|-5 0 -15 0 0 0 0 0 0 [0]|[0]|1 0 7 0 0 0 0 0 0 [0]|[0]|-1 0 0 0 0 0 0 [0]'] = '8^2_1'
HOMFLYPT['[0] 0 0 0 0 0 0 -1 0 -1|[[0]]|[0] 0 0 0 0 0 0 10 0 6|[0]|[0] 0 0 0 0 0 0 -15 0 -5|[0]|[0] 0 0 0 0 0 0 7 0 1|[0]|[0] 0 0 0 0 0 0 -1'] = '8^2_1'
HOMFLYPT['-1 0 -1 0 0 0 0 0 0 [0]|[[0]]|1 0 2 0 -1 0 2 0 0 [0]|[0]|-1 0 1 0 -1 0 0 [0]'] = '8^2_2'
HOMFLYPT['[0] 0 0 0 0 0 0 -1 0 -1|[[0]]|[0] 0 0 2 0 -1 0 2 0 1|[0]|[0] 0 0 -1 0 1 0 -1'] = '8^2_2'
HOMFLYPT['-1 0 -1 0 0 0 0 0 0 [0]|[[0]]|3 0 4 0 -3 0 0 0 0 [0]|[0]|-1 0 -4 0 4 0 0 0 0 [0]|[0]|1 0 -1 0 0 0 0 [0]'] = '8^2_2'
HOMFLYPT['[0] 0 0 0 0 0 0 -1 0 -1|[[0]]|[0] 0 0 0 0 -3 0 4 0 3|[0]|[0] 0 0 0 0 4 0 -4 0 -1|[0]|[0] 0 0 0 0 -1 0 1'] = '8^2_2'
HOMFLYPT['[0] 0 0 0 0 1 0 1|[[0]]|1 [0] 0 0 0 0 -2|[0]|[0] -1 0 1'] = '8^2_3'
HOMFLYPT['1 0 1 0 0 0 0 [0]|[[0]]|-2 0 0 0 0 [0] 1|[0]|1 0 -1 [0]'] = '8^2_3'
HOMFLYPT['[0] 0 0 0 0 1 0 1|[[0]]|[0] 0 0 0 0 -4 0 1 0 2|[0]|[0] 0 0 0 0 4 0 -3 0 -1|[0]|[0] 0 0 0 0 -1 0 1'] = '8^2_3'
HOMFLYPT['1 0 1 0 0 0 0 [0]|[[0]]|2 0 1 0 -4 0 0 0 0 [0]|[0]|-1 0 -3 0 4 0 0 0 0 [0]|[0]|1 0 -1 0 0 0 0 [0]'] = '8^2_3'
HOMFLYPT['[0] 0 0 0 0 0 0 -1 0 -1|[[0]]|[0] 0 0 1 0 -3 0 1 0 1|[0]|[0] 0 0 -1 0 2 0 -1'] = '8^2_4'
HOMFLYPT['-1 0 -1 0 0 0 0 0 0 [0]|[[0]]|1 0 1 0 -3 0 1 0 0 [0]|[0]|-1 0 2 0 -1 0 0 [0]'] = '8^2_4'
HOMFLYPT['-1 0 -1 0 0 0 0 0 0 [0]|[[0]]|2 0 2 0 -4 0 0 0 0 [0]|[0]|-1 0 -3 0 4 0 0 0 0 [0]|[0]|1 0 -1 0 0 0 0 [0]'] = '8^2_4'
HOMFLYPT['[0] 0 0 0 0 0 0 -1 0 -1|[[0]]|[0] 0 0 0 0 -4 0 2 0 2|[0]|[0] 0 0 0 0 4 0 -3 0 -1|[0]|[0] 0 0 0 0 -1 0 1'] = '8^2_4'
HOMFLYPT['1 0 1 0 0 0 0 [0]|[[0]]|1 0 0 0 -3 0 1 0 0 [0]|[0]|-1 0 2 0 -1 0 0 [0]'] = '8^2_5'
HOMFLYPT['[0] 0 0 0 0 1 0 1|[[0]]|[0] 0 0 1 0 -3 0 0 0 1|[0]|[0] 0 0 -1 0 2 0 -1'] = '8^2_5'
HOMFLYPT['[0] 0 0 0 0 1 0 1|[[0]]|[0] -2 0 -2 0 -4 0 -1|[0]|[0] 1 0 3 0 2|[0]|[0] 0 0 -1'] = '8^2_5'
HOMFLYPT['1 0 1 0 0 0 0 [0]|[[0]]|-1 0 -4 0 -2 0 -2 [0]|[0]|2 0 3 0 1 [0]|[0]|-1 0 0 [0]'] = '8^2_5'
HOMFLYPT['-1 0 -1 0 0 [0]|[[0]]|2 0 0 [0] -1 0 -1|[0]|-1 [0] 1'] = '8^2_6'
HOMFLYPT['[0] 0 0 -1 0 -1|[[0]]|-1 0 -1 [0] 0 0 2|[0]|1 [0] -1'] = '8^2_6'
HOMFLYPT['-1 0 -1 0 0 [0]|[[0]]|1 0 1 0 0 0 2 0 0 [0]|[0]|-1 0 1 0 -1 0 0 [0]'] = '8^2_6'
HOMFLYPT['[0] 0 0 -1 0 -1|[[0]]|[0] 0 0 2 0 0 0 1 0 1|[0]|[0] 0 0 -1 0 1 0 -1'] = '8^2_6'
HOMFLYPT['[0] 1 0 1|[[0]]|-1 0 -3 [0] -4 0 -1|[0]|1 0 3 [0] 2|[0]|-1 [0]'] = '8^2_7'
HOMFLYPT['1 0 1 [0]|[[0]]|-1 0 -4 [0] -3 0 -1|[0]|2 [0] 3 0 1|[0]|[0] -1'] = '8^2_7'
HOMFLYPT['1 0 1 [0]|[[0]]|-1 0 -3 0 -3 0 -2 [0]|[0]|2 0 3 0 1 [0]|[0]|-1 0 0 [0]'] = '8^2_7'
HOMFLYPT['[0] 1 0 1|[[0]]|[0] -2 0 -3 0 -3 0 -1|[0]|[0] 1 0 3 0 2|[0]|[0] 0 0 -1'] = '8^2_7'
HOMFLYPT['[0] 1 0 1|[[0]]|-1 [0] -4 0 -3 0 -1|[0]|1 [0] 3 0 2|[0]|[0] -1'] = '8^2_8'
HOMFLYPT['1 0 1 [0]|[[0]]|-1 0 -3 0 -4 [0] -1|[0]|2 0 3 [0] 1|[0]|-1 [0]'] = '8^2_8'
HOMFLYPT['[0] 1 0 2 0 2 0 1|[[0]]|1 [0] -1 0 -3 0 -3|[0]|[0] -1 0 2'] = '8^2_9'
HOMFLYPT['1 0 2 0 2 0 1 [0]|[[0]]|-3 0 -3 0 -1 [0] 1|[0]|2 0 -1 [0]'] = '8^2_9'
HOMFLYPT['1 0 2 0 2 0 1 [0]|[[0]]|-1 0 -4 0 -3 0 -2 [0]|[0]|2 0 3 0 1 [0]|[0]|-1 0 0 [0]'] = '8^2_9'
HOMFLYPT['[0] 1 0 2 0 2 0 1|[[0]]|[0] -2 0 -3 0 -4 0 -1|[0]|[0] 1 0 3 0 2|[0]|[0] 0 0 -1'] = '8^2_9'
HOMFLYPT['1 0 2 [0] 2 0 1|[[0]]|-1 0 -4 [0] -4 0 -1|[0]|2 [0] 3 0 1|[0]|[0] -1'] = '8^2_10'
HOMFLYPT['1 0 2 [0] 2 0 1|[[0]]|-1 0 -4 [0] -4 0 -1|[0]|1 0 3 [0] 2|[0]|-1 [0]'] = '8^2_10'
HOMFLYPT['2 0 3 [0] 1|[[0]]|-1 0 -5 [0] -3 0 -1|[0]|2 [0] 3 0 1|[0]|[0] -1'] = '8^2_11'
HOMFLYPT['1 [0] 3 0 2|[[0]]|-1 0 -3 [0] -5 0 -1|[0]|1 0 3 [0] 2|[0]|-1 [0]'] = '8^2_11'
HOMFLYPT['[0] 0 0 0 0 2 0 3 0 1|[[0]]|[0] 0 0 0 0 -5 0 -2 0 1|[0]|[0] 0 0 0 0 4 0 -2 0 -1|[0]|[0] 0 0 0 0 -1 0 1'] = '8^2_11'
HOMFLYPT['1 0 3 0 2 0 0 0 0 [0]|[[0]]|1 0 -2 0 -5 0 0 0 0 [0]|[0]|-1 0 -2 0 4 0 0 0 0 [0]|[0]|1 0 -1 0 0 0 0 [0]'] = '8^2_11'
HOMFLYPT['1 0 3 0 2 [0]|[[0]]|-1 0 -4 0 -4 [0] -1|[0]|2 0 3 [0] 1|[0]|-1 [0]'] = '8^2_12'
HOMFLYPT['[0] 2 0 3 0 1|[[0]]|-1 [0] -4 0 -4 0 -1|[0]|1 [0] 3 0 2|[0]|[0] -1'] = '8^2_12'
HOMFLYPT['-1 [0] -1|[[0]]|-1 0 -2 0 -1 [0]|[0]|2 0 2 [0] 1|[0]|-1 [0]'] = '8^2_13'
HOMFLYPT['-1 [0] -1|[[0]]|[0] -1 0 -2 0 -1|[0]|1 [0] 2 0 2|[0]|[0] -1'] = '8^2_13'
HOMFLYPT['2 0 3 [0] 1|[[0]]|-1 0 -5 [0] -3 0 -1|[0]|1 0 3 [0] 2|[0]|-1 [0]'] = '8^2_14'
HOMFLYPT['1 [0] 3 0 2|[[0]]|-1 0 -3 [0] -5 0 -1|[0]|2 [0] 3 0 1|[0]|[0] -1'] = '8^2_14'
HOMFLYPT['[0] 0 0 0 0 2 0 3 0 1|[[0]]|[0] 0 0 0 0 -5 0 -2 0 1|[0]|[0] 0 0 -1 0 3 0 -1'] = '8^2_14'
HOMFLYPT['1 0 3 0 2 0 0 0 0 [0]|[[0]]|1 0 -2 0 -5 0 0 0 0 [0]|[0]|-1 0 3 0 -1 0 0 [0]'] = '8^2_14'
HOMFLYPT['1 0 2 [0] 2 0 1|[[0]]|-1 0 -3 [0] -2|[0]|1 [0]'] = '8^2_15'
HOMFLYPT['1 0 2 [0] 2 0 1|[[0]]|-2 [0] -3 0 -1|[0]|[0] 1'] = '8^2_15'
HOMFLYPT['1 0 2 0 2 0 1 [0]|[[0]]|-2 0 -2 0 -2 [0]|[0]|1 0 0 [0]'] = '8^2_16'
HOMFLYPT['[0] 1 0 2 0 2 0 1|[[0]]|[0] -2 0 -2 0 -2|[0]|[0] 0 0 1'] = '8^2_16'
HOMFLYPT['[0] 1 0 2 0 2 0 1|[[0]]|[0] -3 0 -4 0 -3|[0]|[0] 1 0 4 0 1|[0]|[0] 0 0 -1'] = '8^2_16'
HOMFLYPT['1 0 2 0 2 0 1 [0]|[[0]]|-3 0 -4 0 -3 [0]|[0]|1 0 4 0 1 [0]|[0]|-1 0 0 [0]'] = '8^2_16'
HOMFLYPT['1 0 2 0 1 0 0 0 0 0 [0]|[0]|[-3 0 -2 0 1 0 0 0 [0]]|[0]|2 0 -2 0 1 0 [0]'] = '8^3_1'
HOMFLYPT['[0] 0 0 0 0 0 1 0 2 0 1|[0]|[[0] 0 0 0 1 0 -2 0 -3]|[0]|[0] 0 1 0 -2 0 2'] = '8^3_1'
HOMFLYPT['[0] 0 1 0 2 0 1|[0]|[[0] 0 -4 0 -6 0 -2]|[0]|[0] 0 4 0 8 0 3|[0]|[0] 0 -1 0 -5 0 -1|[0]|[0] 0 0 0 1'] = '8^3_1'
HOMFLYPT['1 0 2 0 1 0 [0]|[0]|[-2 0 -6 0 -4 0 [0]]|[0]|3 0 8 0 4 0 [0]|[0]|-1 0 -5 0 -1 0 [0]|[0]|1 0 0 0 [0]'] = '8^3_1'
HOMFLYPT['1 0 [2] 0 1|[0]|[-3 0 [-6] 0 -3]|[0]|3 0 [9] 0 3|[0]|-1 0 [-5] 0 -1|[0]|[1]'] = '8^3_2'
HOMFLYPT['[0] 0 1 0 2 0 1|[0]|[[1] 0 -1 0 -3 0 -1]|[0]|[-1] 0 -1 0 2 0 1|[0]|[0] 0 1 0 -1'] = '8^3_2'
HOMFLYPT['1 0 2 0 1 0 [0]|[0]|[-1 0 -3 0 -1 0 [1]]|[0]|1 0 2 0 -1 0 [-1]|[0]|-1 0 1 0 [0]'] = '8^3_2'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[[2] 0 3 0 1]|[0]|[-1] 0 -2 0 1 0 1|[0]|[0] 0 1 0 -1'] = '8^3_3'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 3 0 [2]]|[0]|1 0 1 0 -2 0 [-1]|[0]|-1 0 1 0 [0]'] = '8^3_3'
HOMFLYPT['-1 0 -2 0 -1 0 0 0 [0]|[0]|[3 0 3 0 0 0 [0]]|[0]|-3 0 -1 0 [-1]|[0]|1 0 [0]'] = '8^3_3'
HOMFLYPT['[0] 0 0 0 -1 0 -2 0 -1|[0]|[[0] 0 0 0 3 0 3]|[0]|[-1] 0 -1 0 -3|[0]|[0] 0 1'] = '8^3_3'
HOMFLYPT['1 0 [2] 0 1|[0]|[1 0 0 0 [-2] 0 0 0 1]|[0]|-2 0 [0] 0 -2|[0]|[1]'] = '8^3_4'
HOMFLYPT['[0] 0 0 0 0 0 1 0 2 0 1|[0]|[[0] 0 0 0 1 0 -3 0 -5 0 -1]|[0]|[0] 0 0 0 -2 0 5 0 3|[0]|[0] 0 0 0 1 0 -2'] = '8^3_4'
HOMFLYPT['1 0 2 0 1 0 0 0 0 0 [0]|[0]|[-1 0 -5 0 -3 0 1 0 0 0 [0]]|[0]|3 0 5 0 -2 0 0 0 [0]|[0]|-2 0 1 0 0 0 [0]'] = '8^3_4'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[[1] 0 1]|[0]|-1 0 [-1] 0 1 0 1|[0]|[1] 0 -1'] = '8^3_5'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 [1]]|[0]|1 0 1 0 [-1] 0 -1|[0]|-1 0 [1]'] = '8^3_5'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 [1]]|[0]|2 0 4 0 [2]|[0]|-1 0 -4 0 [-1]|[0]|1 0 [0]'] = '8^3_5'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[[1] 0 1]|[0]|[2] 0 4 0 2|[0]|[-1] 0 -4 0 -1|[0]|[0] 0 1'] = '8^3_5'
HOMFLYPT['[0] 0 1 0 2 0 1|[0]|[[0] 0 -2 0 -2]|[0]|[-1] 0 0 0 1 0 1|[0]|[0] 0 1 0 -1'] = '8^3_6'
HOMFLYPT['1 0 2 0 1 0 [0]|[0]|[-2 0 -2 0 [0]]|[0]|1 0 1 0 0 0 [-1]|[0]|-1 0 1 0 [0]'] = '8^3_6'
HOMFLYPT['1 0 [2] 0 1|[0]|[-1 0 [-2] 0 -1]|[0]|2 0 [5] 0 2|[0]|-1 0 [-4] 0 -1|[0]|[1]'] = '8^3_6'
HOMFLYPT['1 0 2 0 1 0 [0]|[0]|[-1 0 -3 0 -1 0 [1]]|[0]|1 0 0 0 [0]'] = '8^3_7'
HOMFLYPT['[0] 0 1 0 2 0 1|[0]|[[1] 0 -1 0 -3 0 -1]|[0]|[0] 0 0 0 1'] = '8^3_7'
HOMFLYPT['1 0 [2] 0 1|[0]|[-3 0 [-6] 0 -3]|[0]|1 0 [5] 0 1|[0]|[-1]'] = '8^3_7'
HOMFLYPT['1 0 [2] 0 1|[0]|[1 0 0 0 [-3] 0 -2]|[0]|-1 0 [2]'] = '8^3_8'
HOMFLYPT['1 0 [2] 0 1|[0]|[-2 0 [-3] 0 0 0 1]|[0]|[2] 0 -1'] = '8^3_8'
HOMFLYPT['1 0 2 0 1 0 [0]|[0]|[-2 0 -6 0 -4 0 [0]]|[0]|1 0 4 0 2 0 [0]|[0]|-1 0 0 0 [0]'] = '8^3_8'
HOMFLYPT['[0] 0 1 0 2 0 1|[0]|[[0] 0 -4 0 -6 0 -2]|[0]|[0] 0 2 0 4 0 1|[0]|[0] 0 0 0 -1'] = '8^3_8'
HOMFLYPT['[0] 0 0 0 0 0 1 0 2 0 1|[0]|[[0] 0 0 0 1 0 -2 0 -3]|[0]|[0] 0 0 0 -3 0 3 0 1|[0]|[0] 0 0 0 1 0 -1'] = '8^3_8'
HOMFLYPT['1 0 2 0 1 0 0 0 0 0 [0]|[0]|[-3 0 -2 0 1 0 0 0 [0]]|[0]|1 0 3 0 -3 0 0 0 [0]|[0]|-1 0 1 0 0 0 [0]'] = '8^3_8'
HOMFLYPT['[0] 0 1 0 2 0 1|[0]|[[1] 0 0 0 -1]|[0]|[-1] 0 -2 0 -1|[0]|[0] 0 1'] = '8^3_9'
HOMFLYPT['1 0 2 0 1 0 [0]|[0]|[-1 0 0 0 [1]]|[0]|-1 0 -2 0 [-1]|[0]|1 0 [0]'] = '8^3_9'
HOMFLYPT['1 0 2 0 1 0 [0]|[0]|[-1 0 -4 0 -3 0 [0]]|[0]|1 0 3 0 2 0 [0]|[0]|-1 0 0 0 [0]'] = '8^3_9'
HOMFLYPT['[0] 0 1 0 2 0 1|[0]|[[0] 0 -3 0 -4 0 -1]|[0]|[0] 0 2 0 3 0 1|[0]|[0] 0 0 0 -1'] = '8^3_9'
HOMFLYPT['1 0 [2] 0 1|[0]|[1 0 -1 0 [-5] 0 -3]|[0]|[5] 0 1|[0]|[-1]'] = '8^3_10'
HOMFLYPT['1 0 [2] 0 1|[0]|[-3 0 [-5] 0 -1 0 1]|[0]|1 0 [5]|[0]|[-1]'] = '8^3_10'
HOMFLYPT['[0] 0 0 0 0 0 1 0 2 0 1|[0]|[[0] 0 0 0 2 0 0 0 -2]|[0]|[0] 0 0 0 -4|[0]|[0] 0 0 0 1'] = '8^3_10'
HOMFLYPT['1 0 2 0 1 0 0 0 0 0 [0]|[0]|[-2 0 0 0 2 0 0 0 [0]]|[0]|-4 0 0 0 [0]|[0]|1 0 0 0 [0]'] = '8^3_10'
HOMFLYPT['-1 0 -3 [0] -3 0 -1|[0]|2 0 6 [0] 6 0 2|[[0]]|-1 0 -5 [0] -5 0 -1|[0]|2 [0] 3 0 1|[0]|[0] -1'] = '8^4_1'
HOMFLYPT['-1 0 -3 [0] -3 0 -1|[0]|2 0 6 [0] 6 0 2|[[0]]|-1 0 -5 [0] -5 0 -1|[0]|1 0 3 [0] 2|[0]|-1 [0]'] = '8^4_1'
HOMFLYPT['-1 0 -3 0 -3 0 -1 0 0 0 0 [0]|[0]|4 0 8 0 4 0 0 0 0 [0]|[[0]]|-6 0 -6 0 0 0 0 [0]|[0]|3 0 -1 0 0 [0]'] = '8^4_1'
HOMFLYPT['[0] 0 0 0 0 -1 0 -3 0 -3 0 -1|[0]|[0] 0 0 0 0 4 0 8 0 4|[[0]]|[0] 0 0 0 0 -6 0 -6|[0]|[0] 0 0 -1 0 3'] = '8^4_1'
HOMFLYPT['[0] 0 0 0 0 -1 0 -3 0 -3 0 -1|[0]|[0] 0 0 0 0 4 0 8 0 4|[[0]]|[0] 0 0 0 0 -6 0 -6|[0]|[0] 0 0 0 0 4 0 -1 0 -1|[0]|[0] 0 0 0 0 -1 0 1'] = '8^4_1'
HOMFLYPT['-1 0 -3 0 -3 0 -1 0 0 0 0 [0]|[0]|4 0 8 0 4 0 0 0 0 [0]|[[0]]|-6 0 -6 0 0 0 0 [0]|[0]|-1 0 -1 0 4 0 0 0 0 [0]|[0]|1 0 -1 0 0 0 0 [0]'] = '8^4_1'
HOMFLYPT['-1 0 -3 0 -3 0 -1 [0]|[0]|1 0 5 0 7 0 3 [0]|[[0]]|-3 0 -6 0 -3 [0]|[0]|2 0 0 [0]'] = '8^4_2'
HOMFLYPT['[0] -1 0 -3 0 -3 0 -1|[0]|[0] 3 0 7 0 5 0 1|[[0]]|[0] -3 0 -6 0 -3|[0]|[0] 0 0 2'] = '8^4_2'
HOMFLYPT['[0] -1 0 -3 0 -3 0 -1|[0]|[0] 3 0 7 0 5 0 1|[[0]]|[0] -3 0 -6 0 -3|[0]|[0] 1 0 4 0 1|[0]|[0] 0 0 -1'] = '8^4_2'
HOMFLYPT['-1 0 -3 0 -3 0 -1 [0]|[0]|1 0 5 0 7 0 3 [0]|[[0]]|-3 0 -6 0 -3 [0]|[0]|1 0 4 0 1 [0]|[0]|-1 0 0 [0]'] = '8^4_2'
HOMFLYPT['-1 0 -3 [0] -3 0 -1|[0]|2 0 6 [0] 6 0 2|[[0]]|-1 0 -5 [0] -5 0 -1|[0]|1 [0] 1'] = '8^4_3'
HOMFLYPT['-1 0 -3 0 -3 0 -1 0 0 0 0 [0]|[0]|4 0 8 0 4 0 0 0 0 [0]|[[0]]|-6 0 -6 0 0 0 0 [0]|[0]|1 0 5 0 0 0 0 [0]|[0]|-1 0 0 0 0 [0]'] = '8^4_3'
HOMFLYPT['[0] 0 0 0 0 -1 0 -3 0 -3 0 -1|[0]|[0] 0 0 0 0 4 0 8 0 4|[[0]]|[0] 0 0 0 0 -6 0 -6|[0]|[0] 0 0 0 0 5 0 1|[0]|[0] 0 0 0 0 -1'] = '8^4_3'

# composite links
HOMFLYPT['1 0 2 0 1 0 [0]|[0]|[-2 0 -2 0 [0]]|[0]|1 0 [0]'] = '2^2_1 # 2^2_1'
HOMFLYPT['1 0 [2] 0 1|[0]|[-1 0 [-2] 0 -1]|[0]|[1]'] = '2^2_1 # 2^2_1'
HOMFLYPT['[0] 0 1 0 2 0 1|[0]|[[0] 0 -2 0 -2]|[0]|[0] 0 1'] = '2^2_1 # 2^2_1'
HOMFLYPT['-1 0 -3 0 -2 0 0 [0]|[[0]]|2 0 3 0 0 [0]|[0]|-1 0 0 [0]'] = '3_1 # 2^2_1'
HOMFLYPT['-1 0 -3 [0] -2|[[0]]|1 0 3 [0] 1|[0]|-1 [0]'] = '3_1 # 2^2_1'
HOMFLYPT['-2 [0] -3 0 -1|[[0]]|1 [0] 3 0 1|[0]|[0] -1'] = '3_1 # 2^2_1'
HOMFLYPT['[0] 0 0 -2 0 -3 0 -1|[[0]]|[0] 0 0 3 0 2|[0]|[0] 0 0 -1'] = '3_1 # 2^2_1'
HOMFLYPT['1 0 3 0 3 [0] 1|[0]|-1 0 -4 0 -5 [0] -2|[[0]]|2 0 3 [0] 1|[0]|-1 [0]'] = '2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['1 [0] 3 0 3 0 1|[0]|-2 [0] -5 0 -4 0 -1|[[0]]|1 [0] 3 0 2|[0]|[0] -1'] = '2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['[0] 0 0 1 0 3 0 3 0 1|[0]|[0] 0 0 -3 0 -6 0 -3|[[0]]|[0] 0 0 3 0 3|[0]|[0] 0 0 -1'] = '2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['1 0 3 0 3 0 1 0 0 [0]|[0]|-3 0 -6 0 -3 0 0 [0]|[[0]]|3 0 3 0 0 [0]|[0]|-1 0 0 [0]'] = '2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['-1 0 -2 0 -2 [0] -1|[[0]]|2 0 2 [0] 1|[0]|-1 [0]'] = '4_1 # 2^2_1'
HOMFLYPT['-1 [0] -2 0 -2 0 -1|[[0]]|1 [0] 2 0 2|[0]|[0] -1'] = '4_1 # 2^2_1'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[-1 0 [0] 0 2 0 1]|[0]|[1] 0 -1'] = '4^2_1 # 2^2_1'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 2 0 [0] 0 -1]|[0]|-1 0 [1]'] = '4^2_1 # 2^2_1'
HOMFLYPT['[0] 0 0 0 -1 0 -2 0 -1|[0]|[[0] 0 -1 0 1 0 2]|[0]|[0] 0 1 0 -1'] = '4^2_1 # 2^2_1'
HOMFLYPT['-1 0 -2 0 -1 0 0 0 [0]|[0]|[2 0 1 0 -1 0 [0]]|[0]|-1 0 1 0 [0]'] = '4^2_1 # 2^2_1'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[[3] 0 5 0 2]|[0]|[-1] 0 -4 0 -1|[0]|[0] 0 1'] = '4^2_1 # 2^2_1'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[2 0 5 0 [3]]|[0]|-1 0 -4 0 [-1]|[0]|1 0 [0]'] = '4^2_1 # 2^2_1'
HOMFLYPT['-1 0 -2 0 -1 0 0 0 [0]|[0]|[1 0 5 0 4 0 0 0 [0]]|[0]|-2 0 -4 0 0 0 [0]|[0]|1 0 0 0 [0]'] = '4^2_1 # 2^2_1'
HOMFLYPT['[0] 0 0 0 -1 0 -2 0 -1|[0]|[[0] 0 0 0 4 0 5 0 1]|[0]|[0] 0 0 0 -4 0 -2|[0]|[0] 0 0 0 1'] = '4^2_1 # 2^2_1'
HOMFLYPT['1 [0] 3 0 2|[[0]]|1 0 1 [0] -3 0 -1|[0]|-1 [0] 1'] = '3_1 # 4^2_1'
HOMFLYPT['2 0 3 [0] 1|[[0]]|-1 0 -3 [0] 1 0 1|[0]|1 [0] -1'] = '3_1 # 4^2_1'
HOMFLYPT['1 [0] 3 0 2|[[0]]|-3 [0] -8 0 -3|[0]|1 [0] 5 0 1|[0]|[0] -1'] = '3_1 # 4^2_1'
HOMFLYPT['2 0 3 [0] 1|[[0]]|-3 0 -8 [0] -3|[0]|1 0 5 [0] 1|[0]|-1 [0]'] = '3_1 # 4^2_1'
HOMFLYPT['1 0 3 0 2 0 0 0 0 [0]|[[0]]|-2 0 -2 0 2 0 0 [0]|[0]|1 0 -1 0 0 [0]'] = '3_1 # 4^2_1'
HOMFLYPT['[0] 0 0 0 0 2 0 3 0 1|[[0]]|[0] 0 0 2 0 -2 0 -2|[0]|[0] 0 0 -1 0 1'] = '3_1 # 4^2_1'
HOMFLYPT['1 0 3 0 2 0 0 0 0 [0]|[[0]]|-1 0 -6 0 -7 0 0 0 0 [0]|[0]|2 0 5 0 0 0 0 [0]|[0]|-1 0 0 0 0 [0]'] = '3_1 # 4^2_1'
HOMFLYPT['[0] 0 0 0 0 2 0 3 0 1|[[0]]|[0] 0 0 0 0 -7 0 -6 0 -1|[0]|[0] 0 0 0 0 5 0 2|[0]|[0] 0 0 0 0 -1'] = '3_1 # 4^2_1'
HOMFLYPT['2 0 5 0 3 [0]|[[0]]|-3 0 -8 0 -4 [0]|[0]|1 0 5 0 1 [0]|[0]|-1 0 0 [0]'] = '5_1 # 2^2_1'
HOMFLYPT['[0] 3 0 5 0 2|[[0]]|[0] -4 0 -8 0 -3|[0]|[0] 1 0 5 0 1|[0]|[0] 0 0 -1'] = '5_1 # 2^2_1'
HOMFLYPT['2 0 5 0 3 0 0 0 0 [0]|[[0]]|-1 0 -7 0 -7 0 0 0 0 [0]|[0]|2 0 5 0 0 0 0 [0]|[0]|-1 0 0 0 0 [0]'] = '5_1 # 2^2_1'
HOMFLYPT['[0] 0 0 0 0 3 0 5 0 2|[[0]]|[0] 0 0 0 0 -7 0 -7 0 -1|[0]|[0] 0 0 0 0 5 0 2|[0]|[0] 0 0 0 0 -1'] = '5_1 # 2^2_1'
HOMFLYPT['1 0 2 0 0 [0] -1|[[0]]|-1 0 -2 0 1 [0] 1|[0]|1 0 -1 [0]'] = '5_2 # 2^2_1'
HOMFLYPT['-1 [0] 0 0 2 0 1|[[0]]|1 [0] 1 0 -2 0 -1|[0]|[0] -1 0 1'] = '5_2 # 2^2_1'
HOMFLYPT['1 0 2 0 0 0 -1 0 0 [0]|[[0]]|-2 0 -1 0 2 0 0 [0]|[0]|1 0 -1 0 0 [0]'] = '5-2 # 2^2_1'
HOMFLYPT['[0] 0 0 -1 0 0 0 2 0 1|[[0]]|[0] 0 0 2 0 -1 0 -2|[0]|[0] 0 0 -1 0 1'] = '5_2 # 2^2_1'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 4 0 [4] 0 1]|[0]|-2 0 [-3] 0 -1|[0]|[1]'] = '5^2_1 # 2^2_1'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[1 0 [4] 0 4 0 1]|[0]|-1 0 [-3] 0 -2|[0]|[1]'] = '5^2_1 # 2^2_1'
HOMFLYPT['[-1] 0 -2 0 -1|[0]|[[2] 0 4 0 3 0 1]|[0]|[-1] 0 -3 0 -2|[0]|[0] 0 1'] = '5^2_1 # 2^2_1'
HOMFLYPT['-1 0 -2 0 [-1]|[0]|[1 0 3 0 4 0 [2]]|[0]|-2 0 -3 0 [-1]|[0]|1 0 [0]'] = '5^2_1 # 2^2_1'
HOMFLYPT['-2 0 -5 0 [-4] 0 -1|[0]|[1 0 6 0 [7] 0 2]|[0]|-2 0 [-4] 0 -1|[0]|[1]'] = '3_1 # 2^2_1 # 2^2_1'
HOMFLYPT['-1 0 [-4] 0 -5 0 -2|[0]|[2 0 [7] 0 6 0 1]|[0]|-1 0 [-4] 0 -2|[0]|[1]'] = '3_1 # 2^2_1 # 2^2_1'
HOMFLYPT['-1 0 -4 0 -5 0 [-2]|[0]|[1 0 5 0 7 0 [3]]|[0]|-2 0 -4 0 [-1]|[0]|1 0 [0]'] = '3_1 # 2^2_1 # 2^2_1'
HOMFLYPT['[-2] 0 -5 0 -4 0 -1|[0]|[[3] 0 7 0 5 0 1]|[0]|[-1] 0 -4 0 -2|[0]|[0] 0 1'] = '3_1 # 2^2_1 # 2^2_1'
HOMFLYPT['-1 0 -4 0 -5 0 -2 0 0 0 [0]|[0]|[3 0 8 0 5 0 0 0 [0]]|[0]|-3 0 -4 0 0 0 [0]|[0]|1 0 0 0 [0]'] = '3_1 # 2^2_1 # 2^2_1'
HOMFLYPT['[0] 0 0 0 -2 0 -5 0 -4 0 -1|[0]|[[0] 0 0 0 5 0 8 0 3]|[0]|[0] 0 0 0 -4 0 -3|[0]|[0] 0 0 0 1'] = '3_1 # 2^2_1 # 2^2_1'
HOMFLYPT['1 0 2 [0] 1 0 -1 0 -1|[[0]]|-1 0 -2 [0] 0 0 2|[0]|1 [0] -1'] = '6_1 # 2^2_1'
HOMFLYPT['-1 0 -1 0 1 [0] 2 0 1|[[0]]|2 0 0 [0] -2 0 -1|[0]|-1 [0] 1'] = '6_1 # 2^2_1'
HOMFLYPT['1 0 2 0 1 0 -1 [0] -1|[[0]]|-2 0 -1 0 1 [0] 1|[0]|1 0 -1 [0]'] = '6_1 # 2^2_1'
HOMFLYPT['-1 [0] -1 0 1 0 2 0 1|[[0]]|1 [0] 1 0 -1 0 -2|[0]|[0] -1 0 1'] = '6_1 # 2^2_1'
HOMFLYPT['1 0 3 [0] 4 0 2|[[0]]|-2 0 -6 [0] -6 0 -1|[0]|1 0 4 [0] 2|[0]|-1 [0]'] = '6_2 # 2^2_1'
HOMFLYPT['2 0 4 [0] 3 0 1|[[0]]|-1 0 -6 [0] -6 0 -2|[0]|2 [0] 4 0 1|[0]|[0] -1'] = '6_2 # 2^2_1'
HOMFLYPT['1 0 3 0 4 0 2 [0]|[[0]]|-1 0 -5 0 -6 0 -3 [0]|[0]|2 0 4 0 1 [0]|[0]|-1 0 0 [0]'] = '6_2 # 2^2_1'
HOMFLYPT['[0] 2 0 4 0 3 0 1|[[0]]|[0] -3 0 -6 0 -5 0 -1|[0]|[0] 1 0 4 0 2|[0]|[0] 0 0 -1'] = '6_2 # 2^2_1'
HOMFLYPT['1 0 4 0 4 [0] 1|[[0]]|-1 0 -5 0 -7 [0] -2|[0]|2 0 4 [0] 1|[0]|-1 [0]'] = '6_3 # 2^2_1'
HOMFLYPT['1 [0] 4 0 4 0 1|[[0]]|-2 [0] -7 0 -5 0 -1|[0]|1 [0] 4 0 2|[0]|[0] -1'] = '6_3 # 2^2_1'
HOMFLYPT['2 0 7 0 7 [0] 2|[[0]]|-1 0 -7 0 -10 [0] -3|[0]|2 0 5 [0] 1|[0]|-1 [0]'] = '3_1 # 3_1 # 2^2_1'
HOMFLYPT['2 [0] 7 0 7 0 2|[[0]]|-3 [0] -10 0 -7 0 -1|[0]|1 [0] 5 0 2|[0]|[0] -1'] = '3_1 # 3_1 # 2^2_1'
HOMFLYPT['1 0 5 0 8 0 4 [0]|[[0]]|-1 0 -6 0 -10 0 -4 [0]|[0]|2 0 5 0 1 [0]|[0]|-1 0 0 [0]'] = '3_1 # 3_1 # 2^2_1'
HOMFLYPT['[0] 4 0 8 0 5 0 1|[[0]]|[0] -4 0 -10 0 -6 0 -1|[0]|[0] 1 0 5 0 2|[0]|[0] 0 0 -1'] = '3_1 # 3_1 # 2^2_1'
HOMFLYPT['1 0 5 0 8 0 4 0 0 0 0 [0]|[[0]]|-3 0 -10 0 -8 0 0 0 0 [0]|[0]|3 0 5 0 0 0 0 [0]|[0]|-1 0 0 0 0 [0]'] = '3_1 # 3_1 # 2^2_1'
HOMFLYPT['[0] 0 0 0 0 4 0 8 0 5 0 1|[[0]]|[0] 0 0 0 0 -8 0 -10 0 -3|[0]|[0] 0 0 0 0 5 0 3|[0]|[0] 0 0 0 0 -1'] = '3_1 # 3_1 # 2^2_1'
HOMFLYPT['[0] 1 0 2 0 2 0 1|[[0]]|1 [0] 0 0 -1 0 -2|[0]|[0] -1 0 1'] = '4_1 # 4^2_1'
HOMFLYPT['1 0 2 0 2 0 1 [0]|[[0]]|-2 0 -1 0 0 [0] 1|[0]|1 0 -1 [0]'] = '4_1 # 4^2_1'
HOMFLYPT['1 0 2 0 2 0 1 [0]|[[0]]|-1 0 -5 0 -5 0 -3 [0]|[0]|2 0 4 0 1 [0]|[0]|-1 0 0 [0]'] = '4_1 # 4^2_1'
HOMFLYPT['[0] 1 0 2 0 2 0 1|[[0]]|[0] -3 0 -5 0 -5 0 -1|[0]|[0] 1 0 4 0 2|[0]|[0] 0 0 -1'] = '4_1 # 4^2_1'
HOMFLYPT['1 0 3 0 2 [0]|[[0]]|-1 0 -5 0 -6 [0] -2|[0]|2 0 4 [0] 1|[0]|-1 [0]'] = '3_1 # 5^2_1'
HOMFLYPT['[0] 2 0 3 0 1|[[0]]|-2 [0] -6 0 -5 0 -1|[0]|1 [0] 4 0 2|[0]|[0] -1'] = '3_1 # 5^2_1'
HOMFLYPT['1 0 3 0 2 [0]|[[0]]|-1 0 -4 0 -6 0 -3 [0]|[0]|2 0 4 0 1 [0]|[0]|-1 0 0 [0]'] = '3_1 # 5^2_1'
HOMFLYPT['[0] 2 0 3 0 1|[[0]]|[0] -3 0 -6 0 -4 0 -1|[0]|[0] 1 0 4 0 2|[0]|[0] 0 0 -1'] = '3_1 # 5^2_1'
HOMFLYPT['[1] 0 4 0 6 0 4 0 1|[0]|[-3] 0 -10 0 -12 0 -6 0 -1|[0]|[[3] 0 9 0 9 0 3]|[0]|[-1] 0 -4 0 -3|[0]|[0] 0 1'] = '2^2_1 # 2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['1 0 4 0 6 0 4 0 [1]|[0]|-1 0 -6 0 -12 0 -10 0 [-3]|[0]|[3 0 9 0 9 0 [3]]|[0]|-3 0 -4 0 [-1]|[0]|1 0 [0]'] = '2^2_1 # 2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['1 0 4 0 [6] 0 4 0 1|[0]|-2 0 -8 0 [-12] 0 -8 0 -2|[0]|[1 0 6 0 [10] 0 6 0 1]|[0]|-2 0 [-4] 0 -2|[0]|[1]'] = '2^2_1 # 2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['1 0 4 0 6 0 4 0 1 0 0 0 [0]|[0]|-4 0 -12 0 -12 0 -4 0 0 0 [0]|[0]|[6 0 12 0 6 0 0 0 [0]]|[0]|-4 0 -4 0 0 0 [0]|[0]|1 0 0 0 [0]'] = '2^2_1 # 2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['[0] 0 0 0 1 0 4 0 6 0 4 0 1|[0]|[0] 0 0 0 -4 0 -12 0 -12 0 -4|[0]|[[0] 0 0 0 6 0 12 0 6]|[0]|[0] 0 0 0 -4 0 -4|[0]|[0] 0 0 0 1'] = '2^2_1 # 2^2_1 # 2^2_1 # 2^2_1'
HOMFLYPT['[0] 1 0 2 0 2 0 1|[[0]]|1 [0] 0 0 -1 0 -2|[0]|[0] -1 0 1'] = '4_1 # 4^2_1'
HOMFLYPT['1 0 2 0 2 0 1 [0]|[[0]]|-2 0 -1 0 0 [0] 1|[0]|1 0 -1 [0]'] = '4_1 # 4^2_1'
HOMFLYPT['1 0 2 0 2 0 1 [0]|[[0]]|-1 0 -5 0 -5 0 -3 [0]|[0]|2 0 4 0 1 [0]|[0]|-1 0 0 [0]'] = '4_1 # 4^2_1'
HOMFLYPT['[0] 1 0 2 0 2 0 1|[[0]]|[0] -3 0 -5 0 -5 0 -1|[0]|[0] 1 0 4 0 2|[0]|[0] 0 0 -1'] = '4_1 # 4^2_1'
HOMFLYPT['-1 0 -3 0 -4 0 -3 0 [-1]|[0]|[3 0 6 0 [5] 0 2]|[0]|[-3] 0 -3 0 -4|[0]|[0] 0 0 0 1'] = '4_1 # 2^2_1 # 2^2_1'
HOMFLYPT['-1 0 -3 0 [-4] 0 -3 0 -1|[0]|[1 0 2 0 2 0 [3] 0 4 0 3 0 1]|[0]|-2 0 [-2] 0 -1 0 -1 0 -1|[0]|[0] 0 1'] = '4_1 # 2^2_1 # 2^2_1'
HOMFLYPT['[-1] 0 -3 0 -4 0 -3 0 -1|[0]|[2 0 [4] 0 4 0 3 0 2 0 1]|[0]|-1 0 -1 0 [-1] 0 -2 0 -2|[0]|[1]'] = '4_1 # 2^2_1 # 2^2_1'
HOMFLYPT['-1 0 -3 [0] -3 0 -1|[0]|-1 0 -1 0 3 [0] 5 0 2|[[0]]|2 0 0 [0] -3 0 -1|[0]|-1 [0] 1'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['-1 0 -3 [0] -3 0 -1|[0]|2 0 5 [0] 3 0 -1 0 -1|[[0]]|-1 0 -3 [0] 0 0 2|[0]|1 [0] -1'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['[0] -1 0 -3 0 -3 0 -1|[0]|-1 [0] 0 0 4 0 4 0 1|[[0]]|1 [0] 1 0 -2 0 -2|[0]|[0] -1 0 1'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['-1 0 -3 0 -3 0 -1 [0]|[0]|1 0 4 0 4 0 0 [0] -1|[[0]]|-2 0 -2 0 1 [0] 1|[0]|1 0 -1 [0]'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['-1 0 -3 [0] -3 0 -1|[0]|3 0 9 [0] 9 0 3|[[0]]|-1 0 -8 [0] -10 0 -3|[0]|2 [0] 5 0 1|[0]|[0] -1'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['-1 0 -3 [0] -3 0 -1|[0]|3 0 9 [0] 9 0 3|[[0]]|-3 0 -10 [0] -8 0 -1|[0]|1 0 5 [0] 2|[0]|-1 [0]'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['[0] 0 0 0 0 -1 0 -3 0 -3 0 -1|[0]|[0] 0 0 -1 0 1 0 5 0 3|[[0]]|[0] 0 0 2 0 -1 0 -3|[0]|[0] 0 0 -1 0 1'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['-1 0 -3 0 -3 0 -1 0 0 0 0 [0]|[0]|3 0 5 0 1 0 -1 0 0 [0]|[[0]]|-3 0 -1 0 2 0 0 [0]|[0]|1 0 -1 0 0 [0]'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['[0] -1 0 -3 0 -3 0 -1|[0]|[0] 4 0 10 0 8 0 2|[[0]]|[0] -4 0 -10 0 -7 0 -1|[0]|[0] 1 0 5 0 2|[0]|[0] 0 0 -1'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['-1 0 -3 0 -3 0 -1 [0]|[0]|2 0 8 0 10 0 4 [0]|[[0]]|-1 0 -7 0 -10 0 -4 [0]|[0]|2 0 5 0 1 [0]|[0]|-1 0 0 [0]'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['[0] 0 0 0 0 -1 0 -3 0 -3 0 -1|[0]|[0] 0 0 0 0 5 0 11 0 7 0 1|[[0]]|[0] 0 0 0 0 -8 0 -11 0 -3|[0]|[0] 0 0 0 0 5 0 3|[0]|[0] 0 0 0 0 -1'] = '2^2_1 # 2^2_1 # 4^2_1'
HOMFLYPT['-1 0 -3 0 -3 0 -1 0 0 0 0 [0]|[0]|1 0 7 0 11 0 5 0 0 0 0 [0]|[[0]]|-3 0 -11 0 -8 0 0 0 0 [0]|[0]|3 0 5 0 0 0 0 [0]|[0]|-1 0 0 0 0 [0]'] = '2^2_1 # 2^2_1 # 4^2_1'


## Yamada
Yamada = {}
# prime knots
Yamada['1 1 1'] = '0_1'
Yamada['1 0 -1 -1 -1 0 0 1 1 1 1 1'] = '3_1'
Yamada['1 1 1 1 1 0 0 -1 -1 -1 0 1'] = '3_1'
Yamada['1 0 -1 0 0 0 1 1 1 0 0 0 -1 0 1'] = '4_1'
Yamada['1 0 0 0 -1 -1 -1 0 0 0 0 0 0 1 1 1 1 1'] = '5_1'
Yamada['1 1 1 1 1 0 0 0 0 0 0 -1 -1 -1 0 0 0 1'] = '5_1'
Yamada['1 0 0 2 1 0 1 0 0 -1 0 0 -1 0 0 -1 0 1'] = '5_2'
Yamada['1 0 -1 0 0 -1 0 0 -1 0 0 1 0 1 2 0 0 1'] = '5_2'
Yamada['1 0 -1 0 0 -1 0 1 0 1 1 0 0 0 1 -1 -1 1 0 0 1'] = '6_1'
Yamada['1 0 0 1 -1 -1 1 0 0 0 1 1 0 1 0 -1 0 0 -1 0 1'] = '6_1'
Yamada['1 -1 -1 2 -1 -1 1 0 0 0 1 0 -1 1 1 -1 1 1 -1 0 1'] = '6_2'
Yamada['1 0 -1 1 1 -1 1 1 -1 0 1 0 0 0 1 -1 -1 2 -1 -1 1'] = '6_2'
Yamada['1 -1 -2 2 0 -2 2 1 -1 1 1 1 -1 1 2 -2 0 2 -2 -1 1'] = '6_3'
Yamada['1 0 0 0 0 0 -1 -1 -1 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1'] = '7_1'
Yamada['1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 -1 -1 -1 0 0 0 0 0 1'] = '7_1'
Yamada['1 0 -1 0 0 -1 0 1 0 0 0 -1 -1 0 0 0 0 2 1 0 1 0 0 1'] = '7_2'
Yamada['1 0 0 1 0 1 2 0 0 0 0 -1 -1 0 0 0 1 0 -1 0 0 -1 0 1'] = '7_2'
Yamada['1 0 0 2 1 -1 1 1 -1 1 1 -1 0 0 1 -2 -1 1 -2 -1 1 0 0 1'] = '7_3'
Yamada['1 0 0 1 -1 -2 1 -1 -2 1 0 0 -1 1 1 -1 1 1 -1 1 2 0 0 1'] = '7_3'
Yamada['1 -1 0 3 -1 0 2 -1 0 1 2 0 0 1 -1 -3 0 0 -2 1 1 -1 0 1'] = '7_4'
Yamada['1 0 -1 1 1 -2 0 0 -3 -1 1 0 0 2 1 0 -1 2 0 -1 3 0 -1 1'] = '7_4'
Yamada['1 -1 -1 3 -1 -3 3 0 -2 1 0 -1 -2 1 1 -3 1 3 -2 1 3 0 0 1'] = '7_5'
Yamada['1 0 0 3 1 -2 3 1 -3 1 1 -2 -1 0 1 -2 0 3 -3 -1 3 -1 -1 1'] = '7_5'
Yamada['1 -1 -1 3 -2 -3 4 -1 -3 2 1 0 -1 2 1 -3 2 3 -3 1 3 -2 -1 1'] = '7_6'
Yamada['1 -1 -2 3 1 -3 3 2 -3 1 2 -1 0 1 2 -3 -1 4 -3 -2 3 -1 -1 1'] = '7_6'
Yamada['1 -2 -2 5 -1 -3 5 0 -3 2 1 -1 -2 2 2 -4 2 4 -4 0 3 -2 -1 1'] = '7_7'
Yamada['1 -1 -2 3 0 -4 4 2 -4 2 2 -2 -1 1 2 -3 0 5 -3 -1 5 -2 -2 1'] = '7_7'

# composite knots
Yamada['1 0 -1 0 -1 -2 0 0 0 3 3 3 0 0 0 -2 -1 0 -1 0 1'] = '3_1 #2 3_1'
Yamada['1 1 0 1 2 2 0 1 -1 -3 -2 -1 -1 0 1 2 1 0 1 -2 -1 1'] = '3_1 #2 3_1'
Yamada['1 -1 0 -2 2 0 -1 3 0 -2 0 -1 -1 -1 2 3 -1 1 2 -2 0 1 -1 0 1'] = '4_1 #2 3_1'
Yamada['1 0 -1 1 0 -2 2 1 -1 3 2 -1 -1 -1 0 -2 0 3 -1 0 2 -2 -1 1'] = '4_1 #2 3_1'
Yamada['1 -1 0 -2 3 0 -3 5 0 -5 3 0 -3 2 3 2 -3 0 3 -5 0 5 -3 0 3 -2 -1 1'] = '4_1 #2 4_1'
Yamada['1 -1 0 -1 1 -2 0 2 1 1 1 0 -1 -1 0 -1 -2 0 -1 -2 0 1 0 2 2 1 1 1'] = '5_1 #2 3_1'
Yamada['1 0 0 1 -1 -2 0 -2 -2 1 0 1 1 2 1 0 2 2 0 1 0 -2 -1 0 -1 0 1'] = '5_1 #2 3_1'
Yamada['1 0 -1 0 -1 -2 0 1 0 2 2 0 1 2 1 1 0 1 -2 -2 0 -2 -1 1 0 0 1'] = '5_1 #2 3_1'
Yamada['1 1 0 1 2 2 0 1 0 -2 -1 0 -2 -1 0 -1 -1 0 1 1 1 2 0 -2 1 -1 -1 1'] = '5_1 #2 3_1'
Yamada['1 -1 0 -1 3 -2 -3 3 -2 -2 3 1 1 1 3 1 -2 2 2 -4 0 1 -3 0 1 -1 0 1'] = '5_2 #2 3_1'
Yamada['1 0 0 3 1 -1 4 0 -3 2 -1 -4 0 0 0 -2 1 3 -3 1 3 -2 0 2 -2 -1 1'] = '5_2 #2 3_1'
Yamada['1 -1 0 -2 2 0 -2 3 1 -3 3 1 -2 0 0 0 -4 -1 2 -3 0 4 -1 1 3 0 0 1'] = '5_2 #2 3_1'
Yamada['1 0 -1 1 0 -3 1 0 -4 2 2 -2 1 3 1 1 1 3 -2 -2 3 -3 -2 3 -1 -1 1'] = '5_2 #2 3_1'

# prime links
Yamada['1 1 1 1 1 1 1 1 1'] = '2^2_1'

# composite links

# prime theta-curves
Yamada['-1 -1 -2 -1 -1'] = 't0_1'
Yamada['-1 0 0 0 1 0 1 0 1 1 1 1 1'] = 't3_1'
Yamada['1 1 1 1 1 0 1 0 1 0 0 0 -1'] = 't3_1'
Yamada['1 0 -1 0 -1 -1 0 -1 0 -1 0 0 -1 0 0 -1'] = 't4_1'
Yamada['-1 0 0 -1 0 0 -1 0 -1 0 -1 -1 0 -1 0 1'] = 't4_1'
Yamada['-1 1 2 -1 1 0 -2 -1 -2 0 -1 0 1 -1 -1 1 -1 -1'] = 't5_1'
Yamada['-1 -1 1 -1 -1 1 0 -1 0 -2 -1 -2 0 1 -1 2 1 -1'] = 't5_1'
Yamada['1 1 0 0 0 -2 -2 -1 -2 0 -1 1 0 0 1 -1 -1'] = 't5_2'
Yamada['-1 -1 1 0 0 1 -1 0 -2 -1 -2 -2 0 0 0 1 1'] = 't5_2'
Yamada['-1 -1 -1 -1 -1 0 0 0 0 0 -1 0 -1 0 -1 0 1 0 1'] = 't5_3'
Yamada['1 0 1 0 -1 0 -1 0 -1 0 0 0 0 0 -1 -1 -1 -1 -1'] = 't5_3'
Yamada['-1 -1 -1 -1 -2 -1 -1 -1 0 1 0 1 0 1 0 0 1 -1'] = 't5_4'
Yamada['-1 1 0 0 1 0 1 0 1 0 -1 -1 -1 -2 -1 -1 -1 -1'] = 't5_4'
Yamada['-1 0 -1 -2 0 -1 -2 0 -1 1 0 1 1 -1 0 0 -1 0 1'] = 't5_5'
Yamada['1 0 -1 0 0 -1 1 1 0 1 -1 0 -2 -1 0 -2 -1 0 -1'] = 't5_5'
Yamada['-1 0 0 -2 0 0 -1 1 -1 0 -2 -1 0 -1 0 1 0 0 1'] = 't5_6'
Yamada['1 0 0 1 0 -1 0 -1 -2 0 -1 1 -1 0 0 -2 0 0 -1'] = 't5_6'
Yamada['-2 -1 0 -2 -1 0 -2 0 -1 1 0 0 2 0 0 1 0 -1'] = 't5_7'
Yamada['-1 0 1 0 0 2 0 0 1 -1 0 -2 0 -1 -2 0 -1 -2'] = 't5_7'
Yamada['-1 0 2 -1 -1 2 -1 -1 1 -1 0 -2 0 -1 -3 1 0 -2 1 1'] = 't6_1'
Yamada['1 1 -2 0 1 -3 -1 0 -2 0 -1 1 -1 -1 2 -1 -1 2 0 -1'] = 't6_1'
Yamada['1 -1 -2 2 0 -2 3 1 -1 1 -1 0 -3 -1 0 -4 0 2 -2 0 1'] = 't6_2'
Yamada['1 0 -2 2 0 -4 0 -1 -3 0 -1 1 -1 1 3 -2 0 2 -2 -1 1'] = 't6_2'
Yamada['-2 0 2 -2 0 1 -2 0 -1 1 -1 -1 1 -2 -2 1 0 -1 1 1'] = 't6_3'
Yamada['1 1 -1 0 1 -2 -2 1 -1 -1 1 -1 0 -2 1 0 -2 2 0 -2'] = 't6_3'
Yamada['-1 -1 0 0 -1 1 1 -1 0 0 -2 -1 -2 0 -1 0 2 -1 0 1'] = 't6_4'
Yamada['1 0 -1 2 0 -1 0 -2 -1 -2 0 0 -1 1 1 -1 0 0 -1 -1'] = 't6_4'
Yamada['1 0 0 1 -2 -1 0 -2 0 -1 0 -1 -1 1 0 0 1 0 -1 0 0 -1'] = 't6_5'
Yamada['-1 0 0 -1 0 1 0 0 1 -1 -1 0 -1 0 -2 0 -1 -2 1 0 0 1'] = 't6_5'
Yamada['-1 0 -1 -1 1 -1 -1 1 -1 0 -1 0 0 -1 1 0 -1 0 0 -1 0 1'] = 't6_6'
Yamada['1 0 -1 0 0 -1 0 1 -1 0 0 -1 0 -1 1 -1 -1 1 -1 -1 0 -1'] = 't6_6'
Yamada['1 -1 -1 1 -2 -2 0 -2 0 0 2 1 -1 1 -1 -2 0 0 -1 0 1'] = 't6_7'
Yamada['1 0 -1 0 0 -2 -1 1 -1 1 2 0 0 -2 0 -2 -2 1 -1 -1 1'] = 't6_7'
Yamada['-1 1 0 -2 1 0 -2 0 -1 0 -1 0 1 -2 0 1 -1 0 1 0 -1'] = 't6_8'
Yamada['-1 0 1 0 -1 1 0 -2 1 0 -1 0 -1 0 -2 0 1 -2 0 1 -1'] = 't6_8'
Yamada['1 0 -1 1 0 -2 0 -1 -3 -1 0 -1 1 0 2 -1 -1 2 -2 0 1 -1'] = 't6_9'
Yamada['-1 1 0 -2 2 -1 -1 2 0 1 -1 0 -1 -3 -1 0 -2 0 1 -1 0 1'] = 't6_9'
Yamada['-1 0 1 -1 -1 1 -2 -2 0 -1 -1 1 0 1 -1 1 1 -3 1 0 -1 1'] = 't6_10'
Yamada['1 -1 0 1 -3 1 1 -1 1 0 1 -1 -1 0 -2 -2 1 -1 -1 1 0 -1'] = 't6_10'
Yamada['1 0 -2 0 1 -3 -1 1 -2 -1 1 -1 0 -1 2 0 -2 3 -1 -2 1'] = 't6_11'
Yamada['1 -2 -1 3 -2 0 2 -1 0 -1 1 -1 -2 1 -1 -3 1 0 -2 0 1'] = 't6_11'
Yamada['-1 0 0 -2 -1 1 -2 -1 1 -1 -1 1 0 1 -1 1 0 -3 2 0 -1 1'] = 't6_12'
Yamada['1 -1 0 2 -3 0 1 -1 1 0 1 -1 -1 1 -1 -2 1 -1 -2 0 0 -1'] = 't6_12'
Yamada['-1 0 1 -1 -1 2 -1 -2 1 -1 -2 0 -1 0 -2 1 2 -2 2 1 -2'] = 't6_13'
Yamada['-2 1 2 -2 2 1 -2 0 -1 0 -2 -1 1 -2 -1 2 -1 -1 1 0 -1'] = 't6_13'
Yamada['1 -1 -1 2 -2 -1 3 -1 -1 1 -2 -1 -3 0 0 -3 2 1 -2 2 1 -1'] = 't6_14'
Yamada['-1 1 2 -2 1 2 -3 0 0 -3 -1 -2 1 -1 -1 3 -1 -2 2 -1 -1 1'] = 't6_14'
Yamada['2 0 -3 2 0 -4 1 0 -3 0 -1 1 -2 0 3 -3 0 3 -2 -1 1'] = 't6_15'
Yamada['1 -1 -2 3 0 -3 3 0 -2 1 -1 0 -3 0 1 -4 0 2 -3 0 2'] = 't6_15'
Yamada['-1 1 1 -2 2 2 -3 1 1 -2 0 -2 0 -3 -2 2 -2 -1 3 -1 -1 1'] = 't6_16'
Yamada['1 -1 -1 3 -1 -2 2 -2 -3 0 -2 0 -2 1 1 -3 2 2 -2 1 1 -1'] = 't6_16'
Yamada['-1 0 1 -3 1 3 -4 0 2 -3 0 -1 1 -2 -2 3 -2 -2 3 0 -2 2 1 -1'] = 't7_1'
Yamada['-1 1 2 -2 0 3 -2 -2 3 -2 -2 1 -1 0 -3 2 0 -4 3 1 -3 1 0 -1'] = 't7_1'
Yamada['-1 1 3 -2 -1 4 -3 -4 3 -2 -3 1 -1 0 -3 3 2 -5 3 2 -4 1 1 -1'] = 't7_2'
Yamada['-1 1 1 -4 2 3 -5 2 3 -3 0 -1 1 -3 -2 3 -4 -3 4 -1 -2 3 1 -1'] = 't7_2'
Yamada['-1 0 3 -2 -3 6 0 -5 4 0 -4 0 -1 0 -4 2 4 -6 1 4 -5 -1 2'] = 't7_3'
Yamada['2 -1 -5 4 1 -6 4 2 -4 0 -1 0 -4 0 4 -5 0 6 -3 -2 3 0 -1'] = 't7_3'
Yamada['1 0 -3 1 3 -5 -1 3 -4 -2 2 -1 0 -1 3 -1 -4 5 -1 -4 3 1 -1'] = 't7_4'
Yamada['-1 1 3 -4 -1 5 -4 -1 3 -1 0 -1 2 -2 -4 3 -1 -5 3 1 -3 0 1'] = 't7_4'
Yamada['-1 1 0 -1 4 -1 -1 2 -1 -1 -2 0 -1 -2 1 1 -2 1 1 -2 -1 1 -1 -1'] = 't7_5'
Yamada['-1 -1 1 -1 -2 1 1 -2 1 1 -2 -1 0 -2 -1 -1 2 -1 -1 4 -1 0 1 -1'] = 't7_5'
Yamada['1 0 -1 3 0 -4 2 -1 -3 1 -1 0 -3 0 1 -3 1 3 -2 0 2 -1 -1'] = 't7_6'
Yamada['-1 -1 2 0 -2 3 1 -3 1 0 -3 0 -1 1 -3 -1 2 -4 0 3 -1 0 1'] = 't7_6'
Yamada['-1 0 2 0 -1 2 1 -3 1 0 -2 0 -1 1 -2 1 2 -3 -1 1 -2 -1'] = 't7_7'
Yamada['-1 -2 1 -1 -3 2 1 -2 1 -1 0 -2 0 1 -3 1 2 -1 0 2 0 -1'] = 't7_7'
Yamada['-1 1 0 -1 1 0 1 -1 0 -1 -2 -1 -1 -2 -1 0 0 0 1 1'] = 't7_8'
Yamada['1 1 0 0 0 -1 -2 -1 -1 -2 -1 0 -1 1 0 1 -1 0 1 -1'] = 't7_8'
Yamada['-1 -1 3 0 -3 4 2 -4 2 1 -3 0 -1 1 -4 -1 3 -5 -1 4 -2 -1 1'] = 't7_9'
Yamada['1 -1 -2 4 -1 -5 3 -1 -4 1 -1 0 -3 1 2 -4 2 4 -3 0 3 -1 -1'] = 't7_9'
Yamada['1 -1 0 4 -3 -2 5 -4 -4 1 -3 -1 -2 3 1 -3 4 1 -5 2 2 -3 0 1'] = 't7_10'
Yamada['1 0 -3 2 2 -5 1 4 -3 1 3 -2 -1 -3 1 -4 -4 5 -2 -3 4 0 -1 1'] = 't7_10'
Yamada['1 -1 0 3 -2 -1 1 -2 -1 -1 1 -1 -2 1 -1 -2 2 1 -1 0 1 -1 -1'] = 't7_11'
Yamada['-1 -1 1 0 -1 1 2 -2 -1 1 -2 -1 1 -1 -1 -2 1 -1 -2 3 0 -1 1'] = 't7_11'
Yamada['1 -2 -2 6 -2 -4 7 -2 -4 2 -1 -1 -3 2 1 -6 3 4 -6 1 3 -3 -1 1'] = 't7_12'
Yamada['1 -1 -3 3 1 -6 4 3 -6 1 2 -3 -1 -1 2 -4 -2 7 -4 -2 6 -2 -2 1'] = 't7_12'
Yamada['-1 0 2 -3 -1 4 -2 -1 2 -2 -1 -2 1 -1 -3 3 0 -3 2 1 -2 0 1'] = 't7_13'
Yamada['1 0 -2 1 2 -3 0 3 -3 -1 1 -2 -1 -2 2 -1 -2 4 -1 -3 2 0 -1'] = 't7_13'
Yamada['-1 1 2 -3 -1 4 -4 -3 4 -2 -2 2 0 0 -3 2 0 -6 4 2 -4 2 1 -1'] = 't7_14'
Yamada['-1 1 2 -4 2 4 -6 0 2 -3 0 0 2 -2 -2 4 -3 -4 4 -1 -3 2 1 -1'] = 't7_14'
Yamada['1 0 0 2 0 -2 2 -1 -3 0 -2 0 -2 1 1 -2 1 1 -2 0 1 -1 -1'] = 't7_15'
Yamada['-1 -1 1 0 -2 1 1 -2 1 1 -2 0 -2 0 -3 -1 2 -2 0 2 0 0 1'] = 't7_15'
Yamada['-1 -1 0 0 -1 0 1 -1 -1 0 -2 0 -1 1 -1 -1 1 -1 0 1 1'] = 't7_16'
Yamada['1 1 0 -1 1 -1 -1 1 -1 0 -2 0 -1 -1 1 0 -1 0 0 -1 -1'] = 't7_16'
Yamada['1 -1 -1 3 -1 -3 3 -1 -2 2 1 2 -1 1 0 -5 0 1 -4 0 1 -1 -1'] = 't7_17'
Yamada['-1 -1 1 0 -4 1 0 -5 0 1 -1 2 1 2 -2 -1 3 -3 -1 3 -1 -1 1'] = 't7_17'
Yamada['-1 -1 0 0 -3 -1 0 -3 -1 1 -1 1 0 2 0 0 3 -1 -1 1 0 -1'] = 't7_18'
Yamada['-1 0 1 -1 -1 3 0 0 2 0 1 -1 1 -1 -3 0 -1 -3 0 0 -1 -1'] = 't7_18'
Yamada['-1 0 2 -2 -2 4 -1 -4 3 0 -3 1 -1 0 -4 1 2 -5 2 3 -3 0 2'] = 't7_19'
Yamada['2 0 -3 3 2 -5 2 1 -4 0 -1 1 -3 0 3 -4 -1 4 -2 -2 2 0 -1'] = 't7_19'
Yamada['-1 0 0 -2 2 1 -1 1 -1 0 -2 0 0 -2 -1 0 -2 -1 1 0 0 1 1'] = 't7_20'
Yamada['1 1 0 0 1 -1 -2 0 -1 -2 0 0 -2 0 -1 1 -1 1 2 -2 0 0 -1'] = 't7_20'
Yamada['-1 -1 1 0 -3 1 1 -3 0 1 -2 0 -1 1 -2 -1 3 -2 0 3 0 -1'] = 't7_21'
Yamada['-1 0 3 0 -2 3 -1 -2 1 -1 0 -2 1 0 -3 1 1 -3 0 1 -1 -1'] = 't7_21'
Yamada['-1 0 1 -2 -2 2 -3 -4 1 -1 -2 2 1 2 -1 2 2 -4 2 1 -3 0 1'] = 't7_22'
Yamada['1 0 -3 1 2 -4 2 2 -1 2 1 2 -2 -1 1 -4 -3 2 -2 -2 1 0 -1'] = 't7_22'
Yamada['-2 1 1 -4 2 1 -3 1 0 1 -2 0 1 -3 -1 2 -2 -2 2 0 -1 1 1'] = 't7_23'
Yamada['1 1 -1 0 2 -2 -2 2 -1 -3 1 0 -2 1 0 1 -3 1 2 -4 1 1 -2'] = 't7_23'
Yamada['-1 0 1 -1 -2 1 -1 -3 2 1 -1 1 -1 0 -3 0 1 -3 1 2 -1 0 1'] = 't7_24'
Yamada['1 0 -1 2 1 -3 1 0 -3 0 -1 1 -1 1 2 -3 -1 1 -2 -1 1 0 -1'] = 't7_24'
Yamada['-1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 -1 0 -1 0 -1 0 0 0 1 0 1'] = 't7_25'
Yamada['1 0 1 0 0 0 -1 0 -1 0 -1 0 0 0 0 0 0 0 0 0 -1 -1 -1 -1 -1'] = 't7_25'
Yamada['-1 -1 -1 -1 -2 -1 0 0 0 1 0 -1 0 0 -1 1 0 1 -1 0 1 -1 1'] = 't7_26'
Yamada['1 -1 1 0 -1 1 0 1 -1 0 0 -1 0 1 0 0 0 -1 -2 -1 -1 -1 -1'] = 't7_26'
Yamada['-1 -1 -1 -1 -2 -1 -1 -1 -1 0 0 0 1 1 0 1 0 1 0 1 1 -1 0 -1'] = 't7_27'
Yamada['-1 0 -1 1 1 0 1 0 1 0 1 1 0 0 0 -1 -1 -1 -1 -2 -1 -1 -1 -1'] = 't7_27'
Yamada['1 0 -1 0 0 -1 0 1 0 0 1 0 0 1 0 0 -2 0 -1 -2 0 -1 -1 0 -1'] = 't7_28'
Yamada['-1 0 -1 -1 0 -2 -1 0 -2 0 0 1 0 0 1 0 0 1 0 -1 0 0 -1 0 1'] = 't7_28'
Yamada['1 0 0 1 0 -1 0 0 -1 0 0 -1 -1 0 -1 0 -1 1 -1 -1 1 -1 0 0 -1'] = 't7_29'
Yamada['-1 0 0 -1 1 -1 -1 1 -1 0 -1 0 -1 -1 0 0 -1 0 0 -1 0 1 0 0 1'] = 't7_29'
Yamada['1 0 -1 0 1 -1 -1 2 0 -1 2 0 -2 0 -1 0 -2 1 1 -3 0 0 -2'] = 't7_30'
Yamada['-2 0 0 -3 1 1 -2 0 -1 0 -2 0 2 -1 0 2 -1 -1 1 0 -1 0 1'] = 't7_30'
Yamada['-1 0 1 0 0 2 1 -1 0 0 -2 0 1 -1 0 -1 1 -2 -1 1 -2 -1 0 -1'] = 't7_31'
Yamada['-1 0 -1 -2 1 -1 -2 1 -1 0 -1 1 0 -2 0 0 -1 1 2 0 0 1 0 -1'] = 't7_31'
Yamada['-1 0 1 0 -1 1 1 -1 1 2 -1 0 1 -1 0 -1 1 -2 -2 1 -2 -2 0 -1'] = 't7_32'
Yamada['-1 0 -2 -2 1 -2 -2 1 -1 0 -1 1 0 -1 2 1 -1 1 1 -1 0 1 0 -1'] = 't7_32'
Yamada['1 0 0 1 -1 -2 2 -1 -1 2 -1 1 -1 1 0 -2 1 0 -2 0 0 -2 -1 0 -1'] = 't7_33'
Yamada['-1 0 -1 -2 0 0 -2 0 1 -2 0 1 -1 1 -1 2 -1 -1 2 -2 -1 1 0 0 1'] = 't7_33'
Yamada['1 0 1 1 -1 0 1 -3 -1 1 -2 1 -1 1 -1 -1 2 -1 -1 1 -1 -2 0 -1'] = 't7_34'
Yamada['-1 0 -2 -1 1 -1 -1 2 -1 -1 1 -1 1 -2 1 -1 -3 1 0 -1 1 1 0 1'] = 't7_34'
Yamada['-1 1 1 -1 1 3 -2 0 1 -3 0 -1 2 -1 -1 2 -2 -2 1 -1 -2 0 0 -1'] = 't7_35'
Yamada['-1 0 0 -2 -1 1 -2 -2 2 -1 -1 2 -1 0 -3 1 0 -2 3 1 -1 1 1 -1'] = 't7_35'
Yamada['-1 0 0 -1 1 2 -2 2 2 -1 2 0 1 -2 -1 1 -2 -1 1 -2 -2 0 -1 -2'] = 't7_36'
Yamada['-2 -1 0 -2 -2 1 -1 -2 1 -1 -2 1 0 2 -1 2 2 -2 2 1 -1 0 0 -1'] = 't7_36'
Yamada['-1 1 0 -2 1 2 -2 2 3 -1 1 -1 1 -2 -1 2 -3 -2 1 -2 -2 0 0 -1'] = 't7_37'
Yamada['-1 0 0 -2 -2 1 -2 -3 2 -1 -2 1 -1 1 -1 3 2 -2 2 1 -2 0 1 -1'] = 't7_37'
Yamada['1 0 -1 1 1 -2 1 1 -2 0 1 -1 -1 1 -1 0 -2 2 -1 -3 2 -2 -1 1 -1'] = 't7_38'
Yamada['-1 1 -1 -2 2 -3 -1 2 -2 0 -1 1 -1 -1 1 0 -2 1 1 -2 1 1 -1 0 1'] = 't7_38'
Yamada['1 0 0 2 1 -2 1 0 -4 -1 0 -2 -1 2 0 1 -1 2 -2 -3 3 -2 -1 1 -1'] = 't7_39'
Yamada['-1 1 -1 -2 3 -3 -2 2 -1 1 0 2 -1 -2 0 -1 -4 0 1 -2 1 2 0 0 1'] = 't7_39'
Yamada['1 0 -2 0 2 -3 -1 4 0 -1 4 1 -2 1 -1 -1 -5 1 1 -5 2 1 -3'] = 't7_40'
Yamada['-3 1 2 -5 1 1 -5 -1 -1 1 -2 1 4 -1 0 4 -1 -3 2 0 -2 0 1'] = 't7_40'
Yamada['-1 0 2 0 -2 3 1 -3 1 2 -2 0 2 -2 -1 -2 2 -3 -2 4 -3 -2 1 -1'] = 't7_41'
Yamada['-1 1 -2 -3 4 -2 -3 2 -2 -1 -2 2 0 -2 2 1 -3 1 3 -2 0 2 0 -1'] = 't7_41'
Yamada['-1 0 1 -1 -1 3 0 -1 3 1 -2 1 1 -2 0 -1 1 -4 -1 2 -4 0 1 -2'] = 't7_42'
Yamada['-2 1 0 -4 2 -1 -4 1 -1 0 -2 1 1 -2 1 3 -1 0 3 -1 -1 1 0 -1'] = 't7_42'
Yamada['1 -1 0 3 -2 -1 4 -3 -1 2 -2 0 -2 1 -1 -3 3 1 -3 2 0 -3 0 0 -1'] = 't7_43'
Yamada['-1 0 0 -3 0 2 -3 1 3 -3 -1 1 -2 0 -2 2 -1 -3 4 -1 -2 3 0 -1 1'] = 't7_43'
Yamada['1 -1 0 2 -3 0 4 -3 0 2 -2 0 -1 2 0 -2 3 -1 -4 2 -1 -3 0 0 -1'] = 't7_44'
Yamada['-1 0 0 -3 -1 2 -4 -1 3 -2 0 2 -1 0 -2 2 0 -3 4 0 -3 2 0 -1 1'] = 't7_44'
Yamada['-1 1 1 -3 2 3 -4 3 2 -3 0 -1 1 -2 0 4 -2 -2 3 -3 -3 1 -1 -2'] = 't7_45'
Yamada['-2 -1 1 -3 -3 3 -2 -2 4 0 -2 1 -1 0 -3 2 3 -4 3 2 -3 1 1 -1'] = 't7_45'
Yamada['1 -1 -1 3 -2 -3 4 -2 -1 3 0 1 -1 2 1 -3 2 1 -5 0 0 -3 -1 0 -1'] = 't7_46'
Yamada['-1 0 -1 -3 0 0 -5 1 2 -3 1 2 -1 1 0 3 -1 -2 4 -3 -2 3 -1 -1 1'] = 't7_46'
Yamada['-1 2 1 -4 2 3 -5 2 3 -2 1 0 2 -3 -2 3 -4 -3 4 -2 -3 1 0 -1'] = 't7_47'
Yamada['-1 0 1 -3 -2 4 -3 -4 3 -2 -3 2 0 1 -2 3 2 -5 3 2 -4 1 2 -1'] = 't7_47'
Yamada['-1 1 0 -3 3 2 -5 3 2 -2 2 1 2 -2 0 3 -4 -2 3 -4 -3 1 -1 -2'] = 't7_48'
Yamada['-2 -1 1 -3 -4 3 -2 -4 3 0 -2 2 1 2 -2 2 3 -5 2 3 -3 0 1 -1'] = 't7_48'
Yamada['-2 1 3 -3 0 4 -4 0 3 -1 1 0 3 -1 -3 3 -2 -5 2 -1 -3 0 0 -1'] = 't7_49'
Yamada['-1 0 0 -3 -1 2 -5 -2 3 -3 -1 3 0 1 -1 3 0 -4 4 0 -3 3 1 -2'] = 't7_49'
Yamada['1 -1 -1 3 -3 -2 5 -3 0 4 -1 0 -2 1 -1 -4 2 0 -5 2 1 -3 1 1 -1'] = 't7_50'
Yamada['-1 1 1 -3 1 2 -5 0 2 -4 -1 1 -2 0 -1 4 0 -3 5 -2 -3 3 -1 -1 1'] = 't7_50'
Yamada['1 -2 -1 5 -3 -3 7 -2 -3 3 -1 -1 -3 2 0 -6 3 2 -6 2 3 -3 -1 1'] = 't7_51'
Yamada['1 -1 -3 3 2 -6 2 3 -6 0 2 -3 -1 -1 3 -3 -2 7 -3 -3 5 -1 -2 1'] = 't7_51'
Yamada['-1 2 2 -5 2 5 -6 1 3 -4 -1 -1 2 -3 -2 5 -3 -4 5 -1 -4 2 1 -1'] = 't7_52'
Yamada['-1 1 2 -4 -1 5 -4 -3 5 -2 -3 2 -1 -1 -4 3 1 -6 5 2 -5 2 2 -1'] = 't7_52'
Yamada['1 -1 0 3 -3 0 4 -5 -1 2 -3 0 -1 2 -1 -3 3 -1 -4 3 0 -3 2 1 -1'] = 't7_53'
Yamada['-1 1 2 -3 0 3 -4 -1 3 -3 -1 2 -1 0 -3 2 -1 -5 4 0 -3 3 0 -1 1'] = 't7_53'
Yamada['2 -1 -3 4 -1 -5 5 0 -3 3 0 0 -4 0 1 -6 1 4 -4 0 3 -2 -1 1'] = 't7_54'
Yamada['1 -1 -2 3 0 -4 4 1 -6 1 0 -4 0 0 3 -3 0 5 -5 -1 4 -3 -1 2'] = 't7_54'
Yamada['-1 1 1 -4 3 4 -6 3 3 -3 1 0 1 -4 -2 3 -4 -3 5 -2 -3 3 0 -2'] = 't7_55'
Yamada['-2 0 3 -3 -2 5 -3 -4 3 -2 -4 1 0 1 -3 3 3 -6 4 3 -4 1 1 -1'] = 't7_55'
Yamada['-1 1 0 -2 4 0 -4 5 0 -3 2 -1 0 -3 0 1 -5 0 3 -4 0 3 -2 -1 1'] = 't7_56'
Yamada['1 -1 -2 3 0 -4 3 0 -5 1 0 -3 0 -1 2 -3 0 5 -4 0 4 -2 0 1 -1'] = 't7_56'
Yamada['1 -1 0 3 -4 -1 5 -4 -1 3 -2 0 -1 2 -1 -4 3 -1 -5 3 1 -3 1 1 -1'] = 't7_57'
Yamada['-1 1 1 -3 1 3 -5 -1 3 -4 -1 2 -1 0 -2 3 -1 -4 5 -1 -4 3 0 -1 1'] = 't7_57'
Yamada['-2 1 3 -4 1 6 -5 0 4 -2 0 -1 2 -3 -4 4 -2 -5 4 0 -4 1 1 -1'] = 't7_58'
Yamada['-1 1 1 -4 0 4 -5 -2 4 -4 -3 2 -1 0 -2 4 0 -5 6 1 -4 3 1 -2'] = 't7_58'
Yamada['1 -1 -2 3 -1 -4 5 0 -4 4 0 -3 0 -1 1 -4 0 4 -6 0 4 -4 1 2 -1'] = 't7_59'
Yamada['-1 2 1 -4 4 0 -6 4 0 -4 1 -1 0 -3 0 4 -4 0 5 -4 -1 3 -2 -1 1'] = 't7_59'
Yamada['-2 0 4 -3 -3 7 -2 -5 5 -1 -4 1 0 0 -5 2 3 -8 3 5 -5 1 2 -1'] = 't7_60'
Yamada['-1 2 1 -5 5 3 -8 3 2 -5 0 0 1 -4 -1 5 -5 -2 7 -3 -3 4 0 -2'] = 't7_60'
Yamada['-1 1 3 -4 -2 7 -4 -5 6 -2 -3 3 1 0 -4 3 1 -9 3 3 -7 2 3 -1'] = 't7_61'
Yamada['-1 3 2 -7 3 3 -9 1 3 -4 0 1 3 -3 -2 6 -5 -4 7 -2 -4 3 1 -1'] = 't7_61'
Yamada['-1 1 1 -4 1 4 -5 1 5 -4 -1 1 -3 -2 -3 3 -1 -4 7 0 -4 4 -1 -2 1'] = 't7_62'
Yamada['1 -2 -1 4 -4 0 7 -4 -1 3 -3 -2 -3 1 -1 -4 5 1 -5 4 1 -4 1 1 -1'] = 't7_62'
Yamada['1 -1 -2 4 0 -6 5 2 -7 3 2 -3 0 0 2 -5 -1 6 -6 -2 6 -4 -2 2'] = 't7_63'
Yamada['2 -2 -4 6 -2 -6 6 -1 -5 2 0 0 -3 2 3 -7 2 5 -6 0 4 -2 -1 1'] = 't7_63'
Yamada['2 0 -4 3 2 -7 2 4 -6 1 4 -1 0 -1 3 -5 -5 6 -4 -4 6 -1 -2 1'] = 't7_64'
Yamada['1 -2 -1 6 -4 -4 6 -5 -5 3 -1 0 -1 4 1 -6 4 2 -7 2 3 -4 0 2'] = 't7_64'
Yamada['-1 1 1 -3 2 3 -6 1 4 -5 0 2 -2 -1 -2 3 -2 -4 6 -2 -4 5 -1 -2 1'] = 't7_65'

# composite theta-curves
Yamada['-1 0 0 1 2 1 1 -1 -1 -2 -2 -2 -1 -1'] = 't0_1 #2 3_1'
Yamada['-1 -1 -2 -2 -2 -1 -1 1 1 2 1 0 0 -1'] = 't0_1 #2 3_1'
Yamada['-1 0 0 0 1 0 -1 -1 -2 -1 -1 0 1 0 0 0 -1'] = 't0_1 #2 4_1'
Yamada['-1 0 -1 0 1 1 2 1 1 0 0 0 0 -1 -1 -2 -2 -2 -1 -1'] = 't0_1 #2 5_1'
Yamada['-1 -1 -2 -2 -2 -1 -1 0 0 0 0 1 1 2 1 1 0 -1 0 -1'] = 't0_1 #2 5_1'
Yamada['-1 0 -1 -2 -1 -2 -2 0 -1 1 0 1 1 0 1 1 0 0 0 -1'] = 't0_1 #2 5_2'
Yamada['-1 0 0 0 1 1 0 1 1 0 1 -1 0 -2 -2 -1 -2 -1 0 -1'] = 't0_1 #2 5_2'
Yamada['-1 0 0 0 1 1 0 0 0 -2 -1 -1 -1 0 -1 1 0 0 1 -1 -1 0 -1'] = 't0_1 #2 6_1'
Yamada['-1 0 -1 -1 1 0 0 1 -1 0 -1 -1 -1 -2 0 0 0 1 1 0 0 0 -1'] = 't0_1 #2 6_1'
Yamada['-1 1 0 -1 2 -1 0 1 -1 0 -1 0 0 -1 0 0 -2 0 0 -1 0 0 -1'] = 't0_1 #2 6_2'
Yamada['-1 0 0 -1 0 0 -2 0 0 -1 0 0 -1 0 -1 1 0 -1 2 -1 0 1 -1'] = 't0_1 #2 6_2'
Yamada['-1 1 1 -1 2 0 -2 1 -1 -2 0 -2 0 -2 -1 1 -2 0 2 -1 1 1 -1'] = 't0_1 #2 6_3'
Yamada['-1 0 -1 0 0 0 1 1 2 1 1 0 0 0 0 0 0 0 0 -1 -1 -2 -2 -2 -1 -1'] = 't0_1 #2 7_1'
Yamada['-1 -1 -2 -2 -2 -1 -1 0 0 0 0 0 0 0 0 1 1 2 1 1 0 0 0 -1 0 -1'] = 't0_1 #2 7_1'
Yamada['-1 0 0 0 1 1 0 0 0 -1 0 1 1 1 1 0 0 -2 -1 -2 -2 0 -1 -1 0 -1'] = 't0_1 #2 7_2'
Yamada['-1 0 -1 -1 0 -2 -2 -1 -2 0 0 1 1 1 1 0 -1 0 0 0 1 1 0 0 0 -1'] = 't0_1 #2 7_2'
Yamada['-1 0 -1 -2 -1 -1 -2 0 0 -2 0 0 -1 1 -1 2 0 1 3 0 1 1 -1 -1 0 -1'] = 't0_1 #2 7_3'
Yamada['-1 0 -1 -1 1 1 0 3 1 0 2 -1 1 -1 0 0 -2 0 0 -2 -1 -1 -2 -1 0 -1'] = 't0_1 #2 7_3'
Yamada['-1 1 -1 -2 1 -3 -1 1 -2 0 -2 -1 -2 -1 1 2 1 3 2 -1 1 0 -1 0 0 -1'] = 't0_1 #2 7_4'
Yamada['-1 0 0 -1 0 1 -1 2 3 1 2 1 -1 -2 -1 -2 0 -2 1 -1 -3 1 -2 -1 1 -1'] = 't0_1 #2 7_4'
Yamada['-1 1 0 -2 2 0 -2 3 -1 -1 2 0 2 0 1 2 -2 0 1 -4 -1 -1 -3 -1 0 -1'] = 't0_1 #2 7_5'
Yamada['-1 0 -1 -3 -1 -1 -4 1 0 -2 2 1 0 2 0 2 -1 -1 3 -2 0 2 -2 0 1 -1'] = 't0_1 #2 7_5'
Yamada['-1 1 0 -2 3 0 -2 4 -1 -1 2 -2 0 -2 0 1 -3 0 1 -4 0 1 -2 1 1 -1'] = 't0_1 #2 7_6'
Yamada['-1 1 1 -2 1 0 -4 1 0 -3 1 0 -2 0 -2 2 -1 -1 4 -2 0 3 -2 0 1 -1'] = 't0_1 #2 7_6'
Yamada['-1 2 1 -3 3 -2 -4 3 -2 -2 2 -1 1 -1 0 2 -4 0 2 -4 1 2 -2 1 1 -1'] = 't0_1 #2 7_7'
Yamada['-1 1 1 -2 2 1 -4 2 0 -4 2 0 -1 1 -1 2 -2 -2 3 -4 -2 3 -3 1 2 -1'] = 't0_1 #2 7_7'
Yamada['1 -1 0 3 -2 0 4 -5 0 3 -4 3 4 1 6 -1 4 1 -6 4 -3 -4 5 -2 0 2 -1'] = 't0_1 #2 3_1 # 3_1'
Yamada['-1 0 0 0 2 2 1 2 0 -3 -3 -6 -3 -3 0 2 1 2 2 0 0 0 -1'] = 't0_1 #2 3_1 # 3_1'
Yamada['-1 -1 -1 -2 -2 -3 -2 -3 1 2 3 4 3 1 0 -2 -2 -2 -2 2 0 1 1 -1'] = 't0_1 #2 3_1 # 3_1'
Yamada['-1 1 -1 3 -2 2 -1 -3 1 -1 0 3 1 2 -1 -2 -1 -4 -1 1 -2 1 1 -1 0 0 -1'] = 't0_1 #2 4_1 # 3_1'
Yamada['-1 0 0 -1 1 1 -2 1 -1 -4 -1 -2 -1 2 1 3 0 -1 1 -3 -1 2 -1 1 1 -1'] = 't0_1 #2 4_1 # 3_1'
Yamada['-1 1 -1 3 -3 2 0 -5 3 0 -3 5 0 -2 0 -4 0 -2 0 5 -3 0 3 -5 0 2 -2 1 1 -1'] = 't0_1 #2 4_1 # 4_1'
Yamada['-1 1 -1 2 -1 3 -1 0 -1 -3 -2 -1 0 1 1 2 2 1 3 2 1 1 0 -3 -2 -3 -3 -2 -1 -1'] = 't0_1 #2 5_1 # 3_1'
Yamada['-1 0 -1 -1 1 1 1 4 2 1 2 -2 -1 -3 -2 -2 -3 -2 -2 -3 0 1 1 2 2 0 0 0 -1'] = 't0_1 #2 5_1 # 3_1'
Yamada['-1 0 0 0 2 2 1 1 0 -3 -2 -2 -3 -2 -2 -3 -1 -2 2 1 2 4 1 1 1 -1 -1 0 -1'] = 't0_1 #2 5_1 # 3_1'
Yamada['-1 -1 -1 -2 -2 -3 -2 -3 0 1 1 2 3 1 2 2 1 1 0 -1 -2 -3 -1 0 -1 3 0 0 1 -1'] = 't0_1 #2 5_1 # 3_1'
Yamada['-1 1 -1 2 -3 3 0 -1 5 -1 -1 1 -4 -2 -4 -2 -1 -3 0 2 -2 3 3 -1 2 1 -1 0 0 -1'] = 't0_1 #2 5_2 # 3_1'
Yamada['-1 0 -1 -3 -1 -2 -5 1 -1 -2 4 2 1 4 0 2 -1 -1 2 -4 0 1 -3 0 2 -1 1 1 -1'] = 't0_1 #2 5_2 # 3_1'
Yamada['-1 1 -1 3 -2 2 0 -3 1 0 -4 2 -1 -1 2 0 4 1 2 4 -2 -1 1 -5 -2 -1 -3 -1 0 -1'] = 't0_1 #2 5_2 # 3_1'
Yamada['-1 0 0 -1 1 2 -1 3 3 -2 2 0 -3 -1 -2 -4 -2 -4 1 -1 -1 5 -1 0 3 -2 0 1 -1'] = 't0_1 #2 5_2 # 3_1'
Yamada['-1 1 1 0 2 -2 -2 -2 -2 0 1 3 4 3 2 1 -3 -2 -3 -3 -2 -1 -1'] = 't0_1 #2 3_1 #2 3_1'
Yamada['-1 -1 -2 -3 -3 -2 -3 1 2 3 4 3 1 0 -2 -2 -2 -2 2 0 1 1 -1'] = 't0_1 #2 3_1 #2 3_1'
Yamada['-1 1 1 -1 2 -1 -1 0 -1 0 -1 0 0 -1 0 2 0 2 2 1 1 1'] = 't3_1 #2 3_1'
Yamada['1 0 -1 0 -1 -2 1 0 0 2 0 2 0 2 2 0 1 1 -1 0 0 -1'] = 't3_1 #2 3_1'
Yamada['1 -1 -2 2 -1 -1 4 -1 0 2 -1 0 -2 0 0 -3 1 1 -3 1 0 -2 0 0 -1'] = 't4_1 #2 3_1'
Yamada['-1 1 1 -2 2 1 -3 2 0 -2 1 -1 1 -1 0 2 -3 -2 1 -3 -1 1 -1 0 1'] = 't4_1 #2 3_1'
Yamada['-1 2 2 -5 2 1 -7 4 2 -1 4 2 1 -3 -2 2 -5 -3 5 -3 -1 3 -2 -2 1 -1 -1'] = 't5_1 #2 3_1'
Yamada['-1 0 3 -2 -1 5 -3 -3 4 -4 -2 4 0 2 -2 2 -1 -8 1 0 -5 3 2 -2 2 1 -1'] = 't5_1 #2 3_1'
Yamada['1 0 -2 0 0 -3 1 4 -1 4 3 -1 0 -3 -1 -5 -3 2 -1 -1 3 -1 -1 1 -1 -1'] = 't5_2 #2 3_1'
Yamada['-1 0 3 -1 -1 3 -4 -1 1 -2 1 1 4 1 -1 1 -2 -6 -1 -2 -3 1 1 0 1 1'] = 't5_2 #2 3_1'
Yamada['-1 0 1 0 1 2 0 -1 0 -2 -3 0 -1 -1 1 0 2 -2 0 -1 -3 0 0 -1 1 1 0 1'] = 't5_3 #2 3_1'
Yamada['1 -1 0 0 -3 2 0 0 2 1 1 0 0 -1 -2 -1 1 -1 1 2 0 -1 0 -2 -2 -1 -1 -1'] = 't5_3 #2 3_1'
Yamada['-1 0 1 0 0 2 1 -1 2 0 -4 -1 -2 -4 -1 -2 1 -2 1 3 -1 1 2 -1 0 1 -1'] = 't5_4 #2 3_1'
Yamada['-1 2 0 -2 3 -2 -1 1 -1 -1 -1 1 1 0 3 3 -1 2 1 -2 -2 -1 -3 -2 -1 -1 -1'] = 't5_4 #2 3_1'
Yamada['-1 1 0 -2 4 0 -3 5 -1 -2 2 -3 -2 -4 -1 0 -3 2 4 -3 1 2 -3 0 1 -1 0 1'] = 't5_5 #2 3_1'
Yamada['1 -1 -2 2 0 -2 4 1 -4 3 -2 -3 1 0 3 -1 2 4 -3 0 2 -5 -1 0 -3 -1 0 -1'] = 't5_5 #2 3_1'
Yamada['-1 1 1 -3 3 2 -4 4 -1 -4 1 -1 1 -1 1 2 -3 -2 2 -5 -2 2 -2 0 2 0 0 1'] = 't5_6 #2 3_1'
Yamada['1 -1 -1 2 -2 -2 3 -1 -2 6 0 0 2 -2 0 -4 1 1 -4 2 2 -4 1 0 -3 0 0 -1'] = 't5_6 #2 3_1'
Yamada['-2 1 3 -3 2 4 -5 2 2 -4 0 -2 0 -4 -3 2 -3 -3 5 0 -1 4 0 -1 1 0 -1'] = 't5_7 #2 3_1'
Yamada['-1 1 2 -2 0 3 -4 -2 4 -5 0 3 0 2 0 4 0 -3 4 0 -5 2 -2 -4 0 -1 -2'] = 't5_7 #2 3_1'
Yamada['-1 0 0 -1 1 1 0 2 2 0 2 0 2 0 0 1 -2 -1 0 -1 0 1'] = 't3_1 #2 3_1'
Yamada['1 1 1 2 2 0 2 0 -1 0 0 -1 0 -1 0 -1 -1 2 -1 1 1 -1'] = 't3_1 #2 3_1'
Yamada['1 0 -1 1 -1 -3 1 -2 -3 2 0 -1 1 -1 1 -2 0 2 -3 1 2 -2 1 1 -1'] = 't4_1 #2 3_1'
Yamada['-1 0 0 -2 0 1 -3 1 1 -3 0 0 -2 0 -1 2 0 -1 4 -1 -1 2 -2 -1 1'] = 't4_1 #2 3_1'
Yamada['-1 1 2 -2 2 3 -5 0 1 -8 -1 2 -2 2 0 4 -2 -4 4 -3 -3 5 -1 -2 3 0 -1'] = 't5_1 #2 3_1'
Yamada['-1 -1 1 -2 -2 3 -1 -3 5 -3 -5 2 -2 -3 1 2 4 -1 2 4 -7 1 2 -5 2 2 -1'] = 't5_1 #2 3_1'
Yamada['1 1 0 1 1 -3 -2 -1 -6 -2 1 -1 1 4 1 1 -2 1 -1 -4 3 -1 -1 3 0 -1'] = 't5_2 #2 3_1'
Yamada['-1 -1 1 -1 -1 3 -1 -1 2 -3 -5 -1 -3 0 -1 3 4 -1 4 1 -3 0 0 -2 0 1'] = 't5_2 #2 3_1'
Yamada['-1 -1 -1 -2 -2 0 -1 0 2 1 -1 1 -1 -2 -1 0 0 1 1 2 0 0 2 -3 0 0 -1 1'] = 't5_3 #2 3_1'
Yamada['1 0 1 1 -1 0 0 -3 -1 0 -2 2 0 1 -1 -1 0 -3 -2 0 -1 0 2 1 0 1 0 -1'] = 't5_3 #2 3_1'
Yamada['-1 -1 -1 -2 -3 -1 -2 -2 1 2 -1 3 3 0 1 1 -1 -1 -1 1 -1 -2 3 -2 0 2 -1'] = 't5_4 #2 3_1'
Yamada['-1 1 0 -1 2 1 -1 3 1 -2 1 -2 -1 -4 -2 -1 -4 0 2 -1 1 2 0 0 1 0 -1'] = 't5_4 #2 3_1'
Yamada['-1 0 -1 -3 0 -1 -5 2 0 -3 4 2 -1 3 0 1 -3 -2 3 -4 1 4 -2 0 2 -2 -1 1'] = 't5_5 #2 3_1'
Yamada['1 0 -1 1 0 -3 2 1 -3 4 2 -3 0 -1 -4 -2 -3 2 -2 -1 5 -3 0 4 -2 0 1 -1'] = 't5_5 #2 3_1'
Yamada['-1 0 0 -3 0 1 -4 2 2 -4 1 1 -4 0 -2 2 0 0 6 -2 -1 3 -2 -2 2 -1 -1 1'] = 't5_6 #2 3_1'
Yamada['1 0 0 2 0 -2 2 -2 -5 2 -2 -3 2 1 -1 1 -1 1 -4 -1 4 -4 2 3 -3 1 1 -1'] = 't5_6 #2 3_1'
Yamada['-2 -1 0 -4 -2 2 -5 0 4 -3 0 4 0 2 0 3 0 -5 4 -2 -4 3 0 -2 2 1 -1'] = 't5_7 #2 3_1'
Yamada['-1 0 1 -1 0 4 -1 0 5 -3 -3 2 -3 -4 0 -2 0 -4 2 2 -5 4 2 -3 3 1 -2'] = 't5_7 #2 3_1'
Yamada['-1 1 1 -2 2 0 -3 2 0 -1 2 0 1 -1 0 3 -1 1 3 -2 0 1 -1 0 1'] = 't3_1 #2 4_1'
Yamada['1 0 -1 1 0 -2 3 1 -1 3 0 -1 1 0 2 -1 0 2 -3 0 2 -2 1 1 -1'] = 't3_1 #2 4_1'
Yamada['1 -1 -2 3 -1 -3 6 -2 -4 5 -3 -3 2 -1 1 -3 1 3 -6 2 3 -6 2 2 -3 1 1 -1'] = 't4_1 #2 4_1'
Yamada['-1 1 1 -3 2 2 -6 3 2 -6 3 1 -3 1 -1 2 -3 -3 5 -4 -2 6 -3 -1 3 -2 -1 1'] = 't4_1 #2 4_1'
Yamada['-1 1 0 -1 3 -1 0 1 -1 0 0 0 -1 -2 -1 -1 -2 1 1 0 1 2 0 2 2 1 1 1'] = 't3_1 #2 5_1'
Yamada['1 0 0 1 -1 -2 1 -2 -1 1 -2 0 -1 1 1 1 3 2 0 2 1 0 1 1 -1 0 0 -1'] = 't3_1 #2 5_1'
Yamada['-1 0 0 -1 1 1 0 1 2 0 2 3 1 1 1 -1 0 -2 1 -1 -2 1 -2 -1 1 0 0 1'] = 't3_1 #2 5_1'
Yamada['1 1 1 2 2 0 2 1 0 1 1 -2 -1 -1 -2 -1 0 0 0 -1 1 0 -1 3 -1 0 1 -1'] = 't3_1 #2 5_1'
Yamada['-1 1 0 -3 3 0 -3 5 0 -1 4 0 2 0 2 2 -3 0 2 -4 0 2 -3 0 1 -1 0 1'] = 't3_1 #2 5_2'
Yamada['1 0 0 3 1 -1 5 0 -2 4 -1 -2 2 -2 0 -3 0 2 -4 2 2 -3 1 2 -2 1 1 -1'] = 't3_1 #2 5_2'
Yamada['-1 1 1 -2 2 1 -3 2 2 -4 2 0 -3 0 -2 2 -2 -1 4 -2 0 5 -1 1 3 0 0 1'] = 't3_1 #2 5_2'
Yamada['1 0 -1 1 0 -3 2 0 -4 2 0 -3 2 2 0 2 0 4 -1 0 5 -3 0 3 -3 0 1 -1'] = 't3_1 #2 5_2'
Yamada['1 -1 -1 2 -2 0 1 -1 0 -1 1 0 0 2 1 -1 2 1 0 1 1'] = 't3_1 #3 t3_1'
Yamada['-1 0 1 -1 0 2 -1 0 2 0 2 0 2 0 -1 2 0 -1 1 0 -1'] = 't3_1 #3 t3_1'
Yamada['1 1 0 1 2 -1 1 2 0 0 1 -1 0 -1 1 0 -2 2 -1 -1 1'] = 't3_1 #3 t3_1'
Yamada['-1 1 2 -3 1 3 -4 1 2 -2 0 -1 1 -2 -2 3 -2 -3 3 -1 -2 1 0 -1'] = 't4_1 #3 t3_1'
Yamada['1 0 -2 1 1 -4 1 2 -4 0 1 -2 0 -1 2 -2 -2 4 -2 -2 3 -1 -1 1'] = 't4_1 #3 t3_1'
Yamada['1 -1 -1 3 -2 -2 4 -2 -2 2 -1 0 -2 1 0 -4 2 1 -4 1 1 -2 0 1'] = 't4_1 #3 t3_1'
Yamada['-1 0 1 -2 -1 3 -3 -2 3 -2 -2 1 -1 0 -2 2 1 -4 3 1 -3 2 1 -1'] = 't4_1 #3 t3_1'
Yamada['1 -1 -3 4 1 -7 6 3 -8 5 3 -4 1 1 3 -4 0 8 -6 -2 8 -4 -2 4 -1 -1 1'] = 't4_1 #3 t4_1'
Yamada['-1 1 2 -4 1 6 -7 0 8 -6 -1 5 -1 0 -1 5 -1 -6 8 0 -7 6 1 -4 2 1 -1'] = 't4_1 #3 t4_1'
Yamada['1 -1 -1 4 -2 -4 8 -2 -6 8 0 -4 3 1 1 -4 3 5 -8 3 6 -7 1 4 -3 -1 1'] = 't4_1 #3 t4_1'
Yamada['1 -2 -2 6 -3 -4 9 -3 -4 4 0 -1 -2 3 0 -7 3 3 -8 2 4 -4 -1 2 -1 -1'] = 't5_1 #3 t3_1'
Yamada['-1 1 3 -3 -1 6 -5 -5 7 -3 -4 3 -1 -1 -4 4 1 -7 5 3 -7 2 3 -3 0 1'] = 't5_1 #3 t3_1'
Yamada['1 0 -3 3 2 -7 3 5 -7 1 4 -4 -1 -1 3 -4 -3 7 -5 -5 6 -1 -3 3 1 -1'] = 't5_1 #3 t3_1'
Yamada['-1 -1 2 -1 -4 4 2 -8 3 3 -7 0 3 -2 -1 0 4 -4 -3 9 -4 -3 6 -2 -2 1'] = 't5_1 #3 t3_1'
Yamada['-1 0 2 -1 -1 4 0 -4 4 0 -3 1 -1 0 -4 1 1 -5 1 3 -3 0 2 -1 -1'] = 't5_2 #3 t3_1'
Yamada['1 1 -1 0 2 -3 -3 3 -2 -4 2 0 -3 1 0 1 -3 2 3 -5 2 2 -3 0 1'] = 't5_2 #3 t3_1'
Yamada['1 0 -3 2 2 -5 3 2 -3 1 0 1 -3 0 2 -4 -2 3 -3 -3 2 0 -1 1 1'] = 't5_2 #3 t3_1'
Yamada['-1 -1 2 0 -3 3 1 -5 1 1 -4 0 -1 1 -3 0 4 -4 0 4 -1 -1 2 0 -1'] = 't5_2 #3 t3_1'
Yamada['1 0 -1 1 0 -2 0 1 -2 -1 1 -2 -1 1 -1 0 -2 2 -1 -2 2 -1 -1 1 0 0 1'] = 't5_3 #3 t3_1'
Yamada['-1 -1 0 -1 -2 1 0 -2 0 1 -2 0 1 -1 -1 1 0 0 -1 2 0 -2 3 -1 0 1 -1'] = 't5_3 #3 t3_1'
Yamada['-1 1 0 -1 3 -2 0 2 -1 0 0 1 -1 -1 1 0 -2 1 0 -2 0 1 -2 -1 0 -1 -1'] = 't5_3 #3 t3_1'
Yamada['1 0 0 1 -1 -1 2 -2 -1 2 -2 0 -1 1 -1 -2 1 -1 -2 1 0 -2 0 1 -1 0 1'] = 't5_3 #3 t3_1'
Yamada['1 0 -1 1 1 -2 -1 2 -3 -3 2 -2 -3 1 -1 0 -2 3 1 -3 3 1 -2 1 1 -1'] = 't5_4 #3 t3_1'
Yamada['-1 -1 0 -1 -3 0 0 -3 -1 3 -2 -1 3 0 -1 2 1 0 -2 2 1 -4 3 0 -2 1'] = 't5_4 #3 t3_1'
Yamada['1 -2 0 3 -4 1 2 -2 0 1 2 -1 0 3 -1 -2 3 -1 -3 0 0 -3 -1 0 -1 -1'] = 't5_4 #3 t3_1'
Yamada['-1 1 1 -2 1 3 -3 1 3 -2 0 -1 1 -3 -2 2 -3 -3 2 -1 -2 1 1 -1 0 1'] = 't5_4 #3 t3_1'
Yamada['1 -1 0 3 -4 0 5 -6 -1 3 -4 -1 -1 2 -2 -3 4 -1 -4 5 1 -4 2 1 -2 0 1'] = 't5_5 #3 t3_1'
Yamada['-1 0 0 -3 0 2 -6 0 4 -5 0 4 -2 0 -1 3 -1 -3 6 -2 -4 4 0 -3 2 1 -1'] = 't5_5 #3 t3_1'
Yamada['-1 1 2 -3 0 4 -4 -2 6 -3 -1 3 -1 0 -2 4 0 -5 4 0 -6 2 0 -3 0 0 -1'] = 't5_5 #3 t3_1'
Yamada['1 0 -2 1 2 -4 1 5 -4 -1 4 -3 -2 2 -1 -1 -4 3 -1 -6 5 0 -4 3 0 -1 1'] = 't5_5 #3 t3_1'
Yamada['1 -1 -1 4 -3 -3 6 -4 -2 4 -2 -1 -2 2 -1 -4 3 1 -6 2 2 -4 1 2 -1 0 1'] = 't5_6 #3 t3_1'
Yamada['-1 0 1 -3 -1 4 -4 -2 5 -4 -3 3 -2 0 -2 3 0 -5 5 1 -4 3 2 -3 1 1 -1'] = 't5_6 #3 t3_1'
Yamada['-1 1 1 -3 2 3 -4 1 5 -5 0 3 -2 0 -2 3 -3 -4 5 -2 -4 4 -1 -3 1 0 -1'] = 't5_6 #3 t3_1'
Yamada['1 0 -1 2 1 -4 2 2 -6 1 3 -4 -1 2 -2 -1 -2 4 -2 -4 6 -3 -3 4 -1 -1 1'] = 't5_6 #3 t3_1'
Yamada['2 -1 -3 5 -1 -6 6 -1 -6 2 -1 -1 -4 2 2 -6 2 5 -5 0 5 -2 -1 2 0 -1'] = 't5_7 #3 t3_1'
Yamada['-2 -1 2 -3 -4 5 -3 -6 5 0 -4 3 1 1 -3 3 4 -7 3 4 -5 0 3 -2 -1 1'] = 't5_7 #3 t3_1'
Yamada['1 -1 -2 3 0 -5 4 3 -7 4 3 -3 1 1 3 -4 0 5 -6 -3 5 -4 -3 2 -1 -2'] = 't5_7 #3 t3_1'
Yamada['-1 0 2 -1 -2 5 0 -5 5 2 -6 2 2 -4 -1 -1 2 -6 -1 6 -6 -1 5 -3 -1 2'] = 't5_7 #3 t3_1'



# composite theta-links
Yamada['-1 -1 -2 -2 -2 -2 -2 -2 -2 -1 -1'] = 't0_1 #2 2^2_1'


# prime handcuff graphs
Yamada['0'] = 'h0_1'
Yamada['1 1 1 1 0 0 -1 -1 -1 -1'] = 'h2_1'
Yamada['-1 -1 -1 -1 0 0 1 1 1 1'] = 'h2_1'
Yamada['1 1 1 1 1 0 0 0 -1 0 -1 0 -1 -1 0 -1'] = 'h4_1'
Yamada['-1 0 -1 -1 0 -1 0 -1 0 0 0 1 1 1 1 1'] = 'h4_1'
Yamada['1 0 -1 1 0 -1 1 0 -1 0 -1 0 -1 0 2 -1 1 1 -1'] = 'h5_1'
Yamada['-1 1 1 -1 2 0 -1 0 -1 0 -1 0 1 -1 0 1 -1 0 1'] = 'h5_1'
Yamada['1 -1 -3 2 0 -3 3 1 -1 1 0 1 -1 1 3 -3 2 -3 -1 1'] = 'h6_1'
Yamada['1 -1 -3 2 -3 3 1 -1 1 0 1 -1 1 3 -3 0 2 -3 -1 1'] = 'h6_1'
Yamada['1 1 0 0 0 -1 -2 0 -1 -1 0 -1 0 -1 1 1 0 2 1'] = 'h6_2'
Yamada['1 2 0 1 1 -1 0 -1 0 -1 -1 0 -2 -1 0 0 0 1 1'] = 'h6_2'
Yamada['1 -1 0 3 -2 0 1 -2 -1 -2 0 -1 -1 2 0 -1 2 1 -1 1 1'] = 'h6_3'
Yamada['1 1 -1 1 2 -1 0 2 -1 -1 0 -2 -1 -2 1 0 -2 3 0 -1 1'] = 'h6_3'
Yamada['1 0 -1 1 1 -1 2 2 0 1 -1 0 -2 -1 1 -2 0 1 -1 -1 '] = 'h6_4'
Yamada['-1 -1 1 0 -2 1 -1 -2 0 -1 1 0 2 2 -1 1 1 -1 0 1'] = 'h6_4'
Yamada['1 1 1 1 1 0 0 0 0 0 0 0 -1 0 -1 0 -1 0 0 -1 0 -1'] = 'h6_5'
Yamada['-1 0 -1 0 0 -1 0 -1 0 -1 0 0 0 0 0 0 0 1 1 1 1 1'] = 'h6_5'
Yamada['2 0 1 1 -1 0 -1 1 0 1 2 1 0 0 -1 -2 -1 -1 -1 -1'] = 'h6_6'
Yamada['-1 -1 -1 -1 -2 -1 0 0 1 2 1 0 1 -1 0 -1 1 1 0 2'] = 'h6_6'
Yamada['1 0 0 2 1 -1 2 0 -1 1 -1 1 -1 1 1 -2 0 0 -2 -1 0 -1'] = 'h6_7'
Yamada['-1 0 -1 -2 0 0 -2 1 1 -1 1 -1 1 -1 0 2 -1 1 2 0 0 1'] = 'h6_7'
Yamada['1 0 0 3 0 -1 3 -1 -1 1 -1 0 -2 0 0 -3 1 1 -2 1 1 -1'] = 'h6_8'
Yamada['-1 1 1 -2 1 1 -3 0 0 -2 0 -1 1 -1 -1 3 -1 0 3 0 0 1'] = 'h6_8'
Yamada['-2 -1 1 -3 -2 2 -2 0 3 1 2 0 2 0 -3 2 0 -2 2 1 -1'] = 'h6_9'
Yamada['-1 1 2 -2 0 2 -3 0 2 0 2 1 3 0 -2 2 -2 -3 1 -1 -2'] = 'h6_9'
Yamada['1 -2 -1 6 -4 -4 7 -4 -4 3 0 0 -1 4 2 -5 5 3 -7 2 3 -4 -1 1'] = 'h7_1'
Yamada['1 -1 -4 3 2 -7 3 5 -5 2 4 -1 0 0 3 -4 -4 7 -4 -4 6 -1 -2 1'] = 'h7_1'
Yamada['1 2 -2 -1 3 -3 -1 2 -1 0 -1 1 -1 -2 3 0 -2 2 1 -2 0 1'] = 'h7_2'
Yamada['1 0 -2 1 2 -2 0 3 -2 -1 1 -1 0 -1 2 -1 -3 3 -1 -2 2 1'] = 'h7_2'
Yamada['1 0 -2 2 2 -3 1 3 -3 0 2 -1 0 -1 2 -2 -3 4 -2 -2 3 0 -1'] = 'h7_3'
Yamada['-1 0 3 -2 -2 4 -3 -2 2 -1 0 -1 2 0 -3 3 1 -3 2 2 -2 0 1'] = 'h7_3'
Yamada['1 -2 -2 5 -2 -3 7 -1 -2 3 0 0 -2 2 1 -6 2 2 -6 1 3 -2 0 1'] = 'h7_4'
Yamada['1 0 -2 3 1 -6 2 2 -6 1 2 -2 0 0 3 -2 -1 7 -3 -2 5 -2 -2 1'] = 'h7_4'
Yamada['1 0 -1 1 1 -1 0 2 -2 -1 0 -2 -1 -2 1 -1 -1 3 0 0 2 1'] = 'h7_5'
Yamada['1 2 0 0 3 -1 -1 1 -2 -1 -2 0 -1 -2 2 0 -1 1 1 -1 0 1'] = 'h7_5'
Yamada['1 -1 1 2 -4 2 2 -2 1 0 0 -3 -2 0 -3 -1 3 0 -1 3 1 -1 1 1'] = 'h7_6'
Yamada['1 1 -1 1 3 -1 0 3 -1 -3 0 -2 -3 0 0 1 -2 2 2 -4 2 1 -1 1'] = 'h7_6'
Yamada['1 -1 -2 3 -1 -4 3 -1 -3 1 0 1 -1 2 3 -3 2 3 -3 0 2 -1 -1'] = 'h7_7'
Yamada['-1 -1 2 0 -3 3 2 -3 3 2 -1 1 0 1 -3 -1 3 -4 -1 3 -2 -1 1'] = 'h7_7'
Yamada['1 -1 -1 5 -2 -4 6 -2 -3 3 0 0 -2 2 1 -5 3 3 -5 1 3 -3 -1 1'] = 'h7_8'
Yamada['1 -1 -3 3 1 -5 3 3 -5 1 2 -2 0 0 3 -3 -2 6 -4 -2 5 -1 -1 1'] = 'h7_8'
Yamada['1 1 -1 0 0 -1 0 0 1 0 0 1 -1 0 1 0 0 0 0 -1 -1'] = 'h7_9'
Yamada['-1 -1 0 0 0 0 1 0 -1 1 0 0 1 0 0 -1 0 0 -1 1 1'] = 'h7_9'
Yamada['1 1 0 0 1 0 -1 1 1 -1 1 1 -1 0 -1 0 -2 -1 1 -2 0 1'] = 'h7_10'
Yamada['1 0 -2 1 -1 -2 0 -1 0 -1 1 1 -1 1 1 -1 0 1 0 0 1 1'] = 'h7_10'
Yamada['1 -1 0 4 -2 -2 5 -2 -2 3 0 1 -1 2 0 -5 2 0 -5 1 2 -2 0 1'] = 'h7_11'
Yamada['1 0 -2 2 1 -5 0 2 -5 0 2 -1 1 0 3 -2 -2 5 -2 -2 4 0 -1 1'] = 'h7_11'
Yamada['1 0 -3 2 3 -4 1 5 -3 0 3 -1 0 -1 3 -2 -4 5 -2 -4 3 0 -2'] = 'h7_12'
Yamada['-2 0 3 -4 -2 5 -4 -2 3 -1 0 -1 3 0 -3 5 1 -4 3 2 -3 0 1'] = 'h7_12'
Yamada['1 1 -2 -1 2 -2 -3 3 -1 -2 1 -1 0 -2 2 1 -3 3 2 -2 1 2'] = 'h7_13'
Yamada['2 1 -2 2 3 -3 1 2 -2 0 -1 1 -2 -1 3 -3 -2 2 -1 -2 1 1'] = 'h7_13'
Yamada['1 0 -2 0 1 -3 -1 3 -2 0 2 0 1 0 3 0 -2 3 -1 -3 1 0 -1'] = 'h7_14'
Yamada['-1 0 1 -3 -1 3 -2 0 3 0 1 0 2 0 -2 3 -1 -3 1 0 -2 0 1'] = 'h7_14'
Yamada['1 1 -1 0 2 -1 -2 2 0 -3 1 0 -2 0 0 1 -2 1 3 -3 1 2 -1'] = 'h7_15'
Yamada['-1 2 1 -3 3 1 -2 1 0 0 -2 0 1 -3 0 2 -2 -1 2 0 -1 1 1'] = 'h7_15'
Yamada['1 -1 -3 2 2 -4 2 5 -4 0 2 -2 -1 -1 3 -2 -2 6 -2 -3 4 0 -2'] = 'h7_16'
Yamada['-2 0 4 -3 -2 6 -2 -2 3 -1 -1 -2 2 0 -4 5 2 -4 2 2 -3 -1 1'] = 'h7_16'
Yamada['-2 -1 1 -1 -2 2 -1 -2 1 -1 1 -1 2 1 -2 2 1 -1 1 2'] = 'h7_17'
Yamada['2 1 -1 1 2 -2 1 2 -1 1 -1 1 -2 -1 2 -2 -1 1 -1 -2'] = 'h7_17'
Yamada['1 0 -1 1 0 -2 0 0 -2 0 1 -1 0 1 0 0 -1 2 0 -1 3 -1 0 1 -1'] = 'h7_18'
Yamada['-1 1 0 -1 3 -1 0 2 -1 0 0 1 0 -1 1 0 -2 0 0 -2 0 1 -1 0 1'] = 'h7_18'
Yamada['1 0 -1 1 1 -1 1 2 -1 0 1 -1 -1 0 -1 -1 -2 1 0 -2 3 0 0 1 -1'] = 'h7_19'
Yamada['-1 1 0 0 3 -2 0 1 -2 -1 -1 0 -1 -1 1 0 -1 2 1 -1 1 1 -1 0 1'] = 'h7_19'
Yamada['-1 2 0 -3 3 -1 -2 2 1 1 0 2 1 -3 0 1 -3 0 2 -1 -1 1 0 -1'] = 'h7_20'
Yamada['-1 0 1 -1 -1 2 0 -3 1 0 -3 1 2 0 1 1 2 -2 -1 3 -3 0 2 -1'] = 'h7_20'
Yamada['2 -2 -2 4 -3 -2 2 -1 -1 -1 2 0 -2 3 1 -3 2 2 -2 0 2 0 -1'] = 'h7_21'
Yamada['-1 0 2 0 -2 2 2 -3 1 3 -2 0 2 -1 -1 -1 2 -2 -3 4 -2 -2 2'] = 'h7_21'
Yamada['1 -1 -1 3 -2 -2 4 -3 -2 2 -2 0 -1 2 1 -3 3 1 -3 2 2 -2 1 1 -1'] = 'h7_22'
Yamada['-1 1 1 -2 2 2 -3 1 3 -3 1 2 -1 0 -2 2 -2 -3 4 -2 -2 3 -1 -1 1'] = 'h7_22'
Yamada['1 -1 -2 2 0 -3 3 2 -3 3 1 -1 1 0 2 -3 -1 3 -4 -1 3 -2 0 1 -1'] = 'h7_23'
Yamada['-1 1 0 -2 3 -1 -4 3 -1 -3 2 0 1 -1 1 3 -3 2 3 -3 0 2 -2 -1 1'] = 'h7_23'
Yamada['1 -1 0 3 -3 -1 5 -2 4 -1 0 -2 0 -2 -5 3 0 -3 3 2 -2 1 1 -1'] = 'h7_24'
Yamada['-1 1 1 -2 2 3 -3 0 3 -5 -2 0 -2 0 -1 4 -2 5 -1 -3 3 0 -1 1'] = 'h7_24'
Yamada['-1 2 1 -5 2 3 -6 1 3 -3 0 0 2 -2 -1 6 -3 -2 5 -1 -3 2 1 -1'] = 'h7_25'
Yamada['-1 1 2 -3 -1 5 -2 -3 6 -1 -2 2 0 0 -3 3 1 -6 3 2 -5 1 2 -1'] = 'h7_25'
Yamada['1 0 0 2 -2 -1 3 -3 -1 2 -2 0 -1 1 0 -2 3 0 -2 2 1 -2 1 1 -1'] = 'h7_26'
Yamada['-1 1 1 -2 1 2 -2 0 3 -2 0 1 -1 0 -2 2 -1 -3 3 -1 -2 2 0 0 1'] = 'h7_26'
Yamada['-1 1 1 -3 2 3 -4 1 2 -3 0 0 2 -1 -1 4 -3 -2 3 -1 -2 2 1 -1'] = 'h7_27'
Yamada['-1 1 2 -2 -1 3 -2 -3 4 -1 -1 2 0 0 -3 2 1 -4 3 2 -3 1 1 -1'] = 'h7_27'
Yamada['1 0 -1 2 1 -2 1 1 -3 -1 1 -2 -1 1 0 0 -1 3 -2 4 -1 -1 1 -1'] = 'h7_28'
Yamada['-1 1 -1 -1 4 -2 3 -1 0 0 1 -1 -2 1 -1 -3 1 1 -2 1 2 -1 0 1'] = 'h7_28'
Yamada['-1 2 -1 -3 5 -1 -2 3 0 -1 -2 1 0 -3 2 2 -3 1 3 -2 -1 2 0 -1'] = 'h7_29'
Yamada['-1 0 2 -1 -2 3 1 -3 2 2 -3 0 1 -2 -1 0 3 -2 -1 5 -3 -1 2 -1'] = 'h7_29'
Yamada['1 -1 -2 3 -1 -4 4 1 -4 4 2 -1 2 1 3 -3 0 4 -6 -1 3 -4 -1 1 -1'] = 'h7_30'
Yamada['-1 1 -1 -4 3 -1 -6 4 0 -3 3 1 2 -1 2 4 -4 1 4 -4 -1 3 -2 -1 1'] = 'h7_30'
Yamada['-2 0 4 -3 -2 6 -1 -3 6 1 -2 2 0 0 -5 2 3 -7 3 3 -5 0 1 -1'] = 'h7_31'
Yamada['-1 1 0 -5 3 3 -7 3 2 -5 0 0 2 -2 1 6 -3 -1 6 -2 -3 4 0 -2'] = 'h7_31'
Yamada['-2 1 2 -6 0 4 -7 0 4 -2 1 1 4 -1 -2 6 -2 -4 5 0 -4 2 1 -1'] = 'h7_32'
Yamada['-1 1 2 -4 0 5 -4 -2 6 -2 -1 4 1 1 -2 4 0 -7 4 0 -6 2 1 -2'] = 'h7_32'
Yamada['1 -2 -2 5 -2 -5 7 0 -6 5 1 -3 1 1 2 -5 1 6 -8 1 6 -5 0 2 -1'] = 'h7_33'
Yamada['-1 2 0 -5 6 1 -8 6 1 -5 2 1 1 -3 1 5 -6 0 7 -5 -2 5 -2 -2 1'] = 'h7_33'
Yamada['-2 3 4 -8 2 6 -10 0 5 -3 0 2 5 -2 -3 8 -4 -7 7 -1 -6 3 2 -1'] = 'h7_34'
Yamada['-1 2 3 -6 -1 7 -7 -4 8 -3 -2 5 2 0 -3 5 0 -10 6 2 -8 4 3 -2'] = 'h7_34'
Yamada['-1 -1 -1 -1 -1 -1 0 0 0 1 1 1 2 1 1 0 0 0 -1'] = 'h7_35'
Yamada['-1 0 0 0 1 1 2 1 1 1 0 0 0 -1 -1 -1 -1 -1 -1'] = 'h7_35'
Yamada['-1 0 1 0 0 1 1 -1 1 0 -1 0 -1 0 -2 0 1 -1 1 1'] = 'h7_36'
Yamada['1 1 -1 1 0 -2 0 -1 0 -1 0 1 -1 1 1 0 0 1 0 -1'] = 'h7_36'

# composite hadcuff graphs joined only with #2
Yamada['1 0 -1 0 -2 -1 0 0 2 2 3 2 0 0 -1 -2 -1 -1 -1'] = 'h2_1 #2 3_1'
Yamada['-1 0 1 0 2 1 0 0 -2 -2 -3 -2 0 0 1 2 1 1 1'] = 'h2_1 #2 3_1'
Yamada['1 0 -1 0 -1 -2 0 1 -1 3 2 1 2 0 2 -1 0 1 -2 -1 0 -2 -1 0 -1'] = 'h4_1 #2 3_1'
Yamada['-1 1 0 0 -1 3 -1 0 1 -1 0 -1 0 -1 -2 -1 -1 -3 0 1 0 2 2 1 1 1'] = 'h4_1 #2 3_1'
Yamada['1 -1 0 -2 3 -1 -3 5 -1 -4 5 -1 -2 3 0 2 -3 0 2 -7 1 3 -4 2 3 -2 1 1 -1'] = 'h5_1 #2 3_1'
Yamada['-1 2 0 1 -4 4 -1 -6 5 -1 -2 4 1 1 -1 0 2 -5 0 4 -5 0 3 -3 0 2 -1 0 1'] = 'h5_1 #2 3_1'
Yamada['1 1 0 1 2 1 0 0 -2 -3 -2 -2 0 0 1 2 0 1 0 -1'] = 'h2_1 #2 3_1'
Yamada['-1 -1 0 -1 -2 -1 0 0 2 3 2 2 0 0 -1 -2 0 -1 0 1'] = 'h2_1 #2 3_1'
Yamada['1 1 0 1 2 2 0 1 0 -3 -1 -1 -2 -1 0 -1 0 -1 1 0 -1 3 -1 0 1 -1'] = 'h4_1 #2 3_1'
Yamada['-1 0 -1 -2 0 -1 -2 1 0 -1 2 0 2 1 2 3 -1 1 0 -2 -1 0 -1 0 1'] = 'h4_1 #2 3_1'
Yamada['1 0 -1 2 0 -3 3 0 -5 4 0 -5 2 0 -1 1 1 4 -2 -1 5 -6 -1 4 -4 1 2 -1'] = 'h5_1 #2 3_1'
Yamada['-1 1 0 1 -2 3 2 -4 3 1 -7 2 0 -3 2 0 3 -2 -1 5 -4 -1 5 -3 -1 3 -2 -1 1'] = 'h5_1 #2 3_1'
Yamada['1 0 -1 1 -1 -1 2 0 1 2 0 0 -2 -1 0 -2 1 1 -1 1 0 -1'] = 'h2_1 #2 4_1'
Yamada['-1 0 1 -1 1 1 -2 0 -1 -2 0 0 2 1 0 2 -1 -1 1 -1 0 1'] = 'h2_1 #2 4_1'
Yamada['1 0 -1 1 0 -2 2 2 -2 3 2 -3 1 0 -1 0 -1 2 -2 -2 3 -3 -1 3 -2 0 1 -1'] = 'h4_1 #2 4_1'
Yamada['-1 1 0 0 -2 3 -1 -3 3 -2 -2 2 -1 0 -1 0 1 -3 2 3 -2 2 2 -2 0 1 -1 0 1'] = 'h4_1 #2 4_1'
Yamada['1 0 0 1 -2 -1 -1 -2 0 0 1 1 1 2 1 1 2 1 0 0 -1 -2 -1 -1 -1'] = 'h2_1 #2 5_1'
Yamada['-1 0 0 -1 2 1 1 2 0 0 -1 -1 -1 -2 -1 -1 -2 -1 0 0 1 2 1 1 1'] = 'h2_1 #2 5_1'
Yamada['1 1 0 1 2 1 0 0 -1 -2 -1 -1 -2 -1 -1 -1 0 0 2 1 1 2 -1 0 0 -1'] = 'h2_1 #2 5_1'
Yamada['-1 -1 0 -1 -2 -1 0 0 1 2 1 1 2 1 1 1 0 0 -2 -1 -1 -2 1 0 0 1'] = 'h2_1 #2 5_1'
Yamada['1 0 0 3 0 0 3 -2 -1 0 -3 -1 -2 0 0 -2 2 1 -1 2 1 -1 1 0 -1'] = 'h2_1 #2 5_2'
Yamada['-1 0 0 -3 0 0 -3 2 1 0 3 1 2 0 0 2 -2 -1 1 -2 -1 1 -1 0 1'] = 'h2_1 #2 5_2'
Yamada['1 0 -1 1 -1 -2 1 -1 -2 2 0 0 2 1 3 0 1 2 -3 0 0 -3 0 0 -1'] = 'h2_1 #2 5_2'
Yamada['-1 0 1 -1 1 2 -1 1 2 -2 0 0 -2 -1 -3 0 -1 -2 3 0 0 3 0 0 1'] = 'h2_1 #2 5_2'
Yamada['1 0 -1 1 -1 -2 1 0 -1 3 2 -1 2 0 -1 -1 -2 1 -2 0 3 -2 1 2 -2 0 0 -1'] = 'h2_1 #2 6_1'
Yamada['-1 0 1 -1 1 2 -1 0 1 -3 -2 1 -2 0 1 1 2 -1 2 0 -3 2 -1 -2 2 0 0 1'] = 'h2_1 #2 6_1'
Yamada['1 0 0 2 -2 -1 2 -3 0 2 -1 2 1 1 0 -2 1 -2 -3 1 0 -1 2 1 -1 1 0 -1'] = 'h2_1 #2 6_1'
Yamada['-1 0 0 -2 2 1 -2 3 0 -2 1 -2 -1 -1 0 2 -1 2 3 -1 0 1 -2 -1 1 -1 0 1'] = 'h2_1 #2 6_1'
Yamada['1 -1 0 -1 3 -3 -1 4 -4 1 3 -2 1 0 1 0 -2 3 0 -3 3 0 -3 2 0 -2 1 0 -1'] = 'h2_1 #2 6_2'
Yamada['-1 1 0 1 -3 3 1 -4 4 -1 -3 2 -1 0 -1 0 2 -3 0 3 -3 0 3 -2 0 2 -1 0 1'] = 'h2_1 #2 6_2'
Yamada['1 0 -1 2 0 -2 3 0 -3 3 0 -3 2 0 -1 0 -1 2 -3 -1 4 -4 1 3 -3 1 1 -1'] = 'h2_1 #2 6_2'
Yamada['-1 0 1 -2 0 2 -3 0 3 -3 0 3 -2 0 1 0 1 -2 3 1 -4 4 -1 -3 3 -1 -1 1'] = 'h2_1 #2 6_2'
Yamada['1 -1 0 -2 3 -2 -3 6 -2 -2 7 -2 -1 3 -1 1 -3 1 2 -7 2 2 -6 3 2 -3 2 1 -1'] = 'h2_1 #2 6_3'
Yamada['-1 1 0 2 -3 2 3 -6 2 2 -7 2 1 -3 1 -1 3 -1 -2 7 -2 -2 6 -3 -2 3 -2 -1 1'] = 'h2_1 #2 6_3'
Yamada['1 -1 0 0 -1 -1 1 -1 4 1 1 2 -3 -3 -5 -3 -1 -1 5 5 2 6 2 -2 0 -2 -3 -1 -1 -1'] = 'h2_1 #2 3_1 #2 3_1'
Yamada['-1 1 0 0 1 1 -1 1 -4 -1 -1 -2 3 3 5 3 1 1 -5 -5 -2 -6 -2 2 0 2 3 1 1 1'] = 'h2_1 #2 3_1 #2 3_1'
Yamada['1 0 -1 1 -2 -3 1 -2 -1 6 3 4 5 0 0 -5 -4 -3 -6 1 2 -1 3 2 -1 1 0 -1'] = 'h2_1 #2 3_1 #2 3_1'
Yamada['-1 0 1 -1 2 3 -1 2 1 -6 -3 -4 -5 0 0 5 4 3 6 -1 -2 1 -3 -2 1 -1 0 1'] = 'h2_1 #2 3_1 #2 3_1'
Yamada['1 1 0 0 2 2 1 1 1 -2 -5 -2 -5 -5 1 1 3 5 3 3 -2 -2 1 -5 0 2 -2 2 1 -1'] = 'h2_1 #2 3_1 #2 3_1'
Yamada['-1 -1 0 0 -2 -2 -1 -1 -1 2 5 2 5 5 -1 -1 -3 -5 -3 -3 2 2 -1 5 0 -2 2 -2 -1 1'] = 'h2_1 #2 3_1 #2 3_1'

# composite hadcuff graphs with #3
Yamada['-1 -1 0 -1 0 1 1 2 1 1 0 -1 0 -1 -1'] = 'h2_1 #3 h2_1'
Yamada['1 1 0 1 0 -1 -1 -2 -1 -1 0 1 0 1 1'] = 'h2_1 #3 h2_1'
Yamada['-1 -1 0 -1 -1 1 1 0 2 1 0 1 0 1 -1 0 1 -2 0 0 -1'] = 'h2_1 #3 h4_1'
Yamada['1 0 0 2 -1 0 1 -1 0 -1 0 -1 -2 0 -1 -1 1 1 0 1 1'] = 'h2_1 #3 h4_1'
Yamada['1 1 0 1 1 -1 -1 0 -2 -1 0 -1 -1 0 -1 1 0 -1 2 0 0 1'] = 'h2_1 #3 h4_1'
Yamada['-1 0 0 -2 1 0 -1 1 0 1 0 1 2 0 1 1 -1 -1 0 -1 -1'] = 'h2_1 #3 h4_1'
Yamada['1 1 -1 1 1 -3 -1 -1 -2 0 0 2 1 1 3 -1 -1 1 -1 -1'] = 'h2_1 #3 h2_1 #3 h2_1'
Yamada['-1 -1 1 -1 -1 3 1 1 2 0 0 -2 -1 -1 -3 1 1 -1 1 1'] = 'h2_1 #3 h2_1 #3 h2_1'
Yamada['-1 0 2 -1 1 3 -2 0 -1 -4 -2 -2 1 1 1 5 2 0 2 -1 -2 0 -1 -1'] = 'h2_1 #3 h2_1 #2 3_1'
Yamada['1 0 -2 1 -1 -3 2 0 1 4 2 2 -1 -1 -1 -5 -2 0 -2 1 2 0 1 1'] = 'h2_1 #3 h2_1 #2 3_1'
Yamada['-1 -1 1 -1 -3 1 2 -1 2 5 1 1 1 -2 -2 -4 -1 0 -2 3 1 -1 2 0 -1'] = 'h2_1 #3 h2_1 #2 3_1'
Yamada['1 1 -1 1 3 -1 -2 1 -2 -5 -1 -1 -1 2 2 4 1 0 2 -3 -1 1 -2 0 1'] = 'h2_1 #3 h2_1 #2 3_1'
Yamada['1 0 -1 1 -1 -1 0 -1 0 -1 0 0 -1 1 1 0 1 1'] = 'h2_1 #3 t3_1'
Yamada['-1 -1 0 -1 -1 1 0 0 1 0 1 0 1 1 -1 1 0 -1'] = 'h2_1 #3 t3_1'
Yamada['1 1 0 1 1 -1 0 0 -1 0 -1 0 -1 -1 1 -1 0 1'] = 'h2_1 #3 t3_1'
Yamada['-1 0 1 -1 1 1 0 1 0 1 0 0 1 -1 -1 0 -1 -1'] = 'h2_1 #3 t3_1'


# other spatial graphs
Yamada['1'] = 'empty set'
Yamada['-1'] = 'point'
Yamada['1 2 5 5 5 2 1'] = 'doubletheta'
Yamada['-1 -2 -7 -9 -13 -9 -7 -2 -1'] = 'doubletriangle'


## APS
APS = {}
# prime knots
# composite knots
# prime links
# composite links

## Kauffman bracket
Kauffman_bracket = {}
# prime knots
Kauffman_bracket['1'] = '0_1'
Kauffman_bracket['-1 0 0 0 1 0 0 0 0 0 0 0 1'] = '3_1'
Kauffman_bracket['1 0 0 0 -1 0 0 0 1 0 0 0 -1 0 0 0 1'] = '4_1'
Kauffman_bracket['-1 0 0 0 1 0 0 0 -1 0 0 0 1 0 0 0 0 0 0 0 1'] = '5_1'
Kauffman_bracket['-1 0 0 0 1 0 0 0 -1 0 0 0 2 0 0 0 -1 0 0 0 1'] = '5_2'
Kauffman_bracket['1 0 0 0 -1 0 0 0 1 0 0 0 -2 0 0 0 2 0 0 0 -1 0 0 0 1'] = '6_1'
Kauffman_bracket['1 0 0 0 -2 0 0 0 2 0 0 0 -2 0 0 0 2 0 0 0 -1 0 0 0 1'] = '6_2'
Kauffman_bracket['-1 0 0 0 2 0 0 0 -2 0 0 0 3 0 0 0 -2 0 0 0 2 0 0 0 -1'] = '6_3'
Kauffman_bracket['-1 0 0 0 1 0 0 0 -1 0 0 0 1 0 0 0 -1 0 0 0 1 0 0 0 0 0 0 0 1'] = '7_1'
Kauffman_bracket['-1 0 0 0 1 0 0 0 -1 0 0 0 2 0 0 0 -2 0 0 0 2 0 0 0 -1 0 0 0 1'] = '7_2'
Kauffman_bracket['1 0 0 0 -1 0 0 0 2 0 0 0 -2 0 0 0 3 0 0 0 -2 0 0 0 1 0 0 0 -1'] = '7_3'
Kauffman_bracket['1 0 0 0 -2 0 0 0 3 0 0 0 -2 0 0 0 3 0 0 0 -2 0 0 0 1 0 0 0 -1'] = '7_4'
Kauffman_bracket['-1 0 0 0 2 0 0 0 -3 0 0 0 3 0 0 0 -3 0 0 0 3 0 0 0 -1 0 0 0 1'] = '7_5'
Kauffman_bracket['-1 0 0 0 2 0 0 0 -3 0 0 0 4 0 0 0 -3 0 0 0 3 0 0 0 -2 0 0 0 1'] = '7_6'
Kauffman_bracket['-1 0 0 0 3 0 0 0 -3 0 0 0 4 0 0 0 -4 0 0 0 3 0 0 0 -2 0 0 0 1'] = '7_7'
Kauffman_bracket['1 0 0 0 -1 0 0 0 1 0 0 0 -2 0 0 0 2 0 0 0 -2 0 0 0 2 0 0 0 -1 0 0 0 1'] = '8_1'
Kauffman_bracket['1 0 0 0 -2 0 0 0 2 0 0 0 -3 0 0 0 3 0 0 0 -2 0 0 0 2 0 0 0 -1 0 0 0 1'] = '8_2'
Kauffman_bracket['1 0 0 0 -1 0 0 0 2 0 0 0 -3 0 0 0 3 0 0 0 -3 0 0 0 2 0 0 0 -1 0 0 0 1'] = '8_3'
Kauffman_bracket['1 0 0 0 -2 0 0 0 3 0 0 0 -3 0 0 0 3 0 0 0 -3 0 0 0 2 0 0 0 -1 0 0 0 1'] = '8_4'
Kauffman_bracket['1 0 0 0 -1 0 0 0 3 0 0 0 -3 0 0 0 3 0 0 0 -4 0 0 0 3 0 0 0 -2 0 0 0 1'] = '8_5'
Kauffman_bracket['1 0 0 0 -2 0 0 0 3 0 0 0 -4 0 0 0 4 0 0 0 -4 0 0 0 3 0 0 0 -1 0 0 0 1'] = '8_6'
Kauffman_bracket['-1 0 0 0 2 0 0 0 -2 0 0 0 4 0 0 0 -4 0 0 0 4 0 0 0 -3 0 0 0 2 0 0 0 -1'] = '8_7'
Kauffman_bracket['-1 0 0 0 2 0 0 0 -3 0 0 0 5 0 0 0 -4 0 0 0 4 0 0 0 -3 0 0 0 2 0 0 0 -1'] = '8_8'
Kauffman_bracket['1 0 0 0 -2 0 0 0 3 0 0 0 -4 0 0 0 5 0 0 0 -4 0 0 0 3 0 0 0 -2 0 0 0 1'] = '8_9'
Kauffman_bracket['-1 0 0 0 2 0 0 0 -3 0 0 0 5 0 0 0 -4 0 0 0 5 0 0 0 -4 0 0 0 2 0 0 0 -1'] = '8_10'
Kauffman_bracket['1 0 0 0 -2 0 0 0 3 0 0 0 -5 0 0 0 5 0 0 0 -4 0 0 0 4 0 0 0 -2 0 0 0 1'] = '8_11'
Kauffman_bracket['1 0 0 0 -2 0 0 0 4 0 0 0 -5 0 0 0 5 0 0 0 -5 0 0 0 4 0 0 0 -2 0 0 0 1'] = '8_12'
Kauffman_bracket['-1 0 0 0 3 0 0 0 -4 0 0 0 5 0 0 0 -5 0 0 0 5 0 0 0 -3 0 0 0 2 0 0 0 -1'] = '8_13'
Kauffman_bracket['1 0 0 0 -3 0 0 0 4 0 0 0 -5 0 0 0 6 0 0 0 -5 0 0 0 4 0 0 0 -2 0 0 0 1'] = '8_14'
Kauffman_bracket['1 0 0 0 -3 0 0 0 4 0 0 0 -6 0 0 0 6 0 0 0 -5 0 0 0 5 0 0 0 -2 0 0 0 1'] = '8_15'
Kauffman_bracket['-1 0 0 0 3 0 0 0 -5 0 0 0 6 0 0 0 -6 0 0 0 6 0 0 0 -4 0 0 0 3 0 0 0 -1'] = '8_16'
Kauffman_bracket['1 0 0 0 -3 0 0 0 5 0 0 0 -6 0 0 0 7 0 0 0 -6 0 0 0 5 0 0 0 -3 0 0 0 1'] = '8_17'
Kauffman_bracket['1 0 0 0 -4 0 0 0 6 0 0 0 -7 0 0 0 9 0 0 0 -7 0 0 0 6 0 0 0 -4 0 0 0 1'] = '8_18'
Kauffman_bracket['1 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 -1'] = '8_19'
Kauffman_bracket['-1 0 0 0 1 0 0 0 -1 0 0 0 2 0 0 0 -1 0 0 0 2 0 0 0 -1'] = '8_20'
Kauffman_bracket['1 0 0 0 -2 0 0 0 2 0 0 0 -3 0 0 0 3 0 0 0 -2 0 0 0 2'] = '8_21'
# composite knots
# prime links
# composite links

## Kaffman polynomial
Kauffman_polynomial = {}
# prime knots
Kauffman_polynomial['[[1]]'] = '0_1'
Kauffman_polynomial['[[0] 0 -2 0 -1]|[0] 0 0 1 0 1|[0] 0 1 0 1'] = '3_1'
Kauffman_polynomial['[-1 0 -2 0 [0]]|1 0 1 0 0 [0]|1 0 1 0 [0]'] = '3_1'
Kauffman_polynomial['[-1 0 [-1] 0 -1]|-1 [0] -1|1 0 [2] 0 1|1 [0] 1'] = '4_1'
Kauffman_polynomial['[[0] 0 0 0 3 0 2]|[0] 0 0 0 0 -2 0 -1 0 1|[0] 0 0 0 -4 0 -3 0 1|[0] 0 0 0 0 1 0 1|[0] 0 0 0 1 0 1'] = '5_1'
Kauffman_polynomial['[[0] 0 -1 0 1 0 1]|[0] 0 0 0 0 -2 0 -2|[0] 0 1 0 -1 0 -2|[0] 0 0 1 0 2 0 1|[0] 0 0 0 1 0 1'] = '5_2'
Kauffman_polynomial['[-1 0 [0] 0 1 0 1]|[0] 2 0 2|1 0 [0] 0 -4 0 -3|1 [0] -2 0 -3|[1] 0 2 0 1|[0] 1 0 1'] = '6_1'
Kauffman_polynomial['[[2] 0 2 0 1]|[0] 0 0 -1 0 -1|[-3] 0 -6 0 -2 0 1|[0] -2 0 0 0 2|[1] 0 3 0 2|[0] 1 0 1'] = '6_2'
Kauffman_polynomial['[1 0 [3] 0 1]|-1 0 -2 [0] -2 0 -1|-3 0 [-6] 0 -3|1 0 1 [0] 1 0 1|2 0 [4] 0 2|1 [0] 1'] = '6_3'
Kauffman_polynomial['[[0] 0 0 0 0 0 -4 0 -3]|[0] 0 0 0 0 0 0 3 0 1 0 -1 0 1|[0] 0 0 0 0 0 10 0 7 0 -2 0 1|[0] 0 0 0 0 0 0 -4 0 -3 0 1|[0] 0 0 0 0 0 -6 0 -5 0 1|[0] 0 0 0 0 0 0 1 0 1|[0] 0 0 0 0 0 1 0 1'] = '7_1'
Kauffman_polynomial['[[0] 0 -1 0 0 0 -1 0 -1]|[0] 0 0 0 0 0 0 3 0 3|[0] 0 1 0 0 0 3 0 4|[0] 0 0 1 0 -1 0 -6 0 -4|[0] 0 0 0 1 0 -3 0 -4|[0] 0 0 0 0 1 0 2 0 1|[0] 0 0 0 0 0 1 0 1'] = '7_2'
Kauffman_polynomial['[-2 0 -2 0 1 0 0 0 [0]]|-2 0 1 0 3 0 0 0 0 0 0 [0]|-1 0 6 0 4 0 -3 0 0 0 [0]|1 0 -1 0 -4 0 -2 0 0 0 0 [0]|1 0 -3 0 -3 0 1 0 0 0 [0]|1 0 2 0 1 0 0 0 0 [0]|1 0 1 0 0 0 0 0 [0]'] = '7_3'
Kauffman_polynomial['[-1 0 0 0 2 0 0 0 [0]]|4 0 4 0 0 0 0 0 0 [0]|2 0 -3 0 -4 0 1 0 [0]|-4 0 -8 0 -2 0 2 0 0 [0]|-3 0 0 0 3 0 0 0 [0]|1 0 3 0 2 0 0 0 0 [0]|1 0 1 0 0 0 0 0 [0]'] = '7_4'
Kauffman_polynomial['[[0] 0 0 0 2 0 0 0 -1]|[0] 0 0 0 0 -1 0 1 0 1 0 -1|[0] 0 0 0 -3 0 0 0 1 0 -2|[0] 0 0 0 0 -1 0 -4 0 -2 0 1|[0] 0 0 0 1 0 -1 0 0 0 2|[0] 0 0 0 0 1 0 3 0 2|[0] 0 0 0 0 0 1 0 1'] = '7_5'
Kauffman_polynomial['[[1] 0 1 0 2 0 1]|[0] 1 0 2 0 0 0 -1|[-2] 0 -4 0 -4 0 -2|[0] -4 0 -6 0 -1 0 1|[1] 0 1 0 2 0 2|[0] 2 0 4 0 2|[0] 0 1 0 1'] = '7_6'
Kauffman_polynomial['[1 0 2 0 [2]]|2 0 3 [0] 1|-2 0 -6 0 [-7] 0 -3|-4 0 -8 [0] -3 0 1|1 0 2 0 [4] 0 3|2 0 5 [0] 3|1 0 [1]'] = '7_7'
Kauffman_polynomial['[-1 0 [0] 0 0 0 -1 0 -1]|[0] 0 0 -3 0 -3|1 0 [0] 0 0 0 7 0 6|1 [0] -1 0 5 0 7|[1] 0 -2 0 -8 0 -5|[0] 1 0 -4 0 -5|[0] 0 1 0 2 0 1|[0] 0 0 1 0 1'] = '8_1'
Kauffman_polynomial['[[0] 0 -3 0 -3 0 -1]|[0] 0 0 1 0 1 0 -1 0 -1|[0] 0 7 0 12 0 3 0 -1 0 1|[0] 0 0 3 0 -1 0 -2 0 2|[0] 0 -5 0 -12 0 -5 0 2|[0] 0 0 -4 0 -2 0 2|[0] 0 1 0 3 0 2|[0] 0 0 1 0 1'] = '8_2'
Kauffman_polynomial['[1 0 0 0 [-1] 0 0 0 1]|-4 [0] -4|-3 0 1 0 [8] 0 1 0 -3|-2 0 8 [0] 8 0 -2|1 0 -2 0 [-6] 0 -2 0 1|1 0 -4 [0] -4 0 1|1 0 [2] 0 1|1 [0] 1'] = '8_3'
Kauffman_polynomial['[-2 0 [-2] 0 0 0 1]|-1 [0] 1 0 2|7 0 [10] 0 -1 0 -3 0 1|4 [0] -3 0 -5 0 2|-5 0 [-11] 0 -3 0 3|-4 [0] -1 0 3|1 0 [3] 0 2|1 [0] 1'] = '8_4'
Kauffman_polynomial['[-2 0 -5 0 -4 0 [0]]|4 0 7 0 3 0 0 [0]|1 0 -2 0 4 0 15 0 8 0 [0]|2 0 -8 0 -10 0 0 0 0 [0]|3 0 -7 0 -15 0 -5 0 [0]|4 0 1 0 -3 0 0 [0]|3 0 4 0 1 0 [0]|1 0 1 0 0 [0]'] = '8_5'
Kauffman_polynomial['[[2] 0 1 0 -1 0 -1]|[0] -1 0 -3 0 -1 0 1|[-3] 0 -2 0 6 0 3 0 -2|[0] -1 0 5 0 2 0 -4|[1] 0 0 0 -6 0 -4 0 1|[0] 1 0 -2 0 -1 0 2|[0] 0 1 0 3 0 2|[0] 0 0 1 0 1'] = '8_6'
Kauffman_polynomial['[-2 0 -4 0 [-1]]|-1 0 0 0 2 0 2 [0] 1|-2 0 4 0 12 0 [6]|1 0 -1 0 -2 0 -3 [0] -3|2 0 -3 0 -12 0 [-7]|2 0 0 0 -1 [0] 1|2 0 4 0 [2]|1 0 1 [0]'] = '8_7'
Kauffman_polynomial['[-1 0 -1 0 [2] 0 1]|2 0 3 0 1 [0] -1 0 -1|4 0 5 0 [-1] 0 -2|-3 0 -5 0 -3 [0] 0 0 1|-6 0 -9 0 [-1] 0 2|1 0 0 0 1 [0] 2|2 0 4 0 [2]|1 0 1 [0]'] = '8_8'
Kauffman_polynomial['[-2 0 [-3] 0 -2]|1 0 1 [0] 1 0 1|-2 0 4 0 [12] 0 4 0 -2|-4 0 -1 [0] -1 0 -4|1 0 -4 0 [-10] 0 -4 0 1|2 0 0 [0] 0 0 2|2 0 [4] 0 2|1 [0] 1'] = '8_9'
Kauffman_polynomial['[-3 0 -6 0 [-2]]|-1 0 2 0 6 0 5 [0] 2|-1 0 6 0 12 0 [5]|1 0 -3 0 -9 0 -8 [0] -3|2 0 -5 0 -13 0 [-6]|3 0 3 0 1 [0] 1|3 0 5 0 [2]|1 0 1 [0]'] = '8_10'
Kauffman_polynomial['[[1] 0 -1 0 -2 0 -1]|[0] 0 0 1 0 3 0 2|[-2] 0 0 0 6 0 2 0 -2|[0] -3 0 -2 0 -3 0 -4|[1] 0 -2 0 -7 0 -3 0 1|[0] 2 0 1 0 1 0 2|[0] 0 2 0 4 0 2|[0] 0 0 1 0 1'] = '8_11'
Kauffman_polynomial['[1 0 1 0 [1] 0 1 0 1]|1 0 0 [0] 0 0 1|-2 0 -2 0 [0] 0 -2 0 -2|-3 0 -3 [0] -3 0 -3|1 0 -1 0 [-4] 0 -1 0 1|2 0 2 [0] 2 0 2|2 0 [4] 0 2|1 [0] 1'] = '8_12'
Kauffman_polynomial['[-1 0 -2 0 [0]]|2 0 4 0 3 [0] 1|5 0 7 0 [0] 0 -2|-3 0 -7 0 -9 [0] -4 0 1|-6 0 -11 0 [-2] 0 3|1 0 1 0 4 [0] 4|2 0 5 0 [3]|1 0 1 [0]'] = '8_13'
Kauffman_polynomial['[[1]]|[0] 1 0 3 0 3 0 1|[-2] 0 -1 0 3 0 1 0 -1|[0] -3 0 -6 0 -8 0 -5|[1] 0 -1 0 -7 0 -4 0 1|[0] 2 0 3 0 4 0 3|[0] 0 2 0 5 0 3|[0] 0 0 1 0 1'] = '8_14'
Kauffman_polynomial['[[0] 0 0 0 1 0 -3 0 -4 0 -1]|[0] 0 0 0 0 0 0 6 0 8 0 2|[0] 0 0 0 -2 0 5 0 8 0 0 0 -1|[0] 0 0 0 0 -2 0 -11 0 -14 0 -5|[0] 0 0 0 1 0 -5 0 -10 0 -3 0 1|[0] 0 0 0 0 2 0 5 0 6 0 3|[0] 0 0 0 0 0 3 0 6 0 3|[0] 0 0 0 0 0 0 1 0 1'] = '8_15'
Kauffman_polynomial['[[0] 0 -2 0 -1]|1 [0] 3 0 4 0 2|[5] 0 10 0 4 0 -1|-2 [0] -6 0 -10 0 -5 0 1|[-8] 0 -18 0 -7 0 3|1 [0] -1 0 3 0 5|[3] 0 8 0 5|[0] 2 0 2'] = '8_16'
Kauffman_polynomial['[-1 0 [-1] 0 -1]|1 0 2 [0] 2 0 1|-1 0 3 0 [8] 0 3 0 -1|-4 0 -6 [0] -6 0 -4|1 0 -6 0 [-14] 0 -6 0 1|3 0 2 [0] 2 0 3|4 0 [8] 0 4|2 [0] 2'] = '8_17'
Kauffman_polynomial['[1 0 [3] 0 1]|1 [0] 1|3 0 [6] 0 3|-4 0 -9 [0] -9 0 -4|1 0 -9 0 [-20] 0 -9 0 1|4 0 3 [0] 3 0 4|6 0 [12] 0 6|3 [0] 3'] = '8_18'
Kauffman_polynomial['[-1 0 -5 0 -5 0 0 0 0 0 [0]]|5 0 5 0 0 0 0 0 0 [0]|10 0 10 0 0 0 0 0 [0]|-5 0 -5 0 0 0 0 0 0 [0]|-6 0 -6 0 0 0 0 0 [0]|1 0 1 0 0 0 0 0 0 [0]|1 0 1 0 0 0 0 0 [0]'] = '8_19'
Kauffman_polynomial['[[-1] 0 -4 0 -2]|1 [0] 3 0 5 0 3|[2] 0 6 0 4|[0] -3 0 -7 0 -4|[0] 0 -4 0 -4|[0] 1 0 2 0 1|[0] 0 1 0 1'] = '8_20'
Kauffman_polynomial['[[0] 0 -3 0 -3 0 -1]|[0] 0 0 2 0 4 0 2|[0] 0 3 0 5 0 0 0 -2|[0] 0 0 -1 0 -6 0 -5|[0] 0 0 0 -2 0 -1 0 1|[0] 0 0 1 0 3 0 2|[0] 0 0 0 1 0 1'] = '8_21'
# composite knots
# prime links
Kauffman_polynomial['[0] 1 0 1|[[0] 0 -1]|[0] -1 0 -1'] = '2_1^2'
Kauffman_polynomial['[0] 0 0 1 0 1|[[0] 0 0 0 -1]|[0] 1 0 -2 0 -3|[0] 0 1 0 1|[0] 0 0 1 0 1'] = '4_1^2'
Kauffman_polynomial['-1 [0] -1|[[1]]|2 [0] 4 0 2|[1] 0 0 0 -1|-1 [0] -3 0 -2|[-1] 0 -1'] = '5_1^2'
Kauffman_polynomial['[0] 0 0 1 0 1|[[0] 0 0 0 -1]|-1 [0] 0 0 -1 0 -2|[-3] 0 -3|1 [0] 0 0 0 0 1|[2] 0 3 0 1|[0] 1 0 1'] = '6_3^2'
Kauffman_polynomial['[0] 0 0 0 0 1 0 1|[[0] 0 0 0 0 0 -1]|[0] 0 0 2 0 -3 0 -3 0 2|[0] 0 0 0 1 0 2 0 1|[0] 0 0 -1 0 2 0 2 0 -1|[0] 0 0 0 -1 0 -2 0 -1|[0] 0 0 0 0 -1 0 -1'] = '6_2^2'
Kauffman_polynomial['[0] 0 0 0 0 1 0 1|[[0] 0 0 0 0 0 -1]|[0] 0 0 0 0 -6 0 -4 0 1 0 -1|[0] 0 0 0 0 0 3 0 2 0 -1|[0] 0 0 0 0 5 0 4 0 -1|[0] 0 0 0 0 0 -1 0 -1|[0] 0 0 0 0 -1 0 -1'] = '6_1^2'
Kauffman_polynomial['1 0 [2] 0 1|-2 [0] -2|[[1]]|[0]|-4 0 [-8] 0 -4|1 0 -1 [0] -1 0 1|3 0 [6] 0 3|2 [0] 2'] = '6_2^3'
Kauffman_polynomial['[0] 0 0 0 -1 0 -2 0 -1|[0] 0 0 0 0 2 0 2|[[0] 0 0 0 3 0 5 0 3]|[0] 0 0 0 0 -3 0 -3|[0] 0 1 0 -5 0 -9 0 -3|[0] 0 0 2 0 1 0 -1|[0] 0 0 0 3 0 4 0 1|[0] 0 0 0 0 1 0 1'] = '6_1^3'
Kauffman_polynomial['-1 0 -2 0 [-1]|2 0 2 [0]|[3 0 5 0 [3]]|-3 0 -3 [0]|-4 0 -4 0 [0]|1 0 1 [0]|1 0 1 0 [0]'] = '6_3^3'
Kauffman_polynomial['[0] 0 0 0 0 -2 0 -3 0 -1|[[0] 0 0 0 0 0 3 0 3 0 1]|[0] 0 0 0 0 6 0 7 0 1|[0] 0 0 0 0 0 -4 0 -4|[0] 0 0 0 0 -5 0 -5|[0] 0 0 0 0 0 1 0 1|[0] 0 0 0 0 1 0 1'] = '7_7^2'
Kauffman_polynomial['[0] -2 0 -3 0 -1|[[0] 0 3 0 3 0 1]|[0] 3 0 5 0 2|[0] 0 -2 0 -5 0 -3|[0] 0 0 -3 0 -3|[0] 0 1 0 2 0 1|[0] 0 0 1 0 1'] = '7_8^2'
Kauffman_polynomial['1 [0] 1|[[-1]]|2 0 4 [0] 2|-2 0 -3 0 [-2] 0 -1|1 0 -5 0 -12 [0] -6|3 0 1 0 [-1] 0 1|4 0 7 [0] 3|2 0 [2]'] = '7_6^2'
Kauffman_polynomial['[0] 0 0 0 0 -2 0 -3 0 -1|[[0] 0 0 0 0 0 3 0 3 0 1]|[0] 0 0 -1 0 5 0 8 0 2|[0] 0 0 0 -1 0 -6 0 -7 0 -2|[0] 0 0 1 0 -5 0 -10 0 -4|[0] 0 0 0 2 0 3 0 2 0 1|[0] 0 0 0 0 3 0 5 0 2|[0] 0 0 0 0 0 1 0 1'] = '7_5^2'
Kauffman_polynomial['-1 0 -3 0 -2 [0]|[1 0 3 0 3 0 [0]]|4 0 9 0 5 [0]|1 0 -3 0 -6 0 -2 0 [0]|2 0 -6 0 -12 0 -4 [0]|3 0 1 0 -2 0 [0]|3 0 4 0 1 [0]|1 0 1 0 [0]'] = '7_4^2'
Kauffman_polynomial['-1 [0] -1|[[1]]|-2 0 -2 0 2 [0] 2|2 0 0 0 -2 0 [0]|5 0 5 0 -1 [0] -1|-1 0 1 0 1 0 [-1]|-2 0 -3 0 -1 [0]|-1 0 -1 0 [0]'] = '7_3^2'
Kauffman_polynomial['[0] 1 0 1|[[0] 0 -1]|1 [0] -2 0 -6 0 -3|[2] 0 2 0 2 0 2|-1 [0] 2 0 8 0 5|[-2] 0 -1 0 0 0 -1|[0] -2 0 -4 0 -2|[0] 0 -1 0 -1'] = '7_2^2'
Kauffman_polynomial['-1 0 -1 [0]|[1 0 [0]]|-1 0 1 0 6 0 4 [0]|1 0 -1 0 -1 0 1 0 [0]|2 0 -3 0 -9 0 -4 [0]|2 0 -1 0 -3 0 [0]|2 0 3 0 1 [0]|1 0 1 0 [0]'] = '7_1^2'
Kauffman_polynomial['[-1] 0 -2 0 -1|[0] 2 0 2|[[3] 0 5 0 3]|[0] -3 0 -3|-3 0 [-5] 0 -5 0 -3|1 0 -3 [0] -4|3 0 [3] 0 1 0 1|3 [0] 4 0 1|[1] 0 1'] = '7_1^3'
Kauffman_polynomial['[0] -1 0 -2 0 -2 0 -1|[[0] 0 0 0 -1]|[0] 4 0 8 0 7 0 3|[0] 0 1 0 1|[0] -4 0 -10 0 -6|[0] 0 -3 0 -2 0 1|[0] 1 0 3 0 2|[0] 0 1 0 1'] = '8_16^2'
Kauffman_polynomial['1 0 2 [0] 2 0 1|[[1]]|-1 0 -6 [0] -8 0 -3|-1 0 [-4] 0 -3|4 [0] 8 0 4|[4] 0 4|-1 [0] -2 0 -1|[-1] 0 -1'] = '8_15^2'
Kauffman_polynomial['[0] 0 0 0 0 0 1 0 2 0 1|[0] 0 0 0 0 0 0 -2 0 -2|[[0] 0 0 0 0 0 -5 0 -8 0 -3 0 1]|[0] 0 0 0 0 0 0 6 0 6|[0] 0 0 0 0 0 10 0 11 0 1|[0] 0 0 0 0 0 0 -5 0 -5|[0] 0 0 0 0 0 -6 0 -6|[0] 0 0 0 0 0 0 1 0 1|[0] 0 0 0 0 0 1 0 1'] = '8_1^2'
Kauffman_polynomial['[0] 0 1 0 2 0 1|[0] 0 0 -2 0 -2|[[0] 0 -5 0 -8 0 -3 0 1]|[0] 0 0 6 0 6|[0] 0 3 0 10 0 4 0 -3|[0] 0 0 -3 0 -5 0 -2|[0] 0 0 0 -4 0 -3 0 1|[0] 0 0 1 0 2 0 1|[0] 0 0 0 1 0 1'] = '8_7^3'
Kauffman_polynomial['[0] 0 1 0 2 0 1|[0] 0 0 -2 0 -2|[[0] 0 -3 0 -4 0 -1 0 1]|[0] 0 0 4 0 4|[0] 0 3 0 3 0 -2 0 -2|[0] 0 0 -1 0 -5 0 -4|[0] 0 0 0 -1 0 0 0 1|[0] 0 0 1 0 3 0 2|[0] 0 0 0 1 0 1'] = '8_8^3'
Kauffman_polynomial['[0] 0 0 0 0 0 1 0 2 0 1|[0] 0 0 0 0 0 0 -2 0 -2|[[0] 0 0 0 2 0 -2 0 -9 0 -6]|[0] 0 0 0 0 0 0 8 0 8|[0] 0 0 0 -4 0 0 0 14 0 10|[0] 0 0 0 0 0 0 -6 0 -6|[0] 0 0 0 1 0 0 0 -7 0 -6|[0] 0 0 0 0 0 0 1 0 1|[0] 0 0 0 0 0 0 0 1 0 1'] = '8_9^3'
Kauffman_polynomial['1 0 3 0 3 0 1 [0]|-3 0 -6 0 -3 0 [0]|-4 0 -9 0 -9 0 -4 [0]|[8 0 15 0 8 0 [0]]|6 0 14 0 14 0 6 [0]|-6 0 -12 0 -6 0 [0]|-4 0 -16 0 -12 0 0 [0]|-1 0 2 0 3 0 [0]|1 0 5 0 4 0 0 [0]|1 0 1 0 0 0 [0]'] = '8_2^4'
Kauffman_polynomial['-1 0 -3 [0] -3 0 -1|3 0 [6] 0 3|4 0 9 [0] 9 0 4|[-8 0 [-15] 0 -8]|-6 0 -14 [0] -14 0 -6|6 0 [12] 0 6|5 0 7 [0] 7 0 5|-1 0 [-2] 0 -1|-1 0 -1 [0] -1 0 -1'] = '8_3^4'
Kauffman_polynomial['1 [0] 1|[[-1]]|[0] 2 0 4 0 2|[2] 0 5 0 2 0 -1|-5 [0] -11 0 -10 0 -4|1 0 [-7] 0 -14 0 -5 0 1|4 [0] 5 0 4 0 3|[5] 0 9 0 4|[0] 2 0 2'] = '8_13^2'
Kauffman_polynomial['-1 0 -2 [0] -2 0 -1|[[-1]]|3 0 10 [0] 10 0 3|-1 0 1 0 [5] 0 3|1 0 -6 0 -17 [0] -13 0 -3|3 0 -4 0 [-12] 0 -5|5 0 7 [0] 3 0 1|4 0 [6] 0 2|1 [0] 1'] = '8_10^2'
Kauffman_polynomial['[0] 1 0 2 0 2 0 1|[[0] 0 0 0 1]|1 [0] -3 0 -9 0 -8 0 -3|[1] 0 -3 0 -6 0 -2|-1 [0] 3 0 12 0 11 0 3|[-2] 0 4 0 11 0 5|[0] -3 0 -4 0 -2 0 -1|[0] 0 -3 0 -5 0 -2|[0] 0 0 -1 0 -1'] = '8_9^2'
Kauffman_polynomial['[0] 2 0 3 0 1|[[0] 0 -3 0 -3 0 -1]|-2 [0] -7 0 -7 0 -2|1 0 [1] 0 2 0 4 0 2|5 [0] 11 0 9 0 3|-1 0 [3] 0 5 0 0 0 -1|-3 [0] -5 0 -4 0 -2|[-3] 0 -5 0 -2|[0] -1 0 -1'] = '8_12^2'
Kauffman_polynomial['1 [0] 3 0 2|[-1 0 [-3] 0 -3]|-1 0 -2 [0] -6 0 -5|2 0 1 0 [2] 0 3|-1 0 4 0 6 [0] 5 0 4|-3 0 2 0 [6] 0 1|-4 0 -3 [0] 0 0 -1|-3 0 [-4] 0 -1|-1 [0] -1'] = '8_11^2'
Kauffman_polynomial['[0] 0 0 -1 0 -1|[[0] 0 0 0 1]|-1 0 0 [0] 1 0 2 0 2|-5 0 [-5]|3 0 0 [0] -3 0 -1 0 -1|7 0 [8] 0 0 0 -1|-1 0 2 [0] 2 0 -1|-2 0 [-3] 0 -1|-1 [0] -1'] = '8_6^2'
Kauffman_polynomial['[0] 0 0 0 0 -2 0 -3 0 -1|[[0] 0 0 0 0 0 3 0 3 0 1]|[0] 0 0 0 0 5 0 6 0 2 0 1|[0] 0 0 0 0 0 -1 0 4 0 5|[0] 0 0 1 0 -8 0 -12 0 -5 0 -2|[0] 0 0 0 3 0 -5 0 -16 0 -8|[0] 0 0 0 0 6 0 4 0 -1 0 1|[0] 0 0 0 0 0 5 0 8 0 3|[0] 0 0 0 0 0 0 2 0 2'] = '8_14^2'
Kauffman_polynomial['[0] 1 0 1|[[0] 0 -1]|-2 0 -6 [0] -7 0 -3|2 0 2 0 [-2] 0 -2|-1 0 4 0 12 [0] 10 0 3|-3 0 1 0 [9] 0 5|-4 0 -5 [0] -2 0 -1|-3 0 [-5] 0 -2|-1 [0] -1'] = '8_7^2'
Kauffman_polynomial['[0] -1 0 -1|[[0] 0 1]|2 [0] 7 0 7 0 2|-1 0 [0] 0 2 0 0 0 -1|-5 [0] -13 0 -13 0 -5|1 0 [-3] 0 -8 0 -3 0 1|3 [0] 6 0 6 0 3|[3] 0 6 0 3|[0] 1 0 1'] = '8_8^2'
Kauffman_polynomial['[0] 0 0 0 0 1 0 1|[[0] 0 0 0 0 0 -1]|[0] 0 0 1 0 -4 0 -4 0 -1 0 -2|[0] 0 0 0 1 0 2 0 -3 0 -4|[0] 0 0 -1 0 4 0 6 0 4 0 3|[0] 0 0 0 -2 0 0 0 8 0 6|[0] 0 0 0 0 -3 0 -2 0 0 0 -1|[0] 0 0 0 0 0 -2 0 -4 0 -2|[0] 0 0 0 0 0 0 -1 0 -1'] = '8_13^20'
Kauffman_polynomial['[0] 0 0 0 0 1 0 1|[[0] 0 0 0 0 0 -1]|[0] 0 0 0 0 -4 0 -1 0 2 0 0 0 1|[0] 0 0 0 0 0 1 0 -4 0 -3 0 2|[0] 0 0 0 0 4 0 0 0 -2 0 1 0 -1|[0] 0 0 0 0 0 2 0 7 0 3 0 -2|[0] 0 0 0 0 -1 0 2 0 1 0 -2|[0] 0 0 0 0 0 -1 0 -3 0 -2|[0] 0 0 0 0 0 0 -1 0 -1'] = '8_13^21'
Kauffman_polynomial['[0] 0 0 0 0 0 0 -1 0 -1|[[0] 0 0 0 0 0 0 0 1]|[0] 0 0 0 0 -3 0 5 0 5 0 -1 0 2|[0] 0 0 0 0 0 -1 0 -5 0 -3 0 1|[0] 0 0 0 0 4 0 -6 0 -8 0 1 0 -1|[0] 0 0 0 0 0 3 0 6 0 2 0 -1|[0] 0 0 0 0 -1 0 4 0 4 0 -1|[0] 0 0 0 0 0 -1 0 -2 0 -1|[0] 0 0 0 0 0 0 -1 0 -1'] = '8_13^22'
Kauffman_polynomial['[0] 0 0 0 0 0 0 -1 0 -1|[[0] 0 0 0 0 0 0 0 1]|[0] 0 0 1 0 -3 0 3 0 3 0 -4|[0] 0 0 0 1 0 0 0 -1|[0] 0 0 -1 0 4 0 -1 0 -2 0 4|[0] 0 0 0 -2 0 1 0 5 0 2|[0] 0 0 0 0 -3 0 0 0 2 0 -1|[0] 0 0 0 0 0 -2 0 -3 0 -1|[0] 0 0 0 0 0 0 -1 0 -1'] = '8_13^23'
Kauffman_polynomial['[0] 0 0 0 0 0 0 -1 0 -1|[[0] 0 0 0 0 0 0 0 1]|[0] 0 0 0 0 0 0 10 0 7 0 -1 0 1 0 -1|[0] 0 0 0 0 0 0 0 -6 0 -3 0 2 0 -1|[0] 0 0 0 0 0 0 -15 0 -11 0 3 0 -1|[0] 0 0 0 0 0 0 0 5 0 4 0 -1|[0] 0 0 0 0 0 0 7 0 6 0 -1|[0] 0 0 0 0 0 0 0 -1 0 -1|[0] 0 0 0 0 0 0 -1 0 -1'] = '8_13^24'
Kauffman_polynomial['[0] 0 0 0 -1 0 -2 0 -1|[0] 0 0 0 0 2 0 2|[[0] 0 0 0 3 0 5 0 3]|[0] 0 0 0 0 -3 0 -3|[-1] 0 2 0 0 0 -6 0 -3|[0] -5 0 -3 0 2|[1] 0 -5 0 -5 0 2 0 1|[0] 3 0 2 0 0 0 1|[0] 0 3 0 4 0 1|[0] 0 0 1 0 1'] = '8_13^25'
Kauffman_polynomial['-1 0 -2 0 [-1]|2 0 2 [0]|[1 0 1 0 [1]]|-1 0 -1 [0]|-2 0 2 0 10 0 [6]|1 0 -3 0 -3 0 -1 [0] -2|3 0 -5 0 -17 0 [-9]|4 0 0 0 -3 [0] 1|4 0 7 0 [3]|2 0 2 [0]'] = '8_13^26'
Kauffman_polynomial['[0] 0 0 0 0 0 1 0 2 0 1|[0] 0 0 0 0 0 0 -2 0 -2|[[0] 0 0 0 0 0 -5 0 -8 0 -3 0 1]|[0] 0 0 0 0 0 0 6 0 6|[0] 0 0 0 -2 0 10 0 15 0 1 0 -2|[0] 0 0 0 0 -3 0 -6 0 -6 0 -3|[0] 0 0 0 1 0 -8 0 -12 0 -2 0 1|[0] 0 0 0 0 2 0 2 0 2 0 2|[0] 0 0 0 0 0 3 0 5 0 2|[0] 0 0 0 0 0 0 1 0 1'] = '8_13^27'
Kauffman_polynomial['1 0 2 0 1 0 [0]|-2 0 -2 0 0 [0]|[1 0 -3 0 -8 0 -5 0 [0]]|6 0 6 0 0 [0]|1 0 -3 0 6 0 18 0 8 0 [0]|2 0 -4 0 -7 0 -1 0 0 [0]|3 0 -8 0 -16 0 -5 0 [0]|3 0 0 0 -3 0 0 [0]|3 0 4 0 1 0 [0]|1 0 1 0 0 [0]'] = '8_13^28'
Kauffman_polynomial['1 0 [2] 0 1|-2 [0] -2|[-2 0 [-3] 0 -2]|2 [0] 2|-1 0 5 0 [12] 0 5 0 -1|-4 0 -4 [0] -4 0 -4|1 0 -7 0 [-16] 0 -7 0 1|3 0 1 [0] 1 0 3|4 0 [8] 0 4|2 [0] 2'] = '8_13^29'
Kauffman_polynomial['1 0 [2] 0 1|-2 [0] -2|[1 0 -4 0 [-9] 0 -4 0 1]|8 [0] 8|-2 0 5 0 [14] 0 5 0 -2|-2 0 -12 [0] -12 0 -2|1 0 -5 0 [-12] 0 -5 0 1|2 0 5 [0] 5 0 2|3 0 [6] 0 3|1 [0] 1'] = '8_10^20'
Kauffman_polynomial['[0] 0 0 0 0 -1 0 -3 0 -3 0 -1|[0] 0 0 0 0 0 3 0 6 0 3|[0] 0 0 0 0 4 0 9 0 9 0 4|[[0] 0 0 0 0 0 -8 0 -15 0 -8]|[0] 0 0 0 0 -6 0 -14 0 -14 0 -6|[0] 0 0 0 0 0 6 0 12 0 6|[0] 0 0 -1 0 9 0 17 0 11 0 4|[0] 0 0 0 -3 0 2 0 5|[0] 0 0 0 0 -6 0 -7 0 -2 0 -1|[0] 0 0 0 0 0 -4 0 -5 0 -1|[0] 0 0 0 0 0 0 -1 0 -1'] = '8_10^21'
# composite links

## BLM/Ho
BLMHo = {}
# prime knots
BLMHo['{ 0 } | 1'] = '0_1'
BLMHo['{ 0 } | -3 2 2'] = '3_1'
BLMHo['{ 0 } | -3 -2 4 2'] = '4_1'
BLMHo['{ 0 } | 5 -2 -6 2 2'] = '5_1'
BLMHo['{ 0 } | 1 -4 -2 4 2'] = '5_2'
BLMHo['{ 0 } | 1 4 -6 -4 4 2'] = '6_1'
BLMHo['{ 0 } | 5 -2 -10 0 6 2'] = '6_2'
BLMHo['{ 0 } | 5 -6 -12 4 8 2'] = '6_3'
BLMHo['{ 0 } | -7 4 16 -6 -10 2 2'] = '7_1'
BLMHo['{ 0 } | -3 6 8 -10 -6 4 2'] = '7_2'
BLMHo['{ 0 } | -3 2 6 -6 -4 4 2'] = '7_3'
BLMHo['{ 0 } | 1 8 -4 -12 0 6 2'] = '7_4'
BLMHo['{ 0 } | 1 0 -4 -6 2 6 2'] = '7_5'
BLMHo['{ 0 } | 5 2 -12 -10 6 8 2'] = '7_6'
BLMHo['{ 0 } | 5 6 -18 -14 10 10 2'] = '7_7'
BLMHo['{ 0 } | -3 -6 14 12 -14 -8 4 2'] = '8_1'
BLMHo['{ 0 } | -7 0 22 2 -20 -4 6 2'] = '8_2'
BLMHo['{ 0 } | 1 -8 4 12 -8 -6 4 2'] = '8_3'
BLMHo['{ 0 } | -3 2 14 -2 -16 -2 6 2'] = '8_4'
BLMHo['{ 0 } | -11 14 26 -16 -24 2 8 2'] = '8_5'
BLMHo['{ 0 } | 1 -4 2 2 -8 0 6 2'] = '8_6'
BLMHo['{ 0 } | -7 4 20 -8 -20 2 8 2'] = '8_7'
BLMHo['{ 0 } | 1 4 6 -10 -14 4 8 2'] = '8_8'
BLMHo['{ 0 } | -7 4 16 -10 -16 4 8 2'] = '8_9'
BLMHo['{ 0 } | -11 14 22 -22 -22 8 10 2'] = '8_10'
BLMHo['{ 0 } | -3 6 4 -12 -10 6 8 2'] = '8_11'
BLMHo['{ 0 } | 5 2 -8 -12 -4 8 8 2'] = '8_12'
BLMHo['{ 0 } | -3 10 10 -22 -16 10 10 2'] = '8_13'
BLMHo['{ 0 } | 1 8 0 -22 -10 12 10 2'] = '8_14'
BLMHo['{ 0 } | -7 16 10 -32 -16 16 12 2'] = '8_15'
BLMHo['{ 0 } | -3 10 18 -22 -30 8 16 4'] = '8_16'
BLMHo['{ 0 } | -3 6 12 -20 -24 10 16 4'] = '8_17'
BLMHo['{ 0 } | 5 2 12 -26 -36 14 24 6'] = '8_18'
BLMHo['{ 0 } | -11 10 20 -10 -12 2 2'] = '8_19'
BLMHo['{ 0 } | -7 12 12 -14 -8 4 2'] = '8_20'
BLMHo['{ 0 } | -7 8 6 -12 -2 6 2'] = '8_21'
# composite knots
# prime links
BLMHo['{ -1 } | 2 -1 -2'] = '2_1^2'
BLMHo['{ -1 } | 2 -1 -4 2 2'] = '4_1^2'
BLMHo['{ -1 } | -2 1 8 0 -6 -2'] = '5_1^2'
BLMHo['{ -1 } | 2 -1 -4 -6 2 6 2'] = '6_3^2'
BLMHo['{ -1 } | 2 -1 -2 4 2 -4 -2'] = '6_2^2'
BLMHo['{ -1 } | 2 -1 -10 4 8 -2 -2'] = '6_1^2'
BLMHo['{ -2 } | 4 -4 1 0 -16 0 12 4'] = '6_2^3'
BLMHo['{ -2 } | -4 4 11 -6 -16 2 8 2'] = '6_1^3'
BLMHo['{ -2 } | -4 4 11 -6 -8 2 2'] = '6_3^3'
BLMHo['{ -1 } | -6 7 14 -8 -10 2 2'] = '7_7^2'
BLMHo['{ -1 } | -6 7 10 -10 -6 4 2'] = '7_8^2'
BLMHo['{ -1 } | 2 -1 8 -8 -22 4 14 4'] = '7_6^2'
BLMHo['{ -1 } | -6 7 14 -16 -18 8 10 2'] = '7_5^2'
BLMHo['{ -1 } | -6 7 18 -10 -20 2 8 2'] = '7_4^2'
BLMHo['{ -1 } | -2 1 0 0 8 0 -6 -2'] = '7_3^2'
BLMHo['{ -1 } | 2 -1 -10 8 14 -4 -8 -2'] = '7_2^2'
BLMHo['{ -1 } | -2 1 10 0 -14 -2 6 2'] = '7_1^2'
BLMHo['{ -2 } | -4 4 11 -6 -16 -6 8 8 2'] = '7_1^3'
BLMHo['{ -1 } | -6 -1 22 2 -20 -4 6 2'] = '8_16^2'
BLMHo['{ -1 } | 6 1 -18 -8 16 8 -4 -2'] = '8_15^2'
BLMHo['{ -2 } | 4 -4 -15 12 22 -10 -12 2 2'] = '8_1^2'
BLMHo['{ -2 } | 4 -4 -15 12 14 -10 -6 4 2'] = '8_7^3'
BLMHo['{ -2 } | 4 -4 -7 8 2 -10 0 6 2'] = '8_8^3'
BLMHo['{ -2 } | 4 -4 -15 16 20 -12 -12 2 2'] = '8_9^3'
BLMHo['{ -3 } | 8 -12 -26 31 40 -24 -32 4 10 2'] = '8_2^4'
BLMHo['{ -3 } | -8 12 26 -31 -40 24 24 -4 -4'] = '8_3^4'
BLMHo['{ -1 } | 2 -1 8 8 -30 -24 16 18 4'] = '8_13^2'
BLMHo['{ -1 } | -6 -1 26 8 -38 -18 16 12 2'] = '8_10^2'
BLMHo['{ -1 } | 6 1 -22 -10 28 18 -10 -10 -2'] = '8_9^2'
BLMHo['{ -1 } | 6 -7 -18 10 28 6 -14 -10 -2'] = '8_12^2'
BLMHo['{ -1 } | 6 -7 -14 8 18 6 -8 -8 -2'] = '8_11^2'
BLMHo['{ -1 } | -2 1 4 -10 -2 14 2 -6 -2'] = '8_6^2'
BLMHo['{ -1 } | -6 7 14 8 -26 -26 10 16 4'] = '8_14^2'
BLMHo['{ -1 } | 2 -1 -18 0 28 12 -12 -10 -2'] = '8_7^2'
BLMHo['{ -1 } | -2 1 18 0 -36 -12 18 12 2'] = '8_8^2'
BLMHo['{ -1 } | 2 -1 -10 -4 16 12 -6 -8 -2'] = '8_13^20'
BLMHo['{ -1 } | 2 -1 -2 -4 2 10 0 -6 -2'] = '8_13^21'
BLMHo['{ -1 } | -2 1 8 -8 -10 10 6 -4 -2'] = '8_13^22'
BLMHo['{ -1 } | -2 1 0 0 4 6 -2 -6 -2'] = '8_13^23'
BLMHo['{ -1 } | -2 1 16 -8 -24 8 12 -2 -2'] = '8_13^24'
BLMHo['{ -2 } | -4 4 11 -6 -8 -6 -6 6 8 2'] = '8_13^25'
BLMHo['{ -2 } | -4 4 3 -2 16 -8 -28 2 14 4'] = '8_13^26'
BLMHo['{ -2 } | 4 -4 -15 12 22 -18 -20 8 10 2'] = '8_13^27'
BLMHo['{ -2 } | 4 -4 -15 12 30 -10 -26 0 8 2'] = '8_13^28'
BLMHo['{ -2 } | 4 -4 -7 4 20 -16 -28 8 16 4'] = '8_13^29'
BLMHo['{ -2 } | 4 -4 -15 16 20 -28 -20 14 12 2'] = '8_10^20'
BLMHo['{ -3 } | -8 12 26 -31 -40 24 40 4 -16 -10 -2'] = '8_10^21'
# composite links


#### the general dictionary ####

polvalues = {'Alexander': Alexander,
             'Conway': Conway,
             'Jones': Jones,
             'HOMFLY': HOMFLYPT,
             'HOMFLYPT': HOMFLYPT,
             'HOMFLY-PT': HOMFLYPT,
             'Yamada': Yamada,
             'APS': APS,
             'Kauffman bracket': Kauffman_bracket,
             'Kauffman polynomial': Kauffman_polynomial,
             'BLM/Ho': BLMHo}
